new;
library frm,pgraph;

cls;

let w     = 139  75   81;
let mu    = 0.0  0.0  0.0;
let sigma = 0.10 0.12 0.15;
let rho = 1.0
          0.75 1.0
          0.82 0.85 1.00;
rho = xpnd(rho);
cov = rho .* sigma .* sigma';
sigma_w = sqrt(w'cov*w);

beta = (cov * w) / (sigma_w^2);
w_star = w / sumc(w);
beta_star = (cov * w_star) / (w_star' * cov * w_star);

alpha = 0.95;
VaR = cdfni(alpha) * sigma_w;
print ftosa(VaR,"VaR = %lf",3,2);
print "-----------------------------------------------------";

alpha = 0.95;
{es,mes,ses,prc} = Compute_RC_Gaussian_ES(w,mu,cov,alpha);

Results = miss(zeros(4,5),0);
Results[1:3,1:5] = (w~100*mes~ses~1e4*beta~beta_star);
Results[4,3] = es;

print ftosa(Results,"%lf",3,0~2~2~2~2);

results = 100*mes~100*beta*es;
print ftosa(Results,"%lf",3,2);

beta2 = beta * sumc(w);
print beta2~beta_star;


