new;
library frm,pgraph;

cls;

let w     = 139  75   81;
let mu    = 0.0  0.0  0.0;
let sigma = 0.10 0.12 0.15;
let rho = 1.0
          0.75 1.0
          0.82 0.85 1.00;
rho = xpnd(rho);
cov = rho .* sigma .* sigma';
sigma_w = sqrt(w'cov*w);

beta = (cov * w) / (sigma_w^2);
w_star = w / sumc(w);
beta_star = (cov * w_star) / (w_star' cov * w_star);

alpha = 0.95;
{Delta_CoVaR,VaR,CoVaR1,CoVaR0} = Compute_Gaussian_CoVaR(w,mu,cov,alpha); 

Results = w~100*VaR~(w.*VaR)~CoVaR1~CoVaR0~Delta_CoVaR;
print ftosa(Results,"%lf",3,2);

Delta_CoVaR = cdfni(alpha) .* (cov*w)./sigma;
print ftosa(Delta_CoVaR,"%lf",3,2);

Delta_CoVaR = cdfni(alpha) .* (sigma_w^2) .* beta ./ sigma;
print ftosa(Delta_CoVaR,"%lf",3,2);

Results = Delta_CoVaR - w .* VaR;
print ftosa(Results,"%lf",3,2);


