new;
library frm,pgraph;

cls;

let V     =   57   65   91   120;
let LR    =   23   28   13    20;
let mu    = 0.00 0.00 0.00  0.00;
let sigma = 0.25 0.24 0.22  0.20;
let rho   = 0.70 0.75 0.68  0.65;

info = V~LR~100*mu~100*sigma~100*rho;
print ftosa(info,"%lf",3,0);

let mu_mkt = 0.00;
let sigma_mkt = 0.17;
let stress_mkt = -0.40;
k = 0.08;

{SRISK,MES,kappa} = Compute_Gaussian_SRISK(V,k,LR,mu,sigma,rho,mu_mkt,sigma_mkt,stress_mkt);
prc = SRISK / sumc(SRISK);

results = 100*MES~kappa~SRISK~100*prc;
print ftosa(results,"%lf",3,2);

let stress_mkt = -0.20 -0.40 -0.60;
Results = {};
nIters = rows(stress_mkt);
iter = 1;
do until iter > nIters;
  {SRISK,MES,kappa} = Compute_Gaussian_SRISK(V,k,LR,mu,sigma,rho,mu_mkt,sigma_mkt,stress_mkt[iter]);
  prc = SRISK / sumc(SRISK);
  results = results~SRISK~100*prc;

  iter = iter + 1;
endo;

print ftosa(results,"%lf",3,1);

