new;
library frm,pgraph;
frmset;

cls;

S0 = 100;
K = seqa(80,1,41);
tau = 1;
b = 0.05;
r = 0.05;

sigma = 0.25~0.15~0.1147;
alpha = 22~-30~-70;

model = 1;
C = EuropeanSLN(S0,K,sigma,tau,b,r,alpha,model);
ImpVol = EuropeanBS_ImpVol(S0,K,tau,b,r,C);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10; _pcolor = 1|4|2;
  xlabel("\216K");
  ylabel("\216\202S\201(T,K) (in %)");
  xtics(80,120,10,2)
  ytics(18.5,21.0,0.5,2);
  _plegstr = "\202s\201 = 25%, \202a\201 = 22\000\202s\201 = 15%, \202a\201 = -30\000\202s\201 = 11.47%, \202a\201 = -70";
  _plegctl = {2 5 4.5 5.5}; 
  xy(K,100*ImpVol);



