new;
library frm,pgraph;
frmset;

cls;

S0 = 100;
K = 80|90|100|110|120;
b = 0.05;
r = 0.05;

alpha = 22~-70;
sigma = 0.25~0.12;

model = 2;

diff1 = zeros(rows(K),2);
diff2 = zeros(rows(K),2);
diff3 = zeros(rows(K),2);

tau = 1/12;
i = 1;
do until i > 2;
  C = EuropeanSLN(S0,K,sigma[i],tau,b,r,alpha[i],model);
  ImpVol1 = EuropeanBS_ImpVol(S0,K,tau,b,r,C);
  ImpVol2 = EuropeanSLN_ImpVol(S0,K,sigma[i],tau,b,r,alpha[i]);
  diff1[.,i] = ImpVol2./ImpVol1 - 1;
  i = i + 1;
endo;

tau = 1;
i = 1;
do until i > 2;
  C = EuropeanSLN(S0,K,sigma[i],tau,b,r,alpha[i],model);
  ImpVol1 = EuropeanBS_ImpVol(S0,K,tau,b,r,C);
  ImpVol2 = EuropeanSLN_ImpVol(S0,K,sigma[i],tau,b,r,alpha[i]);
  diff2[.,i] = ImpVol2./ImpVol1 - 1;
  i = i + 1;
endo;

tau = 5;
i = 1;
do until i > 2;
  C = EuropeanSLN(S0,K,sigma[i],tau,b,r,alpha[i],model);
  ImpVol1 = EuropeanBS_ImpVol(S0,K,tau,b,r,C);
  ImpVol2 = EuropeanSLN_ImpVol(S0,K,sigma[i],tau,b,r,alpha[i]);
  diff3[.,i] = ImpVol2./ImpVol1 - 1;
  i = i + 1;
endo;

results = 1e4*(diff1[.,1]~diff2[.,1]~diff3[.,1]~diff1[.,2]~diff2[.,2]~diff3[.,2]);

print ftosa(K~results,"%lf",3,1);

