/*
**> chap13-2-3-5.prg
** 
*/

new;
library frm,pgraph;
frmset;

alpha = 0.02;
beta = 0.3;
sigma = 0.1;
rho = -0.4;
m = 0.0;

x = seqa(-1,0.01,201);
v1 = SVI_Raw_Parametrization(x,alpha~0.10,beta,sigma,rho,m);
v2 = SVI_Raw_Parametrization(x,alpha,beta~0.7,sigma,rho,m);
v3 = SVI_Raw_Parametrization(x,alpha,beta,sigma~0.5,rho,m);
v4 = SVI_Raw_Parametrization(x,alpha,beta,sigma,rho~-0.9,m);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 6|3; _pcolor = 1|4; _plwidth = 10;
  _pnumht = 0.225; _paxht = 0.25; _ptitlht = 0.275;
  xtics(-1,1,0.5,2);
  ytics(0,0.5,0.1,2);
  xlabel("\216x");
  _plegctl = {2 6 5 4.5};

  setwind(1);
    title("\216Impact of \202a\201");
    _plegstr = "\202a\201=2%\000\202a\201=10%";
    xy(x,v1);

  setwind(2);
    title("\216Impact of \202b\201");
    _plegstr = "\202b\201=0.3\000\202b\201=0.7";
    xy(x,v2);

  setwind(3);
    title("\216Impact of \202s\201");
    _plegstr = "\202s\201=10%\000\202s\201=50%";
    xy(x,v3);

  setwind(4);
    title("\216Impact of \202r\201");
    _plegstr = "\202r\201=-40%\000\202r\201=-90%";
    xy(x,v4);

  endwind;
