new;
library frm,pgraph,optmum;

cls;

__output = 0;

_sabr_parametrization = 2;
_sabr_LogNormal_Volatility = 0;
_sabr_algr = 1;

beta = 0;

F0 = 0.10;
tau = 1;

K = 1e-7|seqa(0.0001,0.0001,9)|seqa(0.001,0.001,200);
K[101] = K[101] + 1e-5;

let strike = 0.070 0.100 0.130;
let ImpVol_LN = 0.30 0.20 0.30;

ImpVol_N = ImpVol_LogNormal_2_Normal(F0,strike,ImpVol_LN,tau);

print ftosa(100*(Strike~ImpVol_LN~ImpVol_N),"%lf",3,5);

{alpha,beta,nu,rho} = SABR_Calibrate(F0,Strike,ImpVol_N,beta,tau,0,1);
print ftosa(alpha|beta|nu|rho,"%lf",10,6);

alpha = 0.017573; 
beta =  0.000000; 
nu =    1.448791; 
rho =   0.383867; 

cdf = SABR_cdf(F0,K,alpha,beta,nu,rho,tau);
pdf = SABR_pdf(F0,K,alpha,beta,nu,rho,tau); 
pdf[1] = 0.0;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 4;
  xlabel("\216Forward (in %)");
  xtics(0,20,5,2);
  xy(100*K,pdf);