new;
library frm,pgraph,optmum;
frmSet;

cls;

let lgd = 68 90 22 45 17 25 89 65 75 56 87 92 46;
lgd = lgd / 100;
mu = meanc(lgd);
sigma = stdc(lgd);

{alpha_MM,beta_MM} = calibrate_Beta_MM(mu,sigma);

proc mlProc(theta);
  local a,b,logl;
  theta = sqrt(theta^2);
  a = theta[1];
  b = theta[2];
  logl = ln( pdfbeta(LGD,a,b) );
  retp(logl);
endp;

sv = alpha_MM|beta_MM;
{theta,stderr,cov,logl} = regML(0,0,&mlProc,sv,0,0);
alpha_ML = theta[1];
beta_ML = theta[2];

x = seqa(0,1/1000,1001);
pdf_ML = pdfBeta(x,alpha_ML,beta_ML);
pdf_MM = pdfBeta(x,alpha_MM,beta_MM);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1; _plwidth = 10; _pcolor = 1|4;
  fonts("simplex simgrma");
  xtics(0,1,0.2,2);
  ytics(0,2.0,0.5,5);
  xlabel("\216LGD");
  _plegstr = "Maximum likelihood\000Method of moments";
  _plegctl = {2 4 1.5 5.5};
  xy(x,pdf_ML~pdf_MM);

