new;
library frm,tsm,pgraph,optmum;

cls;

nT = 100;
x0 = 100;
y0 = 100;
c = ones(nT,1);

rndseed 123;
nS = 5000;
beta = zeros(nS,2);

iter = 1;
do until iter > nS;
  n = 100;
  u = rndn(nT,1);
  v = rndn(nT,1);
  x = recserar(u,x0,1);
  y = recserar(v,y0,1);
  beta1 = y/(c~x);
  beta2 = v/(c~u);
  beta[iter,.] = beta1[2,1]~beta2[2,1];
  iter = iter + 1;
endo;

p = meanc(beta .> 0.5);
print ftosa(p,"%lf",3,2);

b = seqa(-2,4/500,501);
{d1,F1} = regKernelDensity(beta[.,1],b);
{d2,F2} = regKernelDensity(beta[.,2],b);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 3|6; _pcolor = 4|1; _plwidth = 10;
  xtics(-1.5,1.5,0.5,2);
  ytics(0,4.0,0.5,2);
  xlabel("\216\202b\201]1[");
  _plegstr = "Level regression\000Difference regression";
  _plegctl = {2 5 5.75 5.25};
  xy(b,d1~d2);


