new;
library frm,tsm,optmum,pgraph;
TSMset;

cls;

z = {1.0 0.0 0.0,
     0.0 1.0 0.0};
d = {0.0, 
     0.0};
H = {0.5 0.0, 
     0.0 0.2};
T = {0.9  0.0 0.0,
     0.5 -0.1 0.0,
     0.0  0.0 0.3};
c = {0.0,
     0.0,
     0.0};
R = {1.0 0.0,
     0.0 1.0,
     0.0 1.0};
Q = {1.0 0.0,
     0.0 1.0};

proc (1) = sgf(lambda);
  local n,f;

  n = rows(lambda);

  call SSM_build(Z,d,H,T,c,R,Q,0);
  f = sgf_SSM(lambda)/(2*pi);

  retp(f);
endp;

lambda = 0|0.5|(pi/4)|(pi/2)|pi;
n = rows(lambda);
f = sgf(lambda);

f_x = f[.,1];
f_yx = f[.,2];
f_xy = f[.,3];
f_y = f[.,4];
data = f_x~f_y~f_xy~f_yx;
print ftosa(data,"%lf",10,3);
