new;
library frm,tsm,optmum,pgraph;

k = seqa(0,1,20);
N = rows(k)-1;
M = 1000;

d = -0.5;
{phi1,theta,retcode} = canonical_arfima(d,0,0,M,N);

d = 0;
{phi2,theta,retcode} = canonical_arfima(d,0,0,M,N);

d = 0.2;
{phi3,theta,retcode} = canonical_arfima(d,0,0,M,N);

d = 0.499995;
{phi4,theta,retcode} = canonical_arfima(d,0,0,M,N);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.225; _paxht = 0.225; _ptitlht = 0.275;

  xtics(-2,12,2,0);
  ytics(-1,1,0.5,2);
  xlabel("\216Lag k");

  setwind(1);
    title("\216d = -0.5");
    _pbartyp = {6 1};
    bar(k,phi1);

  setwind(2);
    title("\216d = 0");
    _pbartyp = {6 2};
    bar(k,phi2);

  setwind(3);
    title("\216d = 0.2");
    _pbartyp = {6 3};
    bar(k,phi3);

  setwind(4);
    title("\216d = 0.5");
    _pbartyp = {6 4};
    bar(k,phi4);

  endwind;