new;
library frm,pgraph;

cls;

lambda = seqa(2*pi/500,2*pi/500,500);

d = -0.5~0~0.5;

d1 = spectral_density_arfima(0,0,d,0.20,lambda);
d2 = spectral_density_arfima(0.5,0,d,0.20,lambda);
d3 = spectral_density_arfima(-0.5,0,d,0.20,lambda);
d4 = spectral_density_arfima(0.75|-0.5,0.75|-0.5|0.25,d,0.20,lambda);
d5 = spectral_density_arfima(0.50|0.15,0.75|-0.10|0.15,d,0.20,lambda);

graphset;
  begwind;
  window(2,2,1);

    fonts("simplex simgrma");
    _pdate = ""; _pnum = 2; _pframe = 0;
    _pltype = 6|1|3; _pcolor = 1|2|4; _plwidth = 10;
    _pysci = 0; _pnumht = 0.225; _paxht = 0.225; _ptitlht = 0.275;

  xtics(0,pi,pi/4,0);
  let xlab = "0" "\202p\201/4" "\202p\201/2" "\2013\202p\201/4" "\202p\201";
  asclabel(xlab,0);
  ytics(0,3.0e-2,0.5e-2,2);

  setwind(1);
    title("\216White noise");
    _plegstr = "d = -0.5\000d = 0\000d = 0.5";
    xy(lambda,d1);

  setwind(2);
    title("\216AR(1) - \202\70\201 = 0.5");
    xy(lambda,d2);

  setwind(3);
    title("\216AR(1) - \202\70\201 = -0.5");
    xy(lambda,d3);

  setwind(4);
    title("\216ARMA #1");
    _plegctl = {2 6 5 4};
    xy(lambda,d4);

  endwind;


d = -0.5~0.5;
lambda = 0.1|3;
a = (4*sin(lambda/2)^2)^(-d);
print a;

lambda = 2*arcsin(sqrt(1/4));
a = (4*sin(lambda/2)^2)^(-d);
print a;
