new;
library frm,pgraph;

lambda = seqa(0,pi/200,201);

d1 = spectral_density_arma(0,0,0.20,lambda);
d2 = spectral_density_arma(0.5,0,0.20,lambda);
d3 = spectral_density_arma(0.6,0,0.20,lambda);
d4 = spectral_density_arma(-0.5,0,0.20,lambda);

d5 = spectral_density_arma(0,0.5,0.20,lambda);
d6 = spectral_density_arma(0,-0.5,0.20,lambda);
d7 = spectral_density_arma(0,-0.8,0.20,lambda);

d8 = spectral_density_arma(0.75|-0.5,0.75|-0.5|0.25,0.20,lambda);
d9 = spectral_density_arma(0.50|0.15,0.75|-0.10|0.15,0.20,lambda);

graphset;
  begwind;
  window(2,2,1);

    fonts("simplex simgrma");
    _pdate = ""; _pnum = 2; _pframe = 0;
    _pltype = 6|1|3; _pcolor = 1|2|4; _plwidth = 10;
    _pysci = 0; _pnumht = 0.225; _paxht = 0.225; _ptitlht = 0.275;

  xtics(0,pi,pi/4,0);
  let xlab = "0" "\202p\201/4" "\202p\201/2" "\2013\202p\201/4" "\202p\201";
  asclabel(xlab,0);


  setwind(1);
    title("\216White noise");
    _plegstr = "White noise\000AR(1) \202\70\201 = 0.5";
    _plegctl = {2 6 3.5 3.5};
    ytics(0,3e-2,0.5e-2,2);7
    xy(lambda,d1~d2);

  setwind(2);
    title("\216AR(1)");
    _plegstr = "\202\70\201 = 0.5\000\202\70\201 = 0.6\000\202\70\201 = -0.5";
    _plegctl = {2 6 3.5 3.75};
    ytics(0,4e-2,0.5e-2,2);
    xy(lambda,d2~d3~d4);

  setwind(3);
    title("\216MA(1)");
    _plegstr = "\202\81\201 = 0.5\000\202\81\201 = -0.5\000\202\81\201 = -0.8";
    _plegctl = {2 6 4.5 4.0};
    ytics(0,2.5e-2,0.5e-2,2);
    xy(lambda,d5~d6~d7);

  setwind(4);
    title("\216ARMA(2,3)");
    _plegstr = "ARMA #1\000ARMA #2";
    _plegctl = {2 6 4.25 4.35};
    ytics(0,2.0e-2,0.5e-2,2);
    xy(lambda,d8~d9);

  endwind;

