new;
library frm,pgraph,optmum;

cls;

rndseed 223;

n = 100;
k = 5;

x = rndu(n,k);
let beta = -1 1 2 3 0;
sigma = 0.20;
u = rndn(n,1) * sigma;
y = x*beta + u;

xx = trunc(100*x'x)/100;
xy = trunc(100*x'y)/100;

print ftosa(xx~xy,"%lf",3,2);

Q = 2 * XX;
R = 2 * XY;
sv = beta;

{beta1,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,0,0,0,0,0);
print "beta (ols) = ";
print ftosa(beta1~(xy/xx),"%lf",3,2);
print "-------------------------------";

// Question 2.b.i

let A[1,5] = 1 1 1 1 1;
let B = 1;
{beta2,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,A,B,0,0,0);
print "beta (2.b.i) = ";
print ftosa(beta2,"%lf",3,2);
print "-------------------------------";

// Question 2.b.ii

let A[2,5] = 1 -1 0 0 0
             1  0 0 0 -1;
let B = 0 0;
{beta3,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,A,B,0,0,0);
print "beta (2.b.ii) = ";
print ftosa(beta3,"%lf",3,2);
print "-------------------------------";

// Question 2.b.iii

let C[4,5] = 1 -1  0  0  0
             0  1 -1  0  0
             0  0  1 -1  0
             0  0  0  1  -1;
let D = 0 0 0 0;
{beta4,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,0,0,C,D,0);
print "beta (2.b.iii) = ";
print ftosa(beta4,"%lf",3,2);
print "-------------------------------";

// Question 2.b.iv

A = ones(1,5); B = 1;
{beta5,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,A,B,-C,-D,0);
print "beta (2.b.iv) = ";
print ftosa(beta5,"%lf",3,2);
print "-------------------------------";

print "u1 = " u1;
print "u2 = " u2;

beta = beta5;
F = -(Q*beta - R - u1*A');
print ftosa(F,"%lf",3,4);

lagr = F / C';
print ftosa(lagr~u2,"%lf",3,4);

-F+(C'*u2);

let A[2,5] = 1 -1 0 0 0
             1  0 0 0 -1;
let B = 0 1;
{beta_tilde,u1,u2,u3,u4,retcode} = Qprog(sv,Q,R,A,B,0,0,0);
print ftosa(beta_tilde,"%lf",3,5);
print "-------------------------------";

beta_hat = invpd(xx) * xy;
beta_tilde = beta_hat - invpd(xx) * A' * invpd(A * invpd(xx) * A') * (A*beta_hat - B);
print ftosa(beta_tilde,"%lf",3,5);
print "-------------------------------";

C = null(A);
D = pinv(A'A)*A'*B;
gamma_tilde = invpd(C'*xx*C) * C' (xy - xx*D);
print ftosa(gamma_tilde,"%lf",3,5);
print "-------------------------------";

end;

beta_tilde = C * gamma_tilde + D;
print ftosa(beta_tilde,"%lf",3,5);
print "-------------------------------";

let C[5,3] = 1 0 0
             1 0 0
             0 1 0
             0 0 1
             1 0 0;
let D = 0 0 0 0 -1;
print ftosa(gamma_tilde,"%lf",3,5);
print "-------------------------------";

beta_tilde = C * gamma_tilde + D;
print ftosa(beta_tilde,"%lf",3,5);
print "-------------------------------";
