new;
library frm,pgraph;
frmSet;

graphset;
  begwind;
  window(2,3,0);

  fonts("simplex simgrma");
  _pframe = 0; _paxht = 0.30; _pnumht = 0.25; _ptitlht = 0.30; _plwidth = 10;
  xtics(0,1,0.2,2); ytics(0,1,0.2,2); ztics(0,1,0.2,2);
  xlabel("\216u]2["); ylabel("\216u]1[");

  u1 = seqa(0,0.05,21); 
  u2 = u1';
  L = cdfCopulaLower2(u1,u2);
  P = cdfCopulaProduct2(u1,u2);
  U = cdfCopulaUpper2(u1,u2);

  setwind(1);
    _pcolor = 1;
    title("\216C[-](u]1[,u]2[)");
    _pzclr = {0.0 9,10 9};
    surface(u2,u1,L);

  setwind(2);
    _pcolor = 2;
    title("\216C[\202\74\201](u]1[,u]2[)");
    _pzclr = {0.0 10,10 10};
    surface(u2,u1,P);

  setwind(3);
    _pcolor = 4;
    title("\216C[+](u]1[,u]2[)");
    _pzclr = {0.0 12,10 12};
    surface(u2,u1,U);

    t = seqa(1/23,1/23,23)';
    u1 = seqa(0,0.01,101);
    v1 = t+1-u1;

    u2 = seqa(0.01,0.05,21);
    v2 = t./u2;

    _pltype = 6; _pnum = 2; title("");

  setwind(4);
    _pcolor = 1; xy(u1,v1);

  setwind(5);
    _pcolor = 2; xy(u2,v2);

  setwind(6);
    _pcolor = 4;
    t = t';
    e = ones(rows(t),1);
    _pline = (1~6).*e~t~t~t~e.*(1~1~12~10) | (1~6).*e~t~t~e~t~e.*(1~12~10) ;
    draw; 

  endwind;


