new;
library frm,pgraph;
frmSet;

theta = -10~-3~-1.5~0.001~3~10;
u1 = 0.01|seqa(0.01,0.01,98)|0.99;

graphset;
  begwind;
  window(2,2,0);
  _pnum = 2; _pframe = 0; _paxht = 0.30; _pnumht = 0.20; _ptitlht = 0.30;
  _plwidth = 4; _plwidth = 10; _plctrl = 10; _psymsiz = 5;
  xlabel("\216u]1["); ylabel("\216u]2[");
  xtics(0,1,0.2,2); ytics(0,1,0.2,2);
  _pltype = 6|3|6|3|6|3; _pstype = 8|8|9|9|10|10; _pcolor = 1|2|3|4|5|6|7|8;
  fonts("simplex simgrma");
  
  t = 0.1;
  setwind(1);
    title("\216C(u]1[,u]2[) = 0.1");
    _pline = 1~6~t~t~t~1~1~0~10 |
             1~6~t~t~1~t~1~0~10 | 
             1~6~t~1~1~t~1~0~10 ;
    u2 = contourCopulaFrank(u1,t,theta);
    xy(u1,u2);

  t = 0.2;
  setwind(2);
    title("\216C(u]1[,u]2[) = 0.2");
    _pline = 1~6~t~t~t~1~1~0~10 |
             1~6~t~t~1~t~1~0~10 | 
             1~6~t~1~1~t~1~0~10 ;
    u2 = contourCopulaFrank(u1,t,theta);
    xy(u1,u2);

  t = 0.5;
  setwind(3);
    title("\216C(u]1[,u]2[) = 0.5");
    _pline = 1~6~t~t~t~1~1~0~10 |
             1~6~t~t~1~t~1~0~10 | 
             1~6~t~1~1~t~1~0~10 ;
    u2 = contourCopulaFrank(u1,t,theta);
    xy(u1,u2);

  t = 0.75;
  setwind(4);
    title("\216C(u]1[,u]2[) = 0.75");
    _pline = 1~6~t~t~t~1~1~0~10 |
             1~6~t~t~1~t~1~0~10 | 
             1~6~t~1~1~t~1~0~10 ;
    _plegstr = "\202Q\201 = -10\000\202Q\201 = -3\000\202Q\201 = -1,5\000"\
               "\202Q\201 = 0,001\000\202Q\201 = 3\000\202Q\201 = 10";
    _plegctl = {2 5 2.5 2.5};
    u2 = contourCopulaFrank(u1,t,theta);
    xy(u1,u2);

  endwind;
