new;
library frm,pgraph;
frmSet;

_intord = 24;

rho = -0.99999|-0.99|-0.975|seqa(-0.95,0.05,39)|0.975|0.99|0.999999;
nu = 1~4;

tau = zeros(rows(rho),rows(nu)+1);
varrho = tau;

tau = KendallCopulaStudent(rho,nu)~KendallCopulaNormal(rho);
varrho = SpearmanCopulaStudent(rho,nu)~SpearmanCopulaNormal(rho);

graphset;
  _pdate = ""; _pcross = 1; _pnum = 2; _pframe = 0;
  fonts("simplex simgrma microb complex");
  xtics(-1,1,0.5,2);
  ytics(-1,1,0.5,2);
  _pcolor = 1|2|4; _plwidth = 10; _pltype = 6|3|1;
  xlabel("\216Kendall's tau");
  ylabel("\216Spearman's rho");
  _pmsgstr = "\203^\201";
  _pmsgctl = 4.89~4.89~0.15~90~2~0~6;
  _plegstr = "\202n\201 = 1\000\202n\201 = 4\000\202n\201 = \202\56\201";
  _plegctl = {2 6 1.5 5};
  xy(tau,varrho);
