new;
library frm,pgraph;
frmSet;

datFileName = "..\\..\\data\\benchmark";
Data = loadd(datFileName);
Dates = Data[.,1];
data = selif(data,(Dates .>= 20060101) .and (Dates .<= 20151231));

vnames = "" $+ getname(datFileName);
let string selected_names = "M1EU" "M2US";

indx = indsav(selected_names,vnames);
data = data[.,indx];

dt = 1;
Rt = packr(data ./ lagn(data,dt) - 1.0);

{u,C1} = cdfCopulaDeheuvels(Rt,"tmp");
u1 = u[seqa(1,3,rows(u)/3)]|1;
if rows(u1)%2 == 0;
  u1 = u1|1;
endif;
u2 = u1;
C1 = readCopulaDeheuvels("tmp",u,u1,u2);

rho = submat(corrx(Rt),1,2);
C2 = cdfCopulaNormal2(u1,u2',rho);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  _pnum = 2; _plwidth = 10;
  _plev = seqa(.05,.05,19);
  xlabel("\216EU Equity");
  ylabel("\216US Equity");

  setwind(1);
    _pzclr = 9;
    contour(u1',u2,C1');

  setwind(2);  
    _pzclr = 12;
    contour(u1',u2,C2');

  endwind;
