new;
library frm,pgraph;
frmSet;

cls;

datFileName = "..\\..\\data\\benchmark";
Data = loadd(datFileName);
Dates = Data[.,1];
data = selif(data,(Dates .>= 20060101) .and (Dates .<= 20151231));

vnames = "" $+ getname(datFileName);
let string selected_names = "M1EU" "M2US" "LGAGTRUH" "LUACTRUU" "BCOMTR";

indx = indsav(selected_names,vnames);
data = data[.,indx];

dt = 1;
Rt = packr(data ./ lagn(data,dt) - 1.0);
u = dependogram(Rt);
u = substute(u, u .== 1, 1 - __macheps);

rho1 = corrx(Rt);
rho2 = regCopulaNormal(u);
{rho3,rhoNormal} = regCopulaStudent(u,1); 
{rho4,rhoNormal} = regCopulaStudent(u,4);

print ftosa(100*lowmat2(rho1,error(0)),"%lf",3,1);
print ftosa(100*lowmat2(rho2,error(0)),"%lf",3,1);
print ftosa(100*lowmat2(rho3,error(0)),"%lf",3,1);
print ftosa(100*lowmat2(rho4,error(0)),"%lf",3,1);
