new;
library frm,pgraph,optmum;
frmSet;

fn cdfProc(x) = cdfn(x);
fn pdfProc(x) = pdfn(x);

x = seqa(-10,20/200,201);

n = 5;
i = seqa(1,1,5)';

pdf = pdfOrderStatistic(x,n,i,&cdfProc,&pdfProc);
cdf = cdfOrderStatistic(x,n,i,&cdfProc);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9/2,6.855/2.5,4.85,1,1);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10;
  xlabel("\216x");

  setwind(1);
    _pltype = 6|3; _plctrl = 5; _pstype = 8|9|10|11|12; _pcolor = 1|2|3|4|5;
    xtics(-3,5,1,0);
    ytics(0,1,0.2,2);
    _plegstr = "i=1\000i=2\000i=3\000i=4\000i=5";
    _plegctl = {2 4.5 7 4.5};
    xy(x,cdf);

  _plegctl = 0;

  setwind(2);
    _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.35; _psymsiz = 6.0;
    title("\216Density function");
    xlabel("");
    ytics(0,0.8,0.2,2);
    xtics(-3,4,1,0);
    xy(x,pdf);

  endwind;