new;
library frm,optmum,pgraph;
frmSet;

x = seqa(-6,.1,40)|seqa(-2,.025,280)|seqa(5,.1,51);

mu = 0;
sigma = 1;
let xi = 1 -1 0.001;
y1 = pdfGEV(x,mu,sigma,xi[1])~pdfGEV(x,mu,sigma,xi[2])~pdfGEV(x,mu,sigma,xi[3]);
y1[.,2] = missex(y1[.,2],x .>= 2);

mu = 0;
sigma = 2;
let xi = 1 -1 0.001;
y2 = pdfGEV(x,mu,sigma,xi[1])~pdfGEV(x,mu,sigma,xi[2])~pdfGEV(x,mu,sigma,xi[3]);
y2[.,2] = missex(y2[.,2],x .>= 3);

mu = -1;
sigma = 1;
let xi = 1 -1 0.001;
y3 = pdfGEV(x,mu,sigma,xi[1])~pdfGEV(x,mu,sigma,xi[2])~pdfGEV(x,mu,sigma,xi[3]);
y3[.,2] = missex(y3[.,2],x .>= 1);

mu = 0;
sigma = 1;
let xi = 1.0 1.5 2.0;
y4 = pdfGEV(x,mu,sigma,xi[1])~pdfGEV(x,mu,sigma,xi[2])~pdfGEV(x,mu,sigma,xi[3]);

graphset;
  begwind;
  window(2,2,0);
  fonts("simplex simgrma");
  _pdate = ""; _pframe = 0; _pnum = 2; 
  _pltype = 6|1|3; _plwidth = 10; _pcolor = 1|2|4;
  _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.30;

  xlabel("\216x");
  xtics(-5,10,5,0);
  ytics(0,1,0.2,2);
 
  setwind(1);
    title("\216GEV(0,1,\202x\201)");
    _plegstr = "\202x\201 = 1\000\202x\201 = -1\000\202x\201 = 0";
    _plegctl = {2 5.5 6 3.75};
    xy(x,y1);

  ytics(0,0.5,0.1,2);

  setwind(2);
    title("\216GEV(0,2,\202x\201)");
    _plegstr = "\202x\201 = 1\000\202x\201 = -1\000\202x\201 = 0";
    xy(x,y2);

  ytics(0,1,0.2,2);

  setwind(3);
    title("\216GEV(-1,1,\202x\201)");
    _plegstr = "\202x\201 = 1\000\202x\201 = -1\000\202x\201 = 0";
    xy(x,y3);

  ytics(0,1.5,0.5,2);
  xtics(-2,10,2,2);
 
  setwind(4);
    title("\216GEV(0,1,\202x\201)");
    _plegstr = "\202x\201 = 1.0\000\202x\201 = 1.5\000\202x\201 = 2.0";
    xy(x,y4);

  endwind;