new;
library frm,pgraph;
frmSet;

cls;

rndseed 12;

proc f(x);
  retp(pdfn(x));
endp;

proc g(x);
  local pdf;
  pdf = 1 / (pi * (1 + x^2));
  retp(pdf);
endp;

c = sqrt(2*pi)/exp(0.5);
print ftos(c,"c = %lf",3,2);

x = seqa(-8,16/200,201);
pdf = f(x)~c*g(x);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 1|3; _plwidth = 12; _pcolor = 1|4;
  xtics(-8,8,2,2);
  ytics(0,0.5,0.1,2);
  xlabel("\216x");
  e = ones(rows(x),1);
  _pline = e.*(1~6)~x~pdf[.,1]~x~pdf[.,2]~e.*(1~7~5);
  _plegstr = "f(x) - Normal\000c\202\46\201g(x) - Cauchy";
  _plegctl = {2 5 6 5};
  xy(x,pdf);




