new;
library frm,pgraph,optmum;
frmSet;

rho = -0.70;
nu = 2;

m2 = 4000;
rndCopulaSobol(3);
{u1,u2} = rndCopulaStudent2(rho,nu,m2);

m1 = 10000;

n1 = -1 + 2 * rndn(m1,1);
g1 = rndgam(m1,1,1/0.5);
x1 = n1 + g1;

n2 = rndn(m1,1);
g2 = 2 * rndgam(m1,1,1);
x2 = n2 .* g2;

x = rndCopulaEmpiricalQuantile(u1~u2,x1~x2);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 0;
  _plctrl = -1; _pstype = 2; _psymsiz = 1; _pcolor = 2;
  fonts("simplex simgrma");
  xlabel("\216Z]1[");
  ylabel("\216Z]2[");
  xtics(-8,10,2,2);
  ytics(-15,20,5,2);
  xy(x[.,1],x[.,2]);

