new;
library frm,pgraph,optmum;

cls;

rndseed 12345;

n = 20;
kappa = 5;
cn = 1;
mode = 5;
lambda = Simulate_Eigenvalues(n,kappa,mode,cn);
lambda = rev(sortc(lambda,1));

C1 = Simulate_Correlation_Matrix(n,lambda,0);
lambda1 = eigh(C1);
lambda1 = rev(sortc(lambda1,1));

C2 = simulate_Symmetric_Matrix(lambda,1,4);
lambda2 = eigh(C2);
lambda2 = rev(sortc(lambda2,1));

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 1|4; _pstype = 8|9;
  _plctrl = -1;
  xtics(0,2,0.25,2);
  ytics(0,2,0.25,2);
  _pline = 1~3~0~0~n~n~1~0~10;
  xlabel("\216Specified eigenvalues");
  _plegstr = "Bendel-Mickey algorithm\000Covariance algorithm";
  _plegctl = {2 5 1.5 5.5};
  xy(lambda,lambda1~lambda2);

