new;
library frm,pgraph,optmum;

a = 2.0;
b = 0.10;
sigma = 0.015;
nS = 10;
x0 = 0.05; 

t = seqa(0,1/260,2*261);

rndseed 1234568;
xt = simulate_OU(x0,a,b,sigma,t,nS);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0; 
  _plwidth = 8; _pcolor = 1|2|3|4; _pltype = 6|1|3;
  xtics(0,2,0.5,2);
  ytics(5,12,1,2);
  let xlab = "Jan-01" "Jul-01" "Jan-02" "Jul-02" "Jan-03";
  asclabel(xlab,0);
  ylabel("\216X(t) (in %)");
  xy(t,100*xt);