new;
library frm,pgraph,optmum;

cls;

rndseed 123;

r = 1;

nR = 1500;
pi_simul = zeros(nR,2);

i = 1;
do until i > nR;

  nS = 10000;
  u = rndu(nS,2);
  x = u[.,1];
  y = u[.,2];

  s = (x^2 + y^2) .<= r^2;
  pi_simul[i,2] = 4*meanc(s);

  pi_simul[i,1] = 4*meanc(s[1:1000]);

  i = i + 1;
endo;

x = seqa(3,0.30/256,256);
{d1,F} = regKernelDensity(pi_simul[.,1],x);
{d2,F} = regKernelDensity(pi_simul[.,2],x);

sigma = 4*stdc(s);
sigma = sigma ./ sqrt(1000~10000);
d3 = pdfn((x - pi)./sigma)./sigma;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1; _plwidth = 10; _pcolor = 1|4;
  _plegstr = "n]S[ = 1000\000n]S[ = 10000";
  _plegctl = {2 5 6.5 4};
  _pline = 1~6~pi~0~pi~30~1~0~10;
  xtics(3,3.30,0.05,2);
  ytics(0,25,5,2);
  xy(x,d3);
