new;
library frm,pgraph;
frmSet;

cls;

mu = 7;
sigma = 2.3;
H = 50000;

F_H = cdfn((ln(H) - mu)/sigma);
str = ftosa(100*F_H,"F(H) = %lf",3,2) $+ "%";
print str;

nS = 100;
u = simulate_LCM(123456,nS);
x1 = exp(mu + sigma * cdfni(u));
x2 = exp(mu + sigma * cdfni(u + (1-u) * F_H));

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 1; _plctrl = -1; _pcolor = 1|4; _pstype = 8|11; _psymsiz = 1.5|2.5;
  xtics(0,1,0.20,2);
  _pline = 1~3~0~H~1~H~1~0~8;
  _pmsgstr = "H = 50000";
  _pmsgctl = 0.80~1.25*H~0.12~0~1~0~10;
  xlabel("\216Uniform random variates");
  ylabel("\216Simulated losses");
  _plegstr = "Algorithm (a)\000Algorithm (c)";
  _plegctl ={2 5 2 5};
  xy(u,x1~x2);