new;
library frm,pgraph;
frmSet;

cls;

rndseed 123456;

let mu    = 1.0 2.0 3.0;
let sigma = 1.0 0.5 5.0;
let rho   = 1.00 
            0.50  1.00
            0.20  0.30  1.00;
rho = xpnd(rho);
cov = rho .* sigma .* sigma';
n = rows(cov);
nS = 5;

u = rndn(n,nS);
u = trunc(1e3*u)/1e3;
print ftosa(u,"%lf",3,3);

z = zeros(n,nS);
z[1,.] = mu[1] + sigma[1] * u[1,.];

i = 2;
do until i > n;
  Sigma_xx = cov[1:i-1,1:i-1];
  Sigma_yy = cov[i,i];
  Sigma_xy = cov[1:i-1,i];
  Sigma_yx = cov[i,1:i-1];
  mu_x = mu[1:i-1];
  mu_y = mu[i];
  x = z[1:i-1,.];
  mu_cond = mu_y + Sigma_yx*invpd(Sigma_xx)*(x - mu_x);  
  sigma_cond = sqrt(Sigma_yy - Sigma_yx*invpd(Sigma_xx)*Sigma_xy);
  z[i,.] = mu_cond + sigma_cond * u[i,.];
  i = i + 1;
endo;

print ftosa(z,"%lf",3,3);

  
  