new;
library frm,pgraph;
cls;

datPathName = "..\\..\\data\\";
datFileName = datPathName $+ "equity-indices-2017-daily";

data = loadd(datFileName);
vnames = "" $+ getname(datFileName);

BeginDate = 19500101;
EndDate = 20191231;
Dates = data[.,1];
Index = data[.,2];

Index = selif(Index, (Dates .>= BeginDate) .and (Dates .<= EndDate));
Dates = selif(Dates, (Dates .>= BeginDate) .and (Dates .<= EndDate));
nDates = rows(Dates);
t = seqa(1,1,nDates);

{maxDD,startDD,endDD} = Estimate_Maximum_Drawdown(Index,1);
print Dates[startDD]~Dates[endDD]~maxDD;

e = (t .<= startDD);
tmp_Index = selif(Index, e);
tmp_Dates = selif(Dates, e);

{maxDD,startDD,endDD} = Estimate_Maximum_Drawdown(tmp_Index,1);
print tmp_Dates[startDD]~tmp_Dates[endDD]~maxDD;

e = (t .<= startDD);
tmp_Index = selif(Index, e);
tmp_Dates = selif(Dates, e);

{maxDD,startDD,endDD} = Estimate_Maximum_Drawdown(tmp_Index,1);
print tmp_Dates[startDD]~tmp_Dates[endDD]~maxDD;



