new;
library frm,optmum,pgraph;
frmset;
cls;

n = 10;
rho = 0.5;
rho = diagrv(rho*ones(n+1,n+1),1);
sigma = 0.20 + 0.20 * rndu(n+1,1);
mu = 0.03 + 0.15 * rndu(n+1,1);
cov = rho .* sigma .* sigma';

nS = 1000;
data = rndmvn_chol(mu,cov,nS);
L = data[.,n+1];
data = data[.,1:n];
L_max = quantile(L,0.90);
x = selif(data,L .>= L_max);
nobs = rows(x);



proc (1) = reverse_stress(xt,w,loss);
  local mu,Sigma,mu_loss,sigma_loss,beta,x_star;
 
  xt = packr(xt);
  mu = meanc(xt);
  Sigma = vcx(xt);
  mu_Loss = w'mu;
  sigma_Loss = w'*Sigma*w;
  beta = (Sigma*w)/sigma_loss;
  x_star = mu + beta * (loss - mu_loss); 

  retp(x_star);
endp;

