new;
library frm,pgraph;

cls;

n = 200;
data = rndn(n,10);
dataset = "tmp1";
newdataset = "tmp2";

call dataset_SaveData(data,dataset,"X",1);

y = loadd(dataset);
indx = 3;
x = y[.,indx];
bounds = -0.5|0|1;
call dataset_PieceWise(dataset,indx,bounds,newdataset,0);

y = dataset_LoadData(newdataset,0,0,0);
print "----------------------------------------------";
call printfm2(sortc(x~y,1),1,15,3);

call DeleteFile("tmp1.dat");
call DeleteFile("tmp2.dat");

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _plctrl = -1;
  _psymsiz = 6; _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.30; 

  ytics(-1.5,1.5,0.5,2);
  xtics(-2,2,1,0);
  xlabel("\216X");

  iter = 1;
  do until iter > 4;

    setwind(iter);
      str = ftos(iter,"PW]%lf[",1,0);
      title("\216" $+ str);
      _pcolor = iter;
      _pstype = 4;
      if iter == 1;
        _pline = 1~3~bounds[iter]~-1.5~bounds[iter]~1.5~1~0~10;
      elseif (iter == 2) or (iter == 3);
        _pline = 1~3~bounds[iter]~-1.5~bounds[iter]~1.5~1~0~10;
        _pline = _pline | 1~3~bounds[iter-1]~-1.5~bounds[iter-1]~1.5~1~0~10;
      elseif iter == 4;
        _pline = 1~3~bounds[iter-1]~-1.5~bounds[iter-1]~1.5~1~0~10;
      endif;
      xy(x,y[.,iter]);

    iter = iter + 1;
  endo;

  endwind;

