new;
library frm,pgraph,gwizard;
cls;

let var = 1 2 3 4;
sigma = sqrt(var);
let rho = 1.00
          0.30 1.00
          0.50 0.10  1.00
          0.20 0.50  0.50 1.00;
rho = xpnd(rho);
call invpd(rho);
cov = rho .* sigma .* sigma';

{lambda,B} = eighv(cov);
indx = rev(sortind(lambda));
lambda = lambda[indx];
B = B[.,indx];
results = B|lambda';
print ftosa(results,"%lf",3,2);

{lambda,B} = eighv(rho);
indx = rev(sortind(lambda));
lambda = lambda[indx];
B = B[.,indx];
results = B|lambda';
print ftosa(results,"%lf",3,2);

{lambda,B,results} = regPCA(cov,0,0);

Q = vread(results,"QLT_var");
Q = Q ~ sumr(Q);
print ftosa(Q,"%lf",3,2);

C = vread(results,"CTR_var");
C = C | sumc(C)';
print ftosa(C,"%lf",3,2);
