/* 
** Classification
*/

new;
library frm,pgraph;

rndseed 123;

indx = 1|2;

nS = 100;
x1 = 5 + 3 * rndn(nS,1);
x2 = 5 + 3 * rndn(nS,1);

x1[indx] = 1|8;
x2[indx] = 2.5|8;

t = seqa(0,0.1,101);

let x = 0 0.5 1 1.5 2 2.5 3 3.5 4;
let y = 4 4.25 5 5.5 6 7 7.2 8 9;

z = regSpline(x,y,1,t);

let x = 0 1 3 5 6 6.5 7 7.1 7.2;
let y = 1 1.25 1.5 4 5 5 8 9 11;

z = z ~ regSpline(x,y,1,t);

let x = 0 1 2 3 6 7 8 9 10;
let y = -1 -2 -1 1 0.25 1 2 3 5;

z = z ~ regSpline(x,y,1,t);

let x = 0 1 3 4 5 6 7 9 10;
let y = 10 8 7 6 3 3.5 4.5 6 7;

z = z ~ regSpline(x,y,1,t);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  _pdate = ""; _pnum = 2;  
  _pltype = 6; _plwidth = 14; _pcolor = 1;

  xtics(0,10,2,2);
  ytics(0,10,2,2);

  xlabel("\216X]1[");
  ylabel("\216X]2[");

  setwind(1);
    _pmsgstr = "C]1[\000C]2[\000C]3[\000C]4[\000C]5[\000C]6[\000C]7[\000C]8[";
    _pmsgctl = {2 3 0.35 0 1 4 10,
                0.75 6.5 0.35 0 1 4 10,
                2 8.5 0.35 0 1 4 10,
                5 7 0.35 0 1 4 10,
                8.5 7 0.35 0 1 4 10,
                7 2.5 0.35 0 1 4 10,
                9 0.5 0.35 0 1 4 10};
    xy(t,z);

  setwind(2);
    _pstype = 11; _symsiz = 2.5; _plctrl = -1; _pcolor = 2;
    _psym = x1[indx]~x2[indx]~ones(2,1).*(1~7~0~1~10);
    _pmsgstr = "1\0002";
    _pmsgctl = x1[indx]+0.2~x2[indx]-0.3~ones(2,1).*(0.20~0~1~0~10);

    xy(x1,x2);


  endwind;


