new;
library frm,optmum,pgraph;

#define USE_OPTMUM

FileName = "..\\..\\data\\logit1";
data = loadd(FileName);
vnames = getname(FileName);

y = data[.,5];
x = ones(rows(y),1) ~ data[.,2:4];
n = rows(y);

sv = inv(x'x)*x'y;

{beta1,stderr,cov,LogL} = regLOGIT(0,y,x,sv,0,0);

_reg_weight = ones(n,1)/n;
{beta2,stderr,cov,LogL} = regLOGIT(0,y,x,sv,0,0);

_reg_weight = rndu(n,1);
{beta3,stderr,cov,LogL} = regLOGIT(0,y,x,sv,0,0);

_reg_weight = seqa(1,1,n);
{beta4,stderr,cov,LogL} = regLOGIT(0,y,x,sv,0,0);

y_new = {};
x_new = {};
i = 1;
do until i > n;
  y_new = y_new | y[i]*ones(_reg_weight[i],1);
  x_new = x_new | x[i,.].*ones(_reg_weight[i],1);
  i = i + 1;
endo;

_reg_weight = 0;
{beta5,stderr,cov,LogL} = regLOGIT(0,y_new,x_new,sv,0,0);

print ftosa(beta1~beta2~beta3~beta4~beta5,"%lf",3,4);
