new;
library frm,optmum,pgraph;

#define USE_OPTMUM

seed = 59739;
rndseed seed;

n = 20;
x = rndn(n,1);
x = trunc(1000*x)/1000;
x = ones(n,1) ~ x;
beta = -0.5|1;
Pr = cdfLogit(x*beta);
y1 = 2*(Pr .>= 0.5) - 1.0;

beta = 0.6|-1;
Pr = cdfLogit(x*beta);
y2 = 2*(Pr .>= 0.5) - 1.0;
y = y1[1:n/2]|y2[1+n/2:n];

x = x[.,1 2];

n = rows(y);
K = cols(x);

y_logit = y .== 1;

sv = ones(2,1);

nS = 5;
w = zeros(n,nS+1);
w[.,1] = ones(n,1)/n;
beta = zeros(K,nS);
Pr = zeros(n,nS);
I = zeros(n,nS);
yhat = zeros(n,nS);
omega = zeros(nS,1);
Loss = zeros(nS,1);

s = 1;
do until s > nS;
  _reg_weight = w[.,s];
  {beta[.,s],stderr,cov,LogL} = regLOGIT(0,y_logit,x,sv,0,0);
  Pr[.,s] = cdfLogit(x*beta[.,s]);
  yhat[.,s] = 2*(Pr[.,s] .>= 0.5) - 1.0;
  I[.,s] = yhat[.,s] ./= y;
  Loss[s] = sumc(w[.,s] .* I[.,s])/sumc(w[.,s]); 
  omega[s] = ln( (1-Loss[s])/Loss[s] );
  w[.,s+1] = w[.,s] .* exp( omega[s] .* I[.,s] );
  w[.,s+1] = w[.,s+1] / sumc( w[.,s+1] );
  s = s + 1;
endo;

w = w[.,1:nS];
Results = zeros(n,3*nS);
s = seqa(1,3,nS);
Results[.,s] = w;
Results[.,s+1] = yhat;
Results[.,s+2] = I;

yhat_last = sumr(submat(omega' .* yhat,0,0));
yhat_last = 2*(yhat_last .> 0) - 1.0;
I_last = yhat_last ./= y;

cls;

Results = y ~ x[.,2] ~ Results ~ yhat_last ~ I_last;
e = ones(1,3*nS+4);
s = seqa(3,3,nS);
e[.,s] = 100*ones(1,nS);
cn = 0~3~reshape(2|0|0,1,3*nS)~0~0;
print ftosa(miss(e.*Results,0),"%lf",3,cn);

results = beta | loss' | omega';
print ftosa(results,"%lf",3,4);

print sumc(I[.,1]~I_last);
 
