new;
library frm,pgraph;

cls;

let x_p[7,2] =  0.5    2.5
                2.7    4.2 
                2.7    2.0
                1.7    4.2 
                1.5    0.7 
                2.3    5.3 
                4.0    6.9; 
y_p = ones(7,1);                            
let x_m[8,2] =  6.4    4.5 
                7.7    2.2 
                8.8    6.0 
                7.4    6.5 
                6.5    1.7 
                8.3    1.3 
                6.0    1.3 
                5.0    0.5;
y_m = -ones(8,1);

data = seqa(1,1,7)' | x_p' | y_p';
print ftosa(data,"%lf",3,1);

data = seqa(8,1,8)' | x_m' | y_m';
print ftosa(data,"%lf",3,1);
print "-------------------------------------------------------------";
 
y = y_p | y_m;
x = x_p | x_m;
n = rows(x);

{beta0,beta,xi} = svm_classification_primal(y,x,0,1);

print "beta0"; 
print beta0;
print "beta"; 
print beta;
print "M"; 
print 1/(beta'beta);
print "------------------------";

a = (-beta0 + (-1~0~1))/beta[2];
b = -beta[1]/beta[2];

print "a";
print a;

print "b";
print b;
print "------------------------";

y0 = -0.5|7.5;
x0 = (y0 - a)./b;
print x0~y0;
print "------------------------";

a = -beta0/beta[2];
b = -beta[1]/beta[2];

x0 = 4.7;
y0 = a + b * x0;
print x0~y0;
print "------------------------";

x1 = 3.4|6.0;
y1 = y0 - (x1-x0)/b;
print x~y;
print "------------------------";

t = seqa(-1,9/100,101);
y_t = (-beta0+(-1~0~1) - beta[1]*t)/beta[2];

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 3|6|3; _plwidth = 10; _pcolor = 2|2|2;
  e = ones(n,1);
  e_p = (y .== 1);
  e_m = (y .== -1);
  ytics(-1,8,1,2);
  xtics(-1,9,1,2);
  _psym = x~e.*(8~5)~(e_p*1+e_m*4)~e.*(1~10);
  xy(t,y_t); 


    
