new;
library frm,pgraph;

cls;

n = 100;
K = 10;
beta0 = 5;
beta = rndu(K,1);
x = rndn(n,K);

y = beta0 +x*beta + 0.20*rndn(n,1);
xc = ones(n,1)~x;
beta_ols = invpd(xc'xc)*xc'y;

C = 0.5;
epsilon = 0;

{beta0,beta,xi1} = svm_regression_primal(y,x,C,epsilon);
beta_svm1 = beta0 | beta;

{alpha2,sv2,beta0,beta,xi2} = svm_regression_dual(y,x,C,epsilon);
beta_svm2 = beta0 | beta;

print "--------------------------------------------------------------------------";
print ftosa(C,"C = %lf",3,2)$+ftosa(epsilon," -- epsilon = %lE",3,2);
print ftosa(beta_ols~beta_svm1~beta_svm2,"%lf",3,3);

u = abs(xi1 - xi2);
print maxc(u);