new;
library frm,pgraph;

alpha = 0.99;
p = 1 - alpha;

n = seqa(100,100,150);
zones = zeros(rows(n),2);

i = 1;
do until i > rows(n);
  m = seqa(0,1,n[i]+1);
  Pr = cdfb(m,p,n[i]);
  prc = 0.95;
  zones[i,1] = sumc(Pr .< 0.95);
  zones[i,2] = sumc(Pr .< 0.9999);
  i = i + 1;
endo;

zones = zones - 1;
zones[.,2] = zones[.,2] + 1.0;

ratio = zones ./ (n .* p);
print ftosa(ratio,"%lf",3,2);