new;
library frm,pgraph;

rndseed 123;

n = 500;
VaR = zeros(n,1);
Normal_VaR = zeros(n,1);

VaR[1] = 100;
Normal_VaR[1] = 100;

sigma1 = 4;
sigma2 = 10;

t = 2;
do until t > n;

  if t > 360;
    Normal_VaR[t] = 1.001*Normal_VaR[t-1] + rndn(1,1)*sigma1;
  else;
    Normal_VaR[t] = Normal_VaR[t-1] + rndn(1,1)*sigma1;
  endif;
  VaR[t] = Normal_VaR[t];

  if (t >= 120 and t<= 140);
    VaR[t] = 200 + rndn(1,1)*sigma2;
    Normal_VaR[t] = 100;
  endif;

  if (t >= 300 and t<= 310);
    VaR[t] = 520 + rndn(1,1)*sigma2;
  endif;

  t = t + 1;
endo;

C = miss(zeros(n,1),0);
ksi = 0;

t = 61;
do until t > n;
  C[t] = _max_(VaR[t-1], (3+ksi) * meanc(VaR[t-1:t-60]) );
  t = t + 1;
endo;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|4;
  xtics(0,500,100,2);
  ytics(0,600,100,2);
  xlabel("\216t\201");
  _pline = 1~3~120~0~120~600~1~0~6 |
           1~3~140~0~140~600~1~0~6 |
           1~3~180~0~180~600~1~0~6 |
           1~3~200~0~200~600~1~0~6 |
           1~3~300~0~300~600~1~0~6 |
           1~3~310~0~310~600~1~0~6 |
           1~3~360~0~360~600~1~0~6 |
           1~3~370~0~370~600~1~0~6 ;

  _plegstr = "VaR]t[\000K]t[";
  _plegctl = {2 5 7 3.50};
  xy(0,VaR~C);