new;
library frm,pgraph;

eps = 1e-3;
let n = 250 500 1000;
n = n';
x = seqa(0,1/100,401);

alpha = 0.99;
q = cdfni(alpha);
sd = sqrt(alpha .* (1 - alpha)) ./ pdfn(q) ./ sqrt(n); 
pdf = pdfn( (x-q)./sd ) ./ sd;

pdf1 = missex(pdf, pdf .<= eps);

alpha = 0.90;
q = cdfni(alpha);
sd = sqrt(alpha .* (1 - alpha)) ./ pdfn(q) ./ sqrt(n); 
pdf = pdfn( (x-q)./sd ) ./ sd;

pdf2 = missex(pdf, pdf .<= eps);


graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _pcolor = 1|2|4; _plwidth = 10;
  xtics(0,4,0.5,2);
  ytics(0,8,1,2);

  setwind(1);
    xy(x,pdf1);

  setwind(2);
    _plegstr = "n]s[ = 250\000n]s[ = 500\000n]s[ = 1000";
    _plegctl = {2 5 5 5};
    _pmsgstr = "\202a\201 = 90%\000\202a\201 = 99%";
    _pmsgctl = 1.10~7.6~0.15~0~1~0~8 |
               2.15~3.7~0.15~0~1~0~8 ;
    xy(x,pdf2);

  endwind;