new;
library frm,pgraph;

cls;

datPathName = "..\\..\\Data\\";
datFileName = datPathName $+ "var";
loads info = ^datFileName;

data = loadd(datFileName);
data = selif(data,data[.,1] .>= 20070531);
vnames = "" $+ getname(datFileName);

let string selected_tickers = "AAPL" "KO";
n = rows(selected_tickers);
indx = indsav(selected_tickers,vnames);
Prices = data[.,indx];
Dates = data[.,1];
R = Prices./lag1(Prices) - 1.0;
cnd = sumr(R .== 0) .== n;
Dates = delif(Dates,cnd);
nDates = rows(Dates);
Prices = delif(Prices,cnd);
R = Prices ./ lag1(Prices) - 1;

t = 20150102;
indx_t = indnv(t,Dates);
Pt = Prices[indx_t,.]';
let w = 10 20;
Pw_t = sumc(w .* Pt);

if 0;
  Begin_Date = 20071009;
  End_Date = 20090309;
  indx = selif(seqa(1,1,nDates),(Dates .>= Begin_Date) .and (Dates .<= End_Date));
else;
  nS = 250;
  indx = seqa(indx_t-nS+1,1,nS);
endif;

Ps = Prices[indx,.];
Rs = R[indx,.];
Pt_s = Pt' .* (1 + Rs);
Pw_s = sumr(w' .* Pt_s);
Pi_s = Pw_s - Pw_t;

mu = 0;
sigma = stdc(Pi_s);

let nu = 3 3.5 4 5 6 10 1000;
nP = rows(nu);
xi = mu .* ones(nP,1);
omega = sigma .* sqrt( (nu - 2) ./ nu );

VaR = zeros(nP+1,1);
alpha = 0.99;
i = 1;
do until i > nP;
  VaR[i] = -xi[i] + cdfti(alpha,nu[i]) * omega[i];
  i = i + 1;
endo;
VaR[i] = cdfni(alpha) * sigma;

nu = nu | __Infp;
omega = omega | sigma;
results = nu' | omega' | VaR';
print ftosa(results,"%lf",3,2);