new;
library frm,pgraph;;

nS = 250;

lambda = 0.99;
w1 = seqm(1,lambda,nS)*(1-lambda)/(1-lambda^nS);

lambda = 0.98;
w2 = seqm(1,lambda,nS)*(1-lambda)/(1-lambda^nS);

lambda = 0.94;
w3 = seqm(1,lambda,nS)*(1-lambda)/(1-lambda^nS);

s = seqa(1,1,nS);
w = w1~w2~w3;

HL = sumc(s .* w);
print ftosa(HL,"%lf",3,2);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(4.5,3.425,4,3.5,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10; _pcolor = 1|2|4;
//  _paxht = 0.20;

  setwind(1);
    ytics(0,0.020,0.005,5);
    xtics(0,250,50,5);
    xlabel("\216s");
    ylabel("\216\202w\201]s[");
    _plegstr = "\202l\201 = 0.99\000\202l\201 = 0.98\000\202l\201 = 0.94";
    _plegctl = {2 5 6.5 2.20};
    xy(s,w);

  _plegctl = 0;

  setwind(2);
    _paxht = 0.25; _pnumht = 0.20; _ptitlht = 0.325;
    ytics(0,1,0.20,2);
    xtics(0,250,50,5);
    ylabel("");
    xlabel("\216s");
    title("\216\202S\201]j=1[[s]\202w\201]j[");
    xy(s,cumsumc(w));

  endwind;


