new;
library frm,pgraph;

cls;

nC = 100;
K = 100;
Sigma = 0.20;
tau = 52/252;
b = 0.05;
r = 0.05;
C0 = 4.14;

h = 1;
tau = tau - h/252;
R_S = -1.93/100;
S = 100 .* (1 + R_S);
Delta_Sigma = -4.42/100;
Sigma = Sigma + Delta_Sigma;

w = sigma * sqrt(tau);
d1 = ( ln(S/K) + b*tau )/w + 0.5 * w;  
d2 = d1 - w;
C = S*exp((b-r)*tau) * cdfn(d1) - K*exp(-r*tau) * cdfn(d2);
PnL = nC * (C - 4.14);

results = 100*R_S|S|100*Delta_Sigma|100*Sigma|d1|d2|cdfn(d1)|cdfn(d2)|C|PnL;
print ftosa(Results,"%lf",3,4);