new;
library frm,pgraph;

cls;

let w = 1093.3 842.8;
let mu = 0.0 0.0;
let sigma = 1.3611 0.9468;
sigma = sigma / 100;
let rho = 1.0
          0.120787 1.0;
rho = xpnd(rho);
cov = rho .* sigma .* sigma';
sigma_w = sqrt(w'cov*w);
 
alpha = 0.99;
VaR = cdfni(alpha) * sigma_w;
print ftosa(VaR,"VaR = %lf",3,2);
print "-----------------------------------------------------";

alpha = 0.99;
{risk,mr,rc,prc} = Compute_RC_Gaussian_VaR(w,mu,cov,alpha);
x = w / sumc(w);

Results = miss(zeros(3,5),0);
Results[1:2,1:5] = (w~100*mr~rc~100*prc~100*x);
Results[3,3] = Risk;

print ftosa(Results,"%lf",3,2);

alpha = 0.99;
{risk,mr,rc,prc} = Compute_RC_Gaussian_ES(w,mu,cov,alpha);
x = w / sumc(w);

Results = miss(zeros(3,5),0);
Results[1:2,1:5] = (w~100*mr~rc~100*prc~100*x);
Results[3,3] = Risk;

print ftosa(Results,"%lf",3,2);

alpha = 0.975;
{risk,mr,rc,prc} = Compute_RC_Gaussian_ES(w,mu,cov,alpha);
x = w / sumc(w);

Results = miss(zeros(3,5),0);
Results[1:2,1:5] = (w~100*mr~rc~100*prc~100*x);
Results[3,3] = Risk;

print ftosa(Results,"%lf",3,2);

