/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Exercise 2.4.1
**
*/

new;
library frm,pgraph;

cls;

print;
print "=====================  Question 1.  =======================================";

let L = 100 100 10 50 60 90  0;
let S =   0  50  0  0  0  0 80;

N = L - S;
E = sumc(abs(N));
K = 0.08 * E;
print ftos(K,"K(sp) = %lf",3,2);

K = 0.08 * sumc(N);
print ftos(K,"K(gen) = %lf",3,2);

S = seqa(0,1,401);
K = 0.08 * E + S * 0.04 + abs(280 - S) * 0.08;
graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pgrid = {3,1};
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  xtics(0,400,40,2);
  xlabel("\216S");
  
  xy(S,K);

print;
print "=====================  Question 2.  =======================================";

