new;
library frm,pgraph,optmum;

rndseed 123456;

x0 = 100;
mu = 0.05;
sigma = 0.05;
t = seqa(0,0.1,201);
nS = 7;

mu = 0.05;
x1 = simulate_GBM(x0,mu,sigma,t,nS);

mu = -0.05;
x2 = simulate_GBM(x0,mu,sigma,t,nS);

sigma = 0.40;
mu = 0.05;
x3 = simulate_GBM(x0,mu,sigma,t,nS);

mu = -0.05;
x4 = simulate_GBM(x0,mu,sigma,t,nS);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = seqa(1,1,7);
  _paxht = 0.22; _pnumht = 0.22; _ptitlht = 0.275;
  xtics(0,20,5,2);
  xlabel("\216t");
  _pline = 1~3~0~100~20~100~0~0~10;

  setwind(1);
    title("\216\202m\201 = 5% & \202s\201 = 5%");
    ytics(0,500,100,2);
    xy(t,x1);

  setwind(2);
    title("\216\202m\201 = -5% & \202s\201 = 5%");
    ytics(0,120,20,2);
    xy(t,x2);

  setwind(3);
    title("\216\202m\201 = 5% & \202s\201 = 40%");
    ytics(0,1200,200,2);
    xy(t,x3);

  setwind(4);
    title("\216\202m\201 = -5% & \202s\201 = 40%");
    ytics(0,700,100,2);
    xy(t,x4);

  endwind;