new;
library frm,pgraph;

cls;

datPathName = "..\\..\\data\\";
datFileName = datPathName $+ "sifma-bonds-2019";

loadm data = ^datFileName;

indx = 1;
vnames = vread(data,itos("name",indx));
vnames = strSplit2(vnames,"---")';
data = vread(data,itos("data",indx));

data = selif(data,data[.,1] .>= 1985); 
t = data[.,1];
data = data[.,2:cols(data)];
nCols = cols(data);
p = data ./ data[.,nCols];

print vnames';
print ftosa(t~100*p,"%lf",3,1);
vnames = trimr(vnames,1,0);

data = data / 1000;

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0; 
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  _paxht = 0.20; _pnumht = 0.22; _ptitlht = 0.275;
  _pbarwid = 0.50; _psymsiz = 5; _pstype = 8; _plctrl = 1;

  xtics(1995,2020,5,2);
  let xlab = "1995" "2000" "05" "10" "15" "20";
  asclabel(xlab,0);

  setwind(1);
    title("\216Treasury");
    ytics(0,3.0,0.5,2);
    _pcolor = 2;
    xy(t,data[.,2]);

  setwind(2);
    title("\216Mortgage Related");
    ytics(0,4,1,2);
    _pcolor = 3;
    xy(t,data[.,3]);

  setwind(3);
    title("\216Corporate Debt");
    ytics(0,2.0,0.5,2);
    _pcolor = 4;
    xy(t,data[.,4]);

  setwind(4);
    title("\216Total");
    ytics(0,8,2,2);
    _pcolor = 8;
    xy(t,data[.,7]);

  endwind;