new;
library frm,pgraph;

cls;

datPathName = "..\\..\\data\\";
datFileName = datPathName $+ "afme-securitization-2019";

data = loadd(datFileName);

t = data[.,1];

data[.,2:5] = data[.,2:5]/1000;

t = t;

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0; 
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  _paxht = 0.20; _pnumht = 0.22; _ptitlht = 0.275;
  _pbarwid = 0.50; _psymsiz = 5; _pstype = 8; _plctrl = 1;

  xtics(1998,2020,2,2);
  let xlab = "00" "02" "04" "06" "08" "10" "12" "14" "16" "18" "20";
  asclabel(xlab,0);

  setwind(1);
    title("\216Issuance in Europe");
    _pbartyp = {6 1};
    ytics(0,1,0.2,2);
    bar(t,data[.,2]);

  setwind(2);
    title("\216Issuance in US");
    _pbartyp = {6 2};
    ytics(0,3,0.5,2);
    bar(t,data[.,3]);

  setwind(3);
    title("\216Outstanding in Europe");
    _pbartyp = {6 3};
    ytics(1,2.6,0.4,2);
    bar(t,data[.,4]);

  setwind(4);
    title("\216Outstanding in US");
    _pbartyp = {6 4};
    ytics(5,9.0,1.0,2);
    bar(t,data[.,5]);

  endwind;