new;
library frm,pgraph;

cls;

datPathName = "..\\..\\data\\";
datFileName = datPathName $+ "bis-cds-2019";

data = loadd(datFileName);

dates = data[.,1];
yyyy = trunc(dates/10000);
mm = trunc((dates - yyyy*10000 - 1)/100);
t = yyyy + mm/12;

data = data[.,2:4]/1000;
total = data[.,1];

data = data[.,2:3];
nCols = cols(data);
data = data[.,seqa(nCols,-1,nCols)];
data = cumsumc(data')';
data = rev(data')';

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; 
  _pltype = 6; _plwidth = 20; _pcolor = 1;
  _pbarwid = 0.50; _psymsiz = 5; _pstype = 8; _plctrl = 1;

  xtics(2004,2018,1,2);
  let xlab = "05" "06" "07" "08" "09" "2010" "11" "12" "13" "14" "15" "16" "17" "18"; 
  asclabel(xlab,0);

  _pbartyp = {5 1, 6 4};
  ytics(0,70,10,2);
  _plegstr = "Single-name\000Multi-name";
  _plegctl = {2 5 6 4.5};
  bar(t-3/12,data);