/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 3.2.3
**
*/

new;
library frm,optmum,pgraph;

cls;

EAD = 1;
LGD = 0.45;
let PD = 0.03 0.05 0.10 0.25 0.40 0.50 0.75 1.00 1.30 1.50 2.00 2.50 3.00 4.00 5.00 6.00 10.00 15.00 20.00;
PD = PD / 100;
M = 2.5;

{RW,RWA,K} = IRB_RWA_Corporate(EAD,LGD,PD,M,50~5);

print ftosa(100*RW,"%lf",3,1);

EAD = 1;
LGD = 0.45~0.75~0.45~0.75~0.45~0.75;
let PD = 0.10 0.50 1.00 2.00 5.00 10.00 20.00;
PD = PD / 100;
M = 1~1~2.5~2.5~2.5~2.5;
S = 50~50~50~50~5~5;

{RW,RWA,K} = IRB_RWA_Corporate(EAD,LGD,PD,M,S);

Results = error(0) ~ LGD;
Results = Results | (PD~RW);
print ftosa(100*Results,"%lf",3,1);

