/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 3.2.3
**
*/

new;
library frm,optmum,pgraph;

cls;

EAD = 1;
let PD = 0.10 0.50 1.00 2.00 5.00 10.00 20.00;
PD = PD / 100;

{RW1,RWA1,K1} = IRB_RWA_Retail(EAD,0.45~0.25,PD,1);
{RW2,RWA2,K2} = IRB_RWA_Retail(EAD,0.45~0.85,PD,2);
{RW3,RWA3,K3} = IRB_RWA_Retail(EAD,0.45~0.85,PD,3);

Results = error(0) ~ 0.45~0.25~0.45~0.85~0.45~0.85;
Results = Results | (PD~RW1~RW2~RW3);
print ftosa(100*Results,"%lf",3,1);


