new;
library frm,pgraph;
frmSet;

let r = 0.0   0.1  0.2 0.25 0.3  0.4   0.5  0.6  0.7 0.75 0.8   0.9  1.0;
let p = 1     2   10   25  10   2    0   2   10   25  10    2  1;
p = p / sumc(p);
print ftosa(100*(r~p),"%lf",3,2);

mu = sumc(p .* r);
sigma = sqrt( sumc(p .* (r-mu)^2) );

x = 0|0.001|seqa(0.01,0.01,99)|0.999|1;

{a,b} = calibrate_Beta_MM(mu,sigma);
y = pdfbeta(x,a,b);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6; _plwidth = 10; _pcolor = 4;
  _pbarwid = 0.35; _pbartyp = 6~1;

  setwind(1);
    xlabel("\216LGD");
    ytics(0,0.25,0.05,2);
    xtics(-0.1,1.1,0.1,2);
    let xlab = " " " " " " " " " " " " " " " " " " " " " " " " " ";
    asclabel(xlab,0);
    bar(r,p);

    let xlab = "" "" "" "" "" "" "" "" "" "" "" "" "";
    asclabel(xlab,0);

  setwind(2);
    let xlab = "" "0%" "10%" "20%" "30%" "40%" "50%" "60%" "70%" "80%" "90%" "100%" "";
    asclabel(xlab,0);
    _plegstr = "Calibrated Beta";
    _plegctl = {2 5 3.55 4.8};
    xy(x,y/7.5);
    
  endwind;
