new;
library frm,optmum,pgraph;
frmSet;

cls;

__output = 0;

{A0,sigma_A,DD,PD} = KMV_DD(3,0.40,10,0.07,0.05,1,1);
results = A0|100*sigma_A|DD|1e4*PD;
print ftosa(results,"%lf",3,4);

t = seqa(0.01,0.01,1000);
{A0,sigma_A,DD1,PD1} = KMV_DD(3,0.40,10,0.07,0.05,1,t);
{A0,sigma_A,DD2,PD2} = KMV_DD(3,0.42,10,0.07,0.05,1,t);
{A0,sigma_A,DD3,PD3} = KMV_DD(3,0.40,10,0.06,0.05,1,t);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3|1; _plwidth = 10;
  _pcolor = 1|4|2;
  xtics(0,10,2,2);
  xlabel("\216t (in years)");  
  ytics(0,120,20,2);
  ylabel("\216PD (in bps)");
  _plegstr = "\202s\201]E[=40%, \202m\201]A[=7%\000\202s\201]E[=42%, \202m\201]A[=7%\000\202s\201]E[=40%, \202m\201]A[=6%";
  _plegctl = {2 5 6 5.5};
  xy(t,1e4*(PD1~PD2~PD3));

