new;
library frm,optmum,pgraph;
frmSet;

cls;

t = seqa(0.01,0.01,1000);

S0 = 100;
S_star = 80~100~120;
sigma_S = 0.20;
R_bar = 0.50;
sigma_R = 0.10;
D = 100;
PD1 =  CreditGrades_PD(S0,S_star,sigma_S,R_bar,sigma_R,D,t);

S_bar = 100;
D = 50~100~200;
PD2 =  CreditGrades_PD(S0,S_star,sigma_S,R_bar,sigma_R,D,t);

D = 100;
R_bar = 0.20~0.50~0.80;
PD3 =  CreditGrades_PD(S0,S_star,sigma_S,R_bar,sigma_R,D,t);

R_bar = 0.50;
sigma_R = 0.10~0.20~0.30;
PD4 =  CreditGrades_PD(S0,S_star,sigma_S,R_bar,sigma_R,D,t);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.225; _paxht = 0.225; _ptitlht = 0.275;
  _pltype = 6|3|1; _plwidth = 10;
  _pcolor = 1|4|2;
  xtics(0,10,2,2);
  xlabel("\216t (in years)");  
  ytics(0,160,20,2);
  ylabel("\216PD (in bps)");

  setwind(1);
    title("\216Impact of S[*]");
    _plegstr = "S[*]=80\000S[*]=100\000S[*]=120";
    _plegctl = {2 5 2 4};
    xy(t,1e4*PD1);

  setwind(2);
    title("\216Impact of D");
    _plegstr = "D=50\000D=100\000D=200";
    _plegctl = {2 5 2 4};
    xy(t,1e4*PD2);

  setwind(3);
    title("\216Impact of the recovery R");
    _plegstr = "R=20%\000R=50%\000R=80%";
    _plegctl = {2 5 2 4};
    xy(t,1e4*PD3);

  setwind(4);
    title("\216Impact of the volatility \202s\201]R[");
    _plegstr = "\202s\201]R[=10%\000\202s\201]R[=20%\000\202s\201]R[=30%";
    _plegctl = {2 5 2 4};
    xy(t,1e4*PD4);

  endwind;


