/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 3.3.3
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

let P[3,3] = 0.80 0.10 0.10
             0.10 0.70 0.20
             0.00 0.00 1.00;

Lambda = lnMatrix(P);
print lambda;

let lambda[3,3] = 
     -0.30       0.20      0.10 
      0.15      -0.40      0.25 
      0.00       0.00      0.00; 

P1 = expMatrix(Lambda);
P2a = expMatrix(2*Lambda);
P2b = P1 * P1;
P12 = expMatrix(Lambda/12);

print ftosa(100*P1,"%lf",3,2);
print ftosa(100*P2a,"%lf",3,2);
print ftosa(100*P2b,"%lf",3,2);
print ftosa(100*P12,"%lf",3,2);

