new;
library frm,pgraph,optmum;
frmSet;

cls;

lambda1 = 2000;
lambda2 = 1000;

bounds = 5000;
order = 128;

T = seqa(1,1,5)|10|25|50;
rho = 0.20;
nu = 4;

lambda1 = lambda1/1e4;
lambda2 = lambda2/1e4;

fn S1(t) = exp(-lambda1 .* t);
fn S2(t) = exp(-lambda2 .* t); 
fn PD1(t) = 1 - S1(t);
fn PD2(t) = 1 - S2(t);

P1 = PD1(T);
P2 = PD2(T');

cor1 = Discrete_Default_Correlation(P1,P2,rho,0);
cor2 = Discrete_Default_Correlation(P1,P2,rho,nu);

print ftosa(t~100*cor1,"%lf",3,1); 
print;
print ftosa(t~100*cor2,"%lf",3,1); 

cor3 = Survival_Correlation(&S1,&S2,rho,0,bounds,order);
print ftosa(100*cor3,"%lf",3,1); 

cor4 = Survival_Correlation(&S1,&S2,rho,nu,bounds,order);
print ftosa(100*cor4,"%lf",3,1); 

