new;
library frm,pgraph,optmum;
frmSet;

cls;

rndseed 123;

__output = 0;

let PD = 0.02;
rho = 0.25;
n = 500;
nS = 20;

d = zeros(nS,1);
X = rndn(nS,1);
i = 1;
do until i > nS;
  epsilon = rndn(n,1);
  isD = (sqrt(rho) .* X[i] + sqrt(1-rho) .* epsilon) .< cdfni(PD);
  d[i] = sumc(isD);
  i = i + 1;
endo;

print ftosa(d,"%lf",3,0); 
print;

sv = rho;
{theta1,PD1} = regDefCorGordy(n,d,PD,1,sv);

sv = rho|PD;
{theta2,PD2} = regDefCorGordy(n,d,PD,0,sv);

sv = rho;
{theta3,PD3} = regDefCorGordy(n,d,0.01,1,sv);

results = (theta1|theta2|theta3)~(PD1|PD2|PD3);
print ftosa(results,"%lf",3,4);

