new;
library frm,pgraph,optmum;
frmSet;

cls;

let rho_inter = 1
                0.2 1
                0.1 0.3 1 
                0.0 0.2 0.1 1;
let rho_intra = 0.3 0.4 0.5 0.6;
let indx_sector = 1 1 2 3 3 3 4;
rhoStar = DefaultCorrelation_SmallRho(rho_inter,rho_intra); 
rho = DefaultCorrelation_BigRho(rhoStar,indx_sector);

nS = 100000;
nu = 20;

print ftosa(100*upmat2(rho,error(0)),"%lf",3,1);

u = rndCopulaNormal3(rhoStar,indx_sector,nS);
n = cdfni(u);
rho1 = vcx(n);
print ftosa(100*upmat2(rho1,error(0)),"%lf",3,1);

u = rndCopulaStudent3(rhoStar,nu,indx_sector,nS);
t = cdftci(1-u,nu);
rho2 = vcx(t);
print ftosa(100*upmat2(rho2,error(0)),"%lf",3,1);
