new;
library frm,pgraph;

rndseed 123;

Notional = 1000;

t_mu = seqa(0,0.10,11);
let mu = 0.00 0.15 0.25 0.30 0.28 0.24 0.20 0.15 0.10 0.05 0.00;

t = seqa(0,0.01,101);
nt = rows(t);
mu = fspline(csspline(t_mu,mu,1,0.9999),t);

let alpha = 0.75 0.90;
nS = 100000;
MtM = mu' + mu' .* rndn(nS,nt);
et = _max_(MtM,0);

indx_t = seqa(1,1,nt);
PE = quantile(et,alpha)';
MPE = maxc(PE);
EE = meanc(et);
EPE = cumsumc(EE) ./ indx_t;
EEE = zeros(nt,1);
EEE[1] = EE[1];
i = 2;
do until i > rows(t);
  EEE[i] = _max_(EEE[i-1],EE[i]);
  i = i + 1;
endo;
EEPE = cumsumc(EEE) ./ indx_t;

data = PE~EE~EPE~EEE~EEPE;

graphset;
  window3u;

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|4;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;
  xtics(0,1.0,0.20,2);
  ytics(0,0.8,0.2,2);
  xlabel("\216t\201");

  setwind(1);
    title("\216PE");
    _plegstr = "\202a\201 = 75%\000\202a\201 = 90%";
    _plegctl = {2 5 9 3};
    m = maxc(data[.,1 2]);     
    _pline = 1~6~0~m[1]~1~m[1]~0~1~10 |
             1~3~0~m[2]~1~m[2]~0~4~10 ;
    m = maxindc(data[.,1 2]);
    m = meanc(t[m]);
    _pline = _pline |
             1~1~m~0~m~0.8~0~2~10 ;
    xy(t,data[.,1 2]);

  ytics(0,0.4,0.1,2);

  setwind(2);
    _plegstr = "EE\000EPE";
    _plegctl = {2 5 6 4};
    title("\216EE & EPE");
    xy(t,data[.,3 4]);

  setwind(3);
    _plegstr = "EEE\000EEPE";
    _plegctl = {2 5 6 2};
    title("\216EEE & EEPE");
    xy(t,data[.,5 6]);

  endwind;


