/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 4.1.3
**
*/

new;
library frm,pgraph;

cls;

EEPE = 50.2;
M = 1.0;
LGD = 0.45; // LGD = 0.75;
alpha = 1.4;
EAD = alpha * EEPE;
let PD = 0.01 0.02 0.03 0.04 0.05;

{RW,RWA,K} = IRB_RWA_CCR(EAD,LGD,PD,M,0);
results = 100*PD' | 100*_irb_rho' | K';
K2 = K;

{RW,RWA,K} = IRB_RWA_CCR(EAD,LGD,PD,M,1);
results = results |
          100*_irb_rho' | K';
K3 = K;

results = results | 100*(K3./K2-1.0)';

print ftosa(results,"%lf",3,2);
