new;
library frm,pgraph;

t = seqa(0.001,0.01,501);
x1 = 0;
sigma1 = 0.10~0.20;

mu = x1;
sigma = sigma1 .* sqrt(t);
e1 = mu .* cdfn(mu./sigma) + sigma .* pdfn(mu./sigma);

x2 = x1;
sigma2 = sigma1;

rho = 0.70;
mu = x1 + x2;
sigma = sqrt(sigma1^2 + sigma2^2 + 2 .* rho .* sigma1 .* sigma2) .* sqrt(t);
e2 = mu .* cdfn(mu./sigma) + sigma .* pdfn(mu./sigma);

rho = -0.50;
mu = x1 + x2;
sigma = sqrt(sigma1^2 + sigma2^2 + 2 .* rho .* sigma1 .* sigma2) .* sqrt(t);
e3 = mu .* cdfn(mu./sigma) + sigma .* pdfn(mu./sigma);

rho = seqa(-0.999,1.998/200,201);
Maturity = 5;
mu = x1 + x2;
sigma = sqrt(sigma1^2 + sigma2^2 + 2 .* rho .* sigma1 .* sigma2) .* sqrt(Maturity);
e4 = mu .* cdfn(mu./sigma) + sigma .* pdfn(mu./sigma);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|4;
  _paxht = 0.22; _pnumht = 0.20; _ptitlht = 0.275;

  xtics(0,5,1,2);
  xlabel("\216t (in years)");
  
  ytics(0,0.40,0.10,2);  

  setwind(1);
    title("\216One OTC contract");
    _plegstr = "\202s\201]1[ = 10%\000\202s\201]1[ = 20%";
    _plegctl = {2 5 1.5 4.5};
    xy(t,e1);

    _plegctl = 0;
    
  setwind(2);
    title("\216Two OTC contracts\L\216\202r\201 = 70%");
    xy(t,e2);

  setwind(3);
    title("\216Two OTC contracts\L\216\202r\201 = -50%");
    xy(t,e3);

  setwind(4);
    title("\216Two OTC contracts\L\216t = 5 years");
    xtics(-100,100,50,2);
    xlabel("\216\202r\201 (in %)");
    xy(100*rho,e4);

  endwind;

