new;
library frm,pgraph,optmum;
frmSet;

Notional = 1000;
F0 = 0.05;
mu = 0.02;
sigma = 0.25;
r = 0.05;
Maturity = 10;
t = seqa(0,Maturity/200,201);

alpha = 0.95~0.05;
q_alpha = cdfni(alpha);

MtM_bounds = Notional .* F0 .* (exp( (mu-0.5*sigma^2) .* t + q_alpha .* sigma .* sqrt(t) ) - 1.0) .* ( (1 - exp(-r*(Maturity - t))) ./ r);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|4; _pcross = 1;
  xlabel("\216t (in years)                     ");
  ylabel("\216MtM(t)");
  xtics(0,10,1,2);  
  ytics(-200,400,100,2);
  _plegstr = "90% upper CI\00090% lower CI";
  _plegctl = {2 5 6.5 5.25};
  xy(t,MtM_Bounds);
