/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 5.3.2
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

let N = 23 13 50 12 25 36 48 27 18 35;
lambda_H = meanc(N);

print ftos(lambda_H,"lambda_H = %lf",3,2);

mu = 7.3;
sigma = 2.1;
H = 20000;
p = 1 - cdfLN(H,mu,sigma);
print ftos(100*p,"p = %lf",3,2);

lambda = lambda_H/p;
print ftos(lambda,"lambda = %lf",3,2);



