/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 5.3.2
**
*/

new;
library frm,pgraph;
frmSet;

cls;

let N = 57 62 45 24 82 36 98 75 76 45;
// N = rndp(1000,1,50);

lambda1 = meanc(N);
lambda2 = meanc( (N-lambda1)^2 );
print ftos(lambda1,"lambda1 = %lf",3,2);
print ftos(lambda2,"lambda2 = %lf",3,2);

x = seqa(0,1,101);
p = pdfp(x,lambda1);
graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  xtics(30,90,10,2); _pcolor = 1; _pbartyp = {6 1};
  xlabel("\216Number of losses");
  ylabel("\216Probability (in %)");
  bar(x,100*p);
