/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 5.3.3
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

rndseed 123;

nS = 3; 
lambda = 4;
mu = 8;
sigma = 2;

N = rndp(nS+2,1,lambda);
bkp = 0|cumsumc(N);
X = trunc(10*rndLN(mu,sigma,sumc(N)+3,1))/10;
S = zeros(nS,1);
j = 1;
do until j > nS;
  if N[j] > 0;
    S[j] = sumc(X[1+bkp[j]:bkp[j+1]]);
  endif;
  j = j + 1;
endo;

print ftosa(N,"%lf",3,0);
print ftosa(X,"%lf",3,1);
print ftosa(S,"%lf",3,1);