/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 5.3.3
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

lambda = 5;

a = 0.1; 
a = 0;

b = lambda;

nMax = 100;
p = zeros(nMax+1,1);
if a == 0.1;
  p[1] = exp(-lambda) / 1.4526454;
elseif a == 0;
  p[1] = exp(-lambda);
endif;

n = 1;
do until n > nMax;
  p[n+1] = (a + b/n) * p[n];
  n = n + 1;
endo;

print sumc(p);

f0 = 0.2~0.5~0.7;
n = seqa(0,1,nMax+1);
h0 = sumc((f0 .^ n) .* p);
print h0;
print;
if a == 0;
  h0 = p[1] .* exp(b .* f0);
else;
  h0 = p[1] .* (1 - a.* f0)^(-1-b/a);
endif;
print h0';