/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 5.3.3
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

alpha = seqa(0.99,0.001,10)|0.999999;
let lambda[1,3] = 1 10 100;
alpha_F = 1 - (1 - alpha)./lambda;

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pframe = 0; _pnum = 2;
  _pltype = 6|1|3; _pcolor = 1|4|2; _plwidth = 10;
  xlabel("\216\202a\201]CaR[ (in %)");
  ylabel("\216\202a\201]Severity[ (in %)");
  _plegstr = "N(1) = 1\000N(1) = 10\000N(1) = 100";
  _plegctl = {2 5 6 2};
  xy(100*alpha,100*alpha_F);
