/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 6.3.2
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

let L =  100  150   50   20;
let f = 0.95 0.90 0.50 1.00;
ASF = sumc(f .* L);

let A =  150  60   70   40;
let f = 0.85 0.85 0.05 0.50;
RSF = sumc(f .* A);

NSFR = ASF/RSF;
print ftos(ASF,"ASF = %lf",3,4);
print ftos(RSF,"RSF = %lf",3,4);
print ftos(NSFR,"NSFR = %lf",3,4);
