new;
library frm,pgraph,optmum;

cls;

S0 = 100;
S1 = 150;
S2 = 200;

t = 1;
stress = standardized_ir_shock(S0,S1,S2,t);
print stress;


t = seqa(0,0.1,301);
stress = standardized_ir_shock(S0,S1,S2,t);

graphset;
  window3u;
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 6|3; _pcolor = 1|4; _plwidth = 10;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;

  xtics(0,30,5,2);
  ytics(-150,200,50,2);
  xlabel("\216Maturity (in years)");

  setwind(1);
    title("\216Parallel shock");
    _plegstr = "Up\000Down";
    _plegctl = {2 5 9 3.5};
    xy(t,stress[.,1 2]);

  setwind(2);
    title("\216Rotation shock");
    _plegstr = "Steepener\000Flattener";
    _plegctl = {2 5 5 4};
    xy(t,stress[.,3 4]);
  
  setwind(3);
    title("\216Short rates shock");
    _plegstr = "Up\000Down";
    _plegctl = {2 5 5 4};
    xy(t,stress[.,5 6]);

  endwind;
