new;
library frm,pgraph,optmum;

cls;

t = seqa(0,0.1,201);

fn hProc(t,lambda,rho) = rho .* (1 - exp(-lambda .*t)); 

let rho[1,3] = 1.0 0.5 0.00;

H1 = hProc(t,0.1,rho);

H2 = hProc(t,0.5,rho);

H3 = hProc(t,100.0,rho);
h3[1,.] = error(0)*ones(1,3);

graphset;
  window3d;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _pcolor = 1|4|2; _plwidth = 10;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;
  xtics(0,20,2,2);
  xlabel("\216u - t");
  ytics(0,1,0.2,2);

  setwind(1);
    title("\216\202l\201 = 0.1 (10 years)");
    xy(t,H1);

  setwind(2);
    title("\216\202l\201 = 0.5 (2 years)");
    xy(t,H2);

  setwind(3);
    _plegstr = "\202r\201 = 100%\000\202r\201 = 50%\000\202r\201 = 0%";
    _plegctl = {2 5 9 3};
    title("\216\202l\201 = \202\56\201 (today)");
    xy(t,H3);

  endwind;