/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 7.1.1
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

r1 = 0.04~0.05~0.06;
r3 = seqa(0,0.12/100,101);
lambda = 0.2406 - 0.1389 * arctan(5.952 * (1.089 - r1./r3));

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _pcolor = 1|4|2; _plwidth = 10;
  xtics(0,12,2,2);
  ytics(0,50,10,2);
  xlabel("\216t (in years)");
  xy(100*r3,100*lambda);


