new;
library frm,pgraph,optmum;
frmset;

cls;

declare matrix alpha,beta,gamma_,delta;
declare matrix i0,D0,D_inf;

proc proc_V0(x);
  local y;
  y = (x - i0) .* D_inf ./ (x + beta) + (x - i0) .* (D0 - D_inf) ./ (x + beta + gamma_) +
      delta .* ((x - i0)^2) ./ (x + beta + gamma_) ./ (gamma_ - beta) - 
      delta .* ((x - i0)^2) ./ (x + 2*beta) ./ (gamma_ - beta); 
  retp(y);
endp;

proc proc_S0(r0);
  local y;
  y = (i0 + beta) .* D_inf ./ ((r0 + beta)^2) + (i0 + gamma_ + beta) .* (D0 - D_inf) ./ ((r0 + beta + gamma_)^2) +
      delta .* (r0 - i0) .* (r0 + i0 + 2*(gamma_ + beta)) ./ ((r0 + beta + gamma_)^2) ./ (gamma_ - beta) - 
      delta .* (r0 - i0) .* (r0 + i0 + 4 *beta) ./ ((r0 + 2*beta)^2) ./ (gamma_ - beta); 
  retp(y);
endp;

alpha = 0.00;
beta = 0.5;
gamma_ = 0.7;
delta = 0.5;
i0 = 0.05;
r0 = 0.10;
D0 = 150;
D_inf = 150;

V1 = proc_V0(r0);
V2 = proc_V0(r0+0.01);
S1 = proc_S0(r0);
S2 = gradp(&proc_V0,r0);

print V1;
print V2;

print S1;
print S2;


 