new;
library pgraph;

datPathName = "..\\..\\Data\\";
datFileName = datPathName $+ "bis-etd-2019";

data = loadd(datFileName);
dates = data[.,1];
total = data[.,3 2];

n = rows(data);
t = seqa(1993,0.25,n);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  _pdate = ""; _pnum = 2; _pframe = 0; _pgrid = {3,1};
  _pltype = 6; _plwidth = 0;
  _pbartyp = {6 1, 5 4};
  xtics(1993,2020,2,2);
  let xlab = "94" "96" "98" "2000" "02" "04" "06" "08" "10" "12" "14" "16" "18" "";
  asclabel(xlab,0);
  ytics(0,120,20,2);
  xlabel("\216Year");
  _plegstr = "Futures\000Options";
  _plegctl = {2 5 1.5 5.25};

  setwind(1);
    bar(t,(-1~1).*total/1e6);

  setwind(1);
    bar(t,(1~-1).*total/1e6);
 
  endwind;

indx = maxindc(total[.,2]);
t_max = dates[indx];
n_max = total[indx,2]/1e6;
print ftos(t_max,"Date = %lf",3,2);
print ftos(n_max,"Amount = %lf",3,1);
