new;
library pgraph;

datPathName = "..\\..\\Data\\";
datFileName = datPathName $+ "bcbs-2019-dates";

load dates = ^datFileName;

years = trunc(dates/10000);
t = seqa(1988,1,32);
c = counts(years,t);

data = t~cumsumc(c);
data = selif(data,c ./= 0);
t = data[.,1];
cs = data[.,2];

graphset;
  _pdate = ""; _pnum = 2; _pltype = 6; _pframe = 0;
  _plwidth = 10; _pcolor = 1|4; _pgrid = {0,1};
  
  xlabel("\216Year");
  ylabel("\216Number of BCBS standards");
  xtics(1988,2020,2,0);
  ytics(0,75,10,2);
  xy(t,cs);
