new;
library frm,pgraph;

x = seqa(-20,0.5,81);
nX = rows(x);
e = ones(nX,1);

PnL1 = 8 * ones(nX,1);
pline1 = e.*(1~6)~x~e*0~x~e.*(8~1~2~5);

PnL2 = 14.5 - 0.125 * x^2;
clr = PnL2 .>= 0.0;
clr = 2 .* clr + 4 .* (1-clr);
pline2 = e.*(1~6)~x~e*0~x~PnL2~e*1~clr~e*5;

PnL3 = -14.5 + 0.125 * x^2;
clr = PnL3 .>= 0.0;
clr = 2 .* clr + 4 .* (1-clr);
pline3 = e.*(1~6)~x~e*0~x~PnL3~e*1~clr~e*5;

graphset;
  window3d;

  fonts("simplex simgrma"); 
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  _pnumht = 0.20; _paxht = 0.20; _ptitlht = 0.25;
  xlabel("\216Asset price"); 
  ylabel("\216P\&L");
  xtics(-20,20,5,2);
  ytics(-20,20,5,2);
  let xlab = " " " " " " " " " " " " " " " " " " " " " " " ";
  let ylab = " " " " " " " " " " " " " " " " " " " " " " " ";
  asclabel(xlab,ylab);
 
  setwind(3);
    title("\216(a') Zero gamma & positive theta");
    _pline = pline1;
    _pmsgstr = "S(t)\000+\000+";
    _pmsgctl =   0.25~-2.25~0.175~0~1~0~0 |
               -12.00~3.00~0.50~0~1~2~15  |
                10.00~3.00~0.50~0~1~2~15  ;
    xy(x,PnL1);

  setwind(1);
    title("\216(a) Negative gamma & positive theta");
    xlabel(" "); 
    _pline = pline2;
    _pmsgstr = "S(t)\000Asset price\000-\000+\000+\000-";
    _pmsgctl =   0.25~-2.25~0.175~0~1~0~0 |
                 11.5~3~0.20~0~1~0~6      |
               -19.00~-9.00~0.50~0~1~4~15  |
                -6.50~5.00~0.50~0~1~2~15  |
                 3.50~5.00~0.50~0~1~2~15  |
                16.00~-9.00~0.50~0~1~4~15  ;
    xy(x,PnL2);

  setwind(2);
    title("\216(b) Positive gamma & negative theta");  
    xlabel("\216Asset price"); 
    _pline = pline3;
    _pmsgstr = "S(t)\000+\000-\000-\000+";
    _pmsgctl =   0.25~0.5~0.175~0~1~0~0 |
               -19.00~5.00~0.50~0~1~2~15  |
                -6.50~-9.00~0.50~0~1~4~15  |
                 3.50~-9.00~0.50~0~1~4~15  |
                16.00~5.00~0.50~0~1~2~15  ;
    xy(x,PnL3);



  endwind;

