new;
library frm,pgraph;

S0 = seqa(80,1,41);
K = 100~100~100~110;
sigma = 0.20~0.20~0.30~0.20;
r = 0.05;
b = r;
tau = 1/52~0.5~0.5~0.5;

_option_type = "put";
P = EuropeanBS(S0,K,sigma,tau,b,r);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|5; _plwidth = 10; _pcolor = 1|2|3|4;
  xlabel("\216S]0["); 
  ytics(0,25,5,2);
  _plegstr = "K=100 \202s\201=20% T=1W\000K=100 \202s\201=20% T=6M\000K=100 \202s\201=30% T=6M\000K=110 \202s\201=20% T=6M";
  _plegctl = {2 5 5 5};  
  xy(S0,P);
