new;
library frm,pgraph;

t = seqa(0,1/100,500);

a = 2.5;
b = 0.06;
sigma = 0.05;
lambda = 0;

r0 = 0.01~0.05~0.10;

{Pt,Rt} = Vasicek(r0,a,b,sigma,lambda,t);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10; _pcolor = 1|2|4;
  fonts("simplex simgrma");
  xlabel("\216T-t");
  ylabel("\216R(t,T) (in %)");
  xtics(0,5,1,1);
  ytics(0,10,1,1);
  _pltype = 6|1|3;
  _plegctl = {2 6 6 1.2};
  _plegstr = "r]t[ = 1%\000r]t[ = 5%\000r]t[ = 10%";
  xy(t,100*Rt);

