new;
library frm,pgraph,optmum;

cls;

Notional = 1e6;

t = 0;
nCaps = 6;
T1 = seqa(0.25,0.25,nCaps);
T2 = T1 + 0.25;

let F0         = 0.0305 0.0315 0.0330 0.0340 0.0345 0.0355;
let K          = 0.03;
let spot_sigma = 0.050 0.052 0.0545 0.055 0.0556 0.0562;
let R_T1       = 0.0300 0.0305 0.0310 0.0315 0.0320 0.0325;
let R_T2       = 0.0305 0.0310 0.0315 0.0320 0.0325 0.0330;
B_T2 = exp(-T2 .* R_T2);
B_T1 = exp(-T1 .* R_T1);
delta = T2 - T1;
Libor = 1./delta .* (B_T1./B_T2 - 1.0); 

Results = F0 ~ Libor;
print ftosa(100*Results,"%lf",10,3);

cap_prices = zeros(nCaps,1);
caplet_prices = zeros(nCaps,nCaps);

i = 1;
do until i > nCaps;
  {cap_prices[i],caplet_prices[1:i,i]} = Cap_Pricing(F0[1:i],K,spot_sigma[1:i],T1[1:i],T2[1:i],B_T2[1:i]);
  i = i + 1;
endo;

cap_prices = Notional * cap_prices;
caplet_prices = Notional * caplet_prices;

results = caplet_prices | cap_prices';
print ftosa(results,"%lf",3,2);

caplet_prices = floor(100*caplet_prices)/100;
cap_prices = sumc(caplet_prices);

results = caplet_prices | cap_prices';
print ftosa(results,"%lf",3,2);




