new;
library frm,pgraph;
frmset;

cls;

sigma = 0.20;
d = 0;
r = 0.03;
b = r - d;
global_floor = 0.16;
local_cap = 0.08;
nFixing = 5;
Fixing_Period = 1;
Maturity = 5;

price = zeros(4,1);

nX = 20;
nQ = 0;
{x1,Q1,price1,info} = cliquet_option_uvm(sigma,sigma,b,r,global_floor,local_cap,nFixing,Fixing_Period,Maturity,nX,nQ,0);
price[1] = price1[nX+1,1];

nX = 50;
nQ = 0;
{x1,Q1,price1,info} = cliquet_option_uvm(sigma,sigma,b,r,global_floor,local_cap,nFixing,Fixing_Period,Maturity,nX,nQ,0);
price[2] = price1[nX+1,1];

nX = 50;
nQ = 20;
{x1,Q1,price1,info} = cliquet_option_uvm(sigma,sigma,b,r,global_floor,local_cap,nFixing,Fixing_Period,Maturity,nX,nQ,0);
price[3] = price1[nX+1,1];

nS = 100;
St = simulate_GBM(100,b,sigma,seqa(0,Fixing_Period,nFixing+1),nS);

x = (St - lag1(St))./lag1(St);
x = trimr(x,1,0);
local_payoff = _max_(0,_min_(local_cap,x));
global_payoff = _max_(global_floor,sumc(local_payoff));
price[4] = exp(-r*Maturity) * meanc(global_payoff);

print price;

