new;
library frm,pgraph,optmum;
frmset;

cls;

S0 = 100;
K = 80|90|100|110|120;
tau = 1;
r = 0.05;
b = 0.05;

sigma = 0.15 | 0.40;
alpha =  -50 |   50;

model = 2;
n = rows(K);
m = rows(alpha);

ImpVol = zeros(n,m);
Skew = zeros(n,m);
BCC_BS = zeros(n,m);
BCC_SLN = zeros(n,m);
BCC_Skew = zeros(n,m);

i = 1;
do until i > m;
  C = EuropeanSLN(S0,K,sigma[i],tau,b,r,alpha[i],model);
  ImpVol[.,i] = EuropeanBS_ImpVol(S0,K,tau,b,r,C);
  BCC_BS[.,i] = BinaryBS(S0,K,ImpVol[.,i],tau,b,r);
  BCC_SLN[.,i] = BinaryBS(S0-alpha[i],K-alpha[i]*exp(b*tau),sigma[i],tau,b,r);
  Skew[.,i] = EuropeanSLN_ImpVolSkew(S0,K,sigma[i],tau,b,r,alpha[i],model,1);
  BCC_Skew[.,i] = Binary_SkewModel(S0,K,ImpVol[.,i],tau,b,r,Skew[.,i]); 
  i = i + 1;
endo;

nC = 5;
results = zeros(n,nC*m);
indx = seqa(1,nC,m);
results[.,indx] = 100*ImpVol;
results[.,indx+1] = 1e4*Skew;
results[.,indx+2] = BCC_BS;
results[.,indx+3] = BCC_SLN;
results[.,indx+4] = BCC_Skew;

print ftosa(K~results,"%lf",3,0~2~2~4~4~4~2~2~4~4~4);
