new;
library frm,pgraph;
frmSet;

cls;

S0 = 100;
K = 100;
tau = 10;
b = 0.05;
r = 0.05;
v0 = 0.20^2;
kappa = 1;
theta = v0;
ksi = 0.80;
rho = -0.75;
lambda = 0;

// You may use a Laguerre quadrature

_int_order = 128;
_int_mtd = 2;
print " --- Laguerre Quadrature Methods (order = 128) --- ";

_Heston_Model = 1;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 2;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 3;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 4;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;
print;

// You may use a Legendre quadrature

_int_order = 256;
_int_mtd = 1;
print " --- Legendre Quadrature Methods (order = 256) --- ";

_Heston_Model = 1;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 2;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 3;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 4;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;
print;

// You may use a Simpson algorithm
_int_order = 500000;
_int_mtd = 5;
print " --- Simpson algorithm (order = 500000) --- ";

_Heston_Bounds = 700|0;  // With Simpson algorithm, you must paid attention to the bounds

_Heston_Model = 1;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 2;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 3;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;

_Heston_Model = 4;
{C,P} = EuropeanHeston(S0,K,tau,b,r,v0,kappa,theta,ksi,rho,lambda);
str = ftos(C,"C = %lf",5,3) $+ " --- " $+ ftos(P,"P = %lf",5,3);
print /flush str;
print;

