new;

#ifdef USE_OPTMUM
  library frm,pgraph,optmum;
#else
  library frm,pgraph;
#endif

cls;

F0 = 0.05;
tau = 1;

N = 81;
K = seqa(0.02,0.001,N);
K = K + 0.0001;

beta = 1.0;
alpha = 0.10~0.12;
nu = 0.5;
rho = 0;
ImpVol1 = SABR_ImpVol(F0,K,alpha,beta,nu,rho,tau);

beta = 1;
alpha = 0.10;
nu = 0.25~0.5;
rho = 0;
ImpVol2 = SABR_ImpVol(F0,K,alpha,beta,nu,rho,tau);

beta = 1;
alpha = 0.10;
nu = 0.5;
rho = -0.86~0~0.5;
ImpVol3 = SABR_ImpVol(F0,K,alpha,beta,nu,rho,tau);

graphset;
  begwind;
  makewind(9/2,6.855/2,0,6.855/2,1);
  makewind(9/2,6.855/2,9/2,6.855/2,1);
  makewind(9/2,6.855/2,9/4,0,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3|1; _plwidth = 10; _pcolor = 1|2|4;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;
  ylabel("\216\202S\201(T,K) (in %)");
  xlabel("\216K (in %)"); 
  xtics(2,8,1,2);
  ytics(8,20,2,2);
  _plegctl = {2 6 5.3 4.6};

  setwind(1);
    title("\216Parameter \202a\201");
    _plegstr = "\202a\201 = 10%\000\202a\201 = 12%";
    xy(100*K,100*ImpVol1);

  setwind(2);
    title("\216Parameter \202n\201");
    _plegstr = "\202n\201 = 25%\000\202n\201 = 50%";
    xy(100*K,100*ImpVol2);

  ytics(6,18,4,2);
  _plegctl = {2 6 8.25 2.25};

  setwind(3);
    title("\216Parameter \202r\201");
    _plegstr = "\202r\201 = -90%\000\202r\201 = 0%\000\202r\201 = 50%";
    xy(100*K,100*ImpVol3);

  endwind;