new;
library frm,pgraph;
frmSet;

cls;

S0 = 100;
tau = 3/12;
b = 0.05;
r = 0.05;
v0 = 0.2^2; 
theta = V0; 
Kappa = 0.5; 
ksi = 0.9; 
lambda = 0;  

K = seqa(85,1,31);
nK = rows(K);

rho = seqa(-0.5,0.25,5);
nRho = rows(rho);

Skew = zeros(nK,nRho);

_int_order = 128;
_int_mtd = 2;
_Heston_cplx = 1;
_Heston_Model = 4;

dK = 0.25;

i = 1;
do until i > nRho;
  Skew[.,i] = EuropeanHeston_Skew(S0,K,tau,b,r,v0,kappa,theta,ksi,rho[i],lambda,dK);
  i = i + 1;
endo;  

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _plwidth = 10; _pcross = 1;
  _pltype = 3|1|6|1|3;
  _pstype = 8|8|10|9|9;
  _plctrl = 2|2|0|2|2;
  _pcolor = 1|2|3|4|5;
  fonts("simplex simgrma");
  xtics(85,115,5,5);
  xlabel("\216Strike");
  _plegstr = "\202r\201 = -0.5\000\202r\201 = -0.25\000\202r\201 = 0"\
             "\000\202r\201 = 0.25\000\202r\201 = 0.5"; 
  _plegctl = {2 5 1.25 4.75};    
  xy(K,1e4*Skew); 
