new;
library frm,pgraph;
frmSet;

cls;

S0 = 100;
K = 100;
tau = 30;
b = 0.00;
r = 0.00;
v0 = 0.2; 
theta = 0.2; 
Kappa = 1.0; 
ksi = 0.5; 
rho = 0.3;
lambda = 0;  

_Heston_cplx = 0;

call _Heston_Set(S0,K,tau,b,r,V0,kappa,theta,ksi,rho,lambda);

phi = seqa(0.001,1/300,451);
P1 = _EuropeanHeston_Formula1_1(phi);
P3 = _EuropeanHeston_Formula4_1(phi);

rho = -0.3;
call _Heston_Set(S0,K,tau,b,r,V0,kappa,theta,ksi,rho,lambda);
P2 = _EuropeanHeston_Formula1_2(phi);
P4 = _EuropeanHeston_Formula4_2(phi);

graphset;
  begwind;
  window(2,2,0);
  makewind(9,6.855,0,0,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2;_pframe = 0; _pcross = 1;
  _pltype = 6; _plwidth = 10; _pcolor = 4|1;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;
  xtics(0,1.2,0.2,2);
  xlabel("\216u");

  _pcolor = 4; _pltype = 3;

  setwind(1);
    title("\216Function f]1[(u)");
    ytics(-1.0,4.0,1,0);
    xy(phi,P1);

  setwind(2);
    title("\216Function f]2[(u)");
    ytics(-3.0,1.0,1,0);
    xy(phi,P2);

  _pcolor = 1; _pltype = 6;

  setwind(3);
    title("\216Corrected function f]1[(u)");
    ytics(-1.0,4.0,1,0);
    xy(phi,P3);

  setwind(4);
    title("\216Corrected function f]2[(u)");
    ytics(-3.0,1.0,1,0);
    xy(phi,P4);

  setwind(5);
    _ptitle = ""; _paxes = 0; xlabel("");
    _pline = 1~3~0.13~0~0.13~0.340~1~0~10 |
             1~3~0.695~0~0.695~0.340~1~0~10 ;
    xtics(0,1,1,0);
    ytics(0,1,1,0);
    draw;

  endwind;