new;
library frm,pgraph;

S0 = seqa(80,1,41);
K = 100;
sigma = 0.20;
r = 0.05;
d = 0.00~0.02~0.05~0.50;
b = r - d;
tau = 0.5;

_option_type = "call";
C = EuropeanBS(S0,K,sigma,tau,b,r);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|5; _plwidth = 10; _pcolor = 1|2|3|4;
  xlabel("\216S]0["); 
  ytics(0,25,5,2);
  _plegstr = "d = 0%\000d = 2%\000d = 5%\000d = 50%";
  _plegctl = {2 5 2 5};  
  xy(S0,C);
