new;
library frm,pgraph;
frmSet;

#include chap14-1-1-1.inc

cls;

output file = chap14-1-1-2.out reset;

xx = x'x;
xy = x'y;

xx_inv = invpd(xx);

beta = xx_inv*xy;

print "-----------------------------------------------------";
print "x'x = ";
print ftosa(xx,"%lf",3,3);
print "x'y = ";
print ftosa(xy,"%lf",3,3);
print "inv(x'x) = ";
print ftosa(xx_inv,"%lf",3,3);
print "beta = ";
print ftosa(beta,"%lf",3,3);

u = y - x*beta;
rss = sumc(u^2);
tss = sumc((y - meanc(y))^2);
R2 = 1 - rss/tss;
df = N - K;
sigma2 = rss / df;
sigma = sqrt(sigma2);

print "-----------------------------------------------------";
print "u = ";
print ftosa(u,"%lf",3,3);
print ftos(rss,"rss = %lf",3,3);
print ftos(tss,"tss = %lf",3,3);
print ftos(100*R2,"R2 = %lf",3,2);
print ftos(sigma2,"sigma2 = %lf",3,3);
print ftos(sigma,"sigma = %lf",3,3);

cov = sigma2 * xx_inv;
stderr = sqrt(diag(cov));
tstudent = beta ./ stderr;
pvalue = 2*cdftc(abs(tstudent),df);

print "-----------------------------------------------------";
print "cov(beta) = ";
print ftosa(cov,"%lf",3,3);

print ftosa(beta~stderr~tstudent~pvalue,"%lf",3,3);

call regOLS(y,x,0,0);

output off;