new;
library frm,pgraph,optmum;
frmSet;

cls;

let lgd = 68 90 22 45 17 25 89 65 75 56 87 92 46;
lgd = lgd / 100;
mu = meanc(lgd);
sigma = stdc(lgd);

{a1,b1} = calibrate_Beta_MM(mu,sigma);

proc mlProc(theta);
  local a,b,logl;
  theta = sqrt(theta^2);
  a = theta[1];
  b = theta[2];
  logl = ln( pdfbeta(LGD,a,b) );
  retp(logl);
endp;

proc mlSum(theta);
  local logl;
  logl = mlProc(theta);
  retp(-sumc(logl));
endp;

sv = a1|b1;
{theta,grd,fmin,retcode} = optmum(&mlSum,sv);
theta = sqrt(theta^2);
a2 = theta[1];
b2 = theta[2];

sv = theta;

{theta,stderr,cov,logl} = regML(0,0,&mlProc,sv,0,0);

results = a2|b2;
print ftosa(results,"%lf",3,3);

H = -hessp(&mlSum,theta);
print ftosa(H,"%lf",5,4);

print ftosa(cov,"%lf",5,4);
