new;
library frm,pgraph,optmum;
frmSet;

cls;

__output = 0;

declare matrix _gmm_w;

lambda = 4;

rndseed 123;
nS = 10;
u = rndu(nS,1);
y = -ln(1-u)/lambda;

y = trunc(100*y)/100;
print ftosa(y,"%lf",3,2);

m1 = meanc(y);
m2 = meanc(y^2);

proc Q_gmm(theta);
  local lambda,lambda2,w,w1,w2,w3,Q;
  lambda = sqrt(theta^2);
  lambda2 = lambda^2;
  w = _gmm_w;
  w1 = w^2;
  w2 = w * (1 - w);
  w3 = (1 - w)^2;
  Q = w1 * (m1 - 1/lambda)^2 + 2 * w2 * (m1 - 1/lambda) * (m2 - 2/lambda2) + w3 * (m2 - 2/lambda2)^2;
  retp(Q);
endp;

let w = 0 0.2 0.5 0.7 1.0;
theta = zeros(rows(w),1);
i = 1;
do until i > rows(w);
  _gmm_w = w[i];
  {theta[i],fmin,grd,retcode} = optmum(&Q_gmm,4);
  i = i + 1;
endo;

print ftosa(w~theta,"%lf",3,2);