new;
library frm,pgraph;;

rndseed 123;
n = 1000;
x = rndu(n,1);
y = rndu(n,1) .* (cos(2*pi*x-pi)+1);
alpha = 0.90;
m = 50;
t = seqa(0,1/(m-1),m);

q0 = alpha*(cos(2*pi*t-pi)+1);
q1 = regKernelLocalQuantile(y,x,alpha,1,t);
q2 = regKernelLocalQuantile(y,x,alpha,2,t);
q = q0~q1~q2;

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);
  _pdate = 0; _pframe = 0; _pnum = 2;
  _plctrl = 0|5|5; _pltype  = 6|3|1; _plwidth = 10;
  _pcolor = 1|2|4; _pstype = 8|8|9; 

  setwind(1);
    xlabel("\216x]i["); 
    ylabel("\216y]i[");
    xtics(0,1,0.2,1);
    ytics(0,2,0.5,1);
    _plegstr = "True\000Linear\000Quadratic";
    _plegctl = {2 5 6.5 5.25};
    xy(t,q);

    _plegctl = 0;
	  
  setwind(2);  
    _plctrl  = -1; _pstype  = 3; _psymsiz = 0.2; _pcolor = 8;
    xy(x,y);

  endwind;

