new;
library frm,optmum,pgraph;

Nobs = 200;
t = seqa(0,1,Nobs+1);
a0 = 0;
p = 100~50~10;
c = 2;
y = c .* sin(a0 + 2*pi*t./p);

graphset;
  window3d;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.25; _paxht = 0.25; _ptitlht = 0.30;
  _pltype = 6; _plwidth = 10; 
  xlabel("\216Time t");
  ylabel("\216y]t[");
  xtics(0,Nobs,Nobs/5,2);
  ytics(-2,2,1,0);

  j = 1;
  setwind(j);
    _pcolor = 1;
    title("\216p = 100");
    _parrow = p[j]/Nobs~0~200*p[j]/Nobs~0~5~0.5~02~0~1~6~10; 
    _pmsgstr = "p";
    _pmsgctl = 0.60*p[j]~0.20~0.35~0~1~0~10; 
    xy(t,y[.,j]);

  _pmsgctl = 0;
  _parrow = 0; 

  j = 2;
  setwind(j);
    _pcolor = 2;    
    title("\216p = 50");
    xy(t,y[.,j]);

  j = 3;
  setwind(j);
    _pcolor = 4;    
    title("\216p = 10");
    xy(t,y[.,j]);

  endwind;