new;
library frm,tsm,optmum,pgraph;

cls;

k = seqa(0,1,10001);
n = rows(k)-1;

d = 0.20;
rho1 =  autoc_d(d,n);

d = 0.450;
rho2 =  autoc_d(d,n);

d = 0.499;
rho3 =  autoc_d(d,n);

phi = 0.50;
rho4 = phi^k;

phi = 0.90;
rho5 = phi^k;

phi = 0.999;
rho6 = phi^k;

rho = rho1 ~ rho2 ~ rho3 ~ rho4 ~ rho5 ~ rho6;

indx = 1|2|6|11|101|501|1001|5001|10001;
print ftosa(k[indx]~100*rho[indx,.],"%lf",3,2);

proc autoc_d(d,n);
  local k,rho;

  rho = zeros(n+1,1);
  rho[1] = 1.0;
  k = 1;
  do until k > n;
    rho[k+1] = rho[k] * (k-1+d) / (k-d);
    k = k + 1;
  endo;

  retp(rho);
endp;

