new;
library frm,tsm,optmum,pgraph;

cls;

rndseed 123456;

t = seqa(0,1/250,250*10);
nt = rows(t);

nc = 3;
p = 5 + 5 * rndu(1,nc);
omega = 5 * rndu(1,nc);
a = 1.5 * rndn(1,nc);

x_lc = a .* sin(2*pi./p.*t+omega);

nc = 5;
p = rndu(1,nc);
omega = rndu(1,nc);
a = 0.25*rndn(1,nc);

x_sc = a .* sin(2*pi./p.*t+omega);

x = sumr(x_lc) + sumr(x_sc) + 0.10*rndn(nt,1);

d = fourier(x);
abs_d = abs(d);
m = rev(sortc(abs_d,1));

let bp = 50;
d1 = d .* (abs(d) .>= m[bp]);
x1 = real(inverse_fourier(d1));

d2 = d .* (abs(d) .< m[bp]);
x2 = real(inverse_fourier(d2));

graphset;
  begwind;
  window(2,2,1);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _pcolor = 1|2|4; _plwidth = 10;
  _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.30;
  xlabel("\216t\201");
  xtics(0,10,2,2);

  setwind(1);
    ytics(-1.5,1.5,0.5,0);
    title("\216c[k]]t[");
    xy(t,x_lc);

  setwind(2);
    _pcolor = 3;
    ytics(-1.5,1.5,0.5,0);
    title("\216c]t[");
    xy(t,sumr(x_lc));

  setwind(3);
    _plwidth = 0; _pcolor = 5;
    ytics(-1,1,0.5,0);
    title("\216u]t[");
    xy(t,sumr(x_sc));

  setwind(4);
    _plwidth = 0; _pcolor = 6;
    ytics(-2,2,1.0,0);
    title("\216y]t[");
    xy(t,x);
  
  endwind;