new;
library frm,tsm,optmum,pgraph;

Nobs = 10000;
t = seqa(1,1,Nobs);
a0 = 0;
p = 100~50~10;
c = 2;
y = c .* sin(a0 + 2*pi*t./p);

_fourier = 0;
nLags = 200;

{lambda,I} = PDGM(y[.,1]);
nLambda = rows(lambda);
I = zeros(nLambda,3);
Cov = zeros(nLambda,3);
R = zeros(nLags+1,3);
j = 1;
do until j > 3;
  {lambda,I[.,j]} = PDGM(y[.,j]);
  cov[.,j] = real(inverse_fourier(I[.,j]));
  R[.,j] = compute_autocorrelation(y[.,j],nLags);
  j = j + 1;
endo;

k = seqa(0,1,nLags+1);
cov = 100 * cov[1:nLags+1,.]./cov[1,.];

graphset;
  window3d;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pnumht = 0.25; _paxht = 0.25; _ptitlht = 0.30;
  _pltype = 6; _plwidth = 10;
  xlabel("\216Lag k");
  ylabel("\216\202r\201]y[(k\201) (in %)");
  xtics(0,nLags,nLags/5,2);
  ytics(-100,100,50,0);

  j = 1;
  setwind(j);
    _pcolor = 1;    
    title("\216p = 100");
    xy(k,cov[.,j]);

  j = 2;
  setwind(j);    
    _pcolor = 2;    
    title("\216p = 50");
    xy(k,cov[.,j]);

  j = 3;
  setwind(j);
    _pcolor = 4;    
    title("\216p = 10");
    xy(k,cov[.,j]);

  endwind;