new;
library frm,tsm,optmum,pgraph;

cls;

rndseed 123456;

t = seqa(0,1/250,250*10);
nt = rows(t);

nc = 3;
p = 5 + 5 * rndu(1,nc);
omega = 5 * rndu(1,nc);
a = 1.5 * rndn(1,nc);

x_lc = a .* sin(2*pi./p.*t+omega);

nc = 5;
p = rndu(1,nc);
omega = rndu(1,nc);
a = 0.25*rndn(1,nc);

x_sc = a .* sin(2*pi./p.*t+omega);

x = sumr(x_lc) + sumr(x_sc) + 0.10*rndn(nt,1);

d = fourier(x);
abs_d = abs(d);
abs_d = rev(sortc(abs_d,1));

a = cumsumc(abs_d^2)/nt;
a = a / sumc(x^2);

let m = 1 2 3 4 5 10 25 50 75 100;
print ftosa(m'|100*a[m]',"%lf",3,1);