new;
library frm,pgraph;

lambda = seqa(0,2*pi/100,101);

d1 = spectral_density_ll(0.20,0.10~0.20~0.30,lambda);
d2 = spectral_density_llt(0.20,0.10~0.20~0.30,0.10,lambda);
d3 = spectral_density_bsm(0.10,0.10,0.10,0.10,4,lambda)~spectral_density_bsm(0.20,0.30,0.10,0.10,4,lambda);
d4 = spectral_density_bsm(0.10,0.10,0.10,0.10,12,lambda)~spectral_density_bsm(0.10,0.10,0.10,0.20,12,lambda);

graphset;
  begwind;
  window(2,2,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _pcolor = 1|2|4; _plwidth = 10;
  _pysci = 0; 
  _pnumht = 0.25; _paxht = 0.25; _ptitlht = 0.30;

  xtics(0,pi,pi/4,0);
  let xlab = "0" "\202p\201/4" "\202p\201/2" "\2013\202p\201/4" "\202p\201";
  asclabel(xlab,0);

  setwind(1);
    title("\216Local Level");
    _plegstr = "#1\000#2\000#3";
    _plegctl = {2 6 2 4};
    ytics(0,4e-2,1e-2,2);
    xy(lambda,d1);

  setwind(2);
    title("\216Local Linear Trend");
    ytics(0,0.20,0.05,2);
    _plegstr = "#4\000#5\000#6";
    xy(lambda,d2);

  setwind(3);
    title("\216Basic Structural Model");
    ytics(0,0.20,0.05,2);
    _plegstr = "#7\000#8";
    xy(lambda,d3);

  setwind(4);
    title("\216Basic Structural Model");
    ytics(0,0.25,0.05,2);
    _plegstr = "#9\000#10";
    xy(lambda,d4);

  endwind;

