new;
library frm,pgraph,tsm,optmum;

rndseed 123456789;

phi = 0.5;
sigma = 0.20;

n = 1000;
_fourier = 1;
y = recserar(sigma * rndn(n,1),0,phi);
t = seqa(1,1,n);

{lambda,I} = PDGM(y);
sdf = spectral_density_arma(phi,0,sigma,lambda);
_smoothing = 50|4|1|0.25;  /* Bandwidth = 10 and Tukey lag window */
Is = Smoothing(I);

I = I / (2*pi);
Is = Is / (2*pi);

q = trunc(rows(lambda)/2);
lambda = lambda[1:q];
sdf = sdf[1:q];
I = I[1:q];
Is = is[1:q];

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; 
  _ptitlht = 0.30; _pnumht = 0.25; _paxht = 0.25;

  lab = " 0 \202p\201/4 \202p\201/2 \2013\202p\201/4 \202p\201";

  setwind(1);
    _plwidth = 10; _pcolor = 1; _pltype = 1;
    title("\216f]y[\202\34\108\118\201");
    asclabel(lab,0);
    xtics(0,pi,pi/4,0);
    ytics(0,0.03,0.01,2);
    xy(lambda,sdf);

  setwind(2);
    _plwidth = 8; _pcolor = 2; _pltype = 6;
    ytics(-1,1,0.5,2);
    asclabel(0,0);
    xtics(0,1000,250,2);
    title("\216y]t[");
    xy(t,y);

  setwind(3);
    _plwidth = 8; _pcolor = 3; _pltype = 6;
    title("\216I]y[\202\34\108\118\201");
    asclabel(lab,0);
    xtics(0,pi,pi/4,0);
    ytics(0,0.15,0.05,2);
    xy(lambda,I);

  setwind(4);
    _plwidth = 10; _pcolor = 4; _pltype = 3;
    title("\216I[*]]y[\202\34\108\118\201");
    ytics(0,0.03,0.01,2);
    xy(lambda,Is);

  endwind;