new;
library frm,pgraph,optmum;

cls;

#define USE_OPTMUM

fn lambdaProc(x) = pdfn(-x)./cdfn(-x);

nS = 10000;
mu = 1;
sigma = 3;

u = mu + sigma * rndn(nS,1);
print ftos(meanc(u),"mu = %lf",3,5);

b = 4;
v = selif(u, u .>= b);
print meanc(v)~(mu + sigma .* lambdaProc((b-mu)/sigma));

b = 0;
v = selif(u, u .<= b);
print meanc(v)~(mu - sigma .* lambdaProc(-(b-mu)/sigma));
