new;
library frm,pgraph;
frmSet;

datFileName = "..\\..\\data\\benchmark";
Data = loadd(datFileName);
Dates = Data[.,1];
data = selif(data,(Dates .>= 20060101) .and (Dates .<= 20151231));

vnames = "" $+ getname(datFileName);
let string selected_names = "M1EU" "M2US";

indx = indsav(selected_names,vnames);
data = data[.,indx];

dt = 1;
Rt = packr(data ./ lagn(data,dt) - 1.0);

_copula_rankindx = 1;
u = Dependogram(Rt);

graphset;
  _pdate = ""; _pcross = 1; _pframe = 0;
  _plctrl = -1; _pstype = 2; _psymsiz = 1; _pcolor = 1;
  xtics(0,1,0.2,2);
  ytics(0,1,0.2,2);
  xlabel("\216EU Equity");
  ylabel("\216US Equity");
  xy(U[.,1],U[.,2]);


