new;
library frm,pgraph;
frmSet;

rndseed 123456;

datFileName = "..\\..\\data\\benchmark";
Data = loadd(datFileName);
Dates = Data[.,1];
data = selif(data,(Dates .>= 20060101) .and (Dates .<= 20151231));

vnames = "" $+ getname(datFileName);
let string selected_names = "M1EU" "M2US";

indx = indsav(selected_names,vnames);
data = data[.,indx];

dt = 1;
Rt = packr(data ./ lagn(data,dt) - 1.0);

rho = submat(corrx(Rt),1,2);
{u1,u2} = rndCopulaNormal2(rho,rows(data));

graphset;
  _pdate = ""; _pcross = 1; _pframe = 0; 
  _plctrl = -1; _pstype = 2; _psymsiz = 1; _pcolor = 2;
  xtics(0,1,0.2,2);
  ytics(0,1,0.2,2);
  xlabel("\216U]1[")
  ylabel("\216U]2[")
  xy(u1,u2);


