new;
library frm,pgraph,optmum;

fn f(u) = cdfCopulaLogisticGumbel(u[1],u[2]);
fn copula(u1,u2) = cdfCopulaLogisticGumbel(u1,u2);

u1 = 0.20|0.30|0.50|0.70|0.90;
u2 = u1';
n = rows(u1);
c = zeros(n,n);

i = 1;
do until i > n;
  j = 1;
  do until j > n;
    c[i,j] = submat(hessp(&f,u1[i]|u2[1,j]),2,1);
    j = j + 1;
  endo;
  i = i + 1;
endo;

print ftosa(c,"%lf",3,3);

c = pdfCopulaLogisticGumbel(u1,u2);

print ftosa(c,"%lf",3,3);

u = seqa(0.90,0.01,9)|0.9999;
lambda_plus = qqUpperCopula(&Copula,u);
print ftosa(u~lambda_plus,"%lf",3,4);

u = seqa(0.10,-0.01,9)|0.0001;
lambda_plus = qqLowerCopula(&Copula,u);
print ftosa(u~lambda_plus,"%lf",3,4);
