new;
library frm,optmum,pgraph;
frmSet;

fn cdfProc(x) = cdfn(x);
fn pdfProc(x) = pdfn(x);

x = seqa(-3,3/50,50)|seqa(0,5/100,101);

n = 1~10~50~250~2000;

pdf = pdfMaximumStatistic(x,n,&cdfProc,&pdfProc);
cdf = cdfMaximumStatistic(x,n,&cdfProc);

pdf = missex(pdf,pdf .<= 1e-5);
cdf = missex(cdf,cdf .<= 1e-5);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9/2,6.855/2.5,1.0,3.85,1);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10;
  xlabel("\216x");

  setwind(1);
    _pltype = 6|3; _plctrl = 0|5|5|5|5|5; _pstype = 8|8|9|10|11|12; _pcolor = 1|2|3|4|5;
    xlabel("\216x");
    _plegstr = "n=1\000n=10\000n=50\000n=250\000n=2000";
    _plegctl = {2 4.5 7.35 5.25};
    ytics(0,1.5,0.25,2);
    xtics(-3,5,1,0);
    xy(x,pdf);

  _plegctl = 0;

  setwind(2);
    _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.35; _psymsiz = 6.0;
    title("\216Distribution function");
    xtics(-3,5,1,0);
    ytics(0,1,0.2,2);
    xy(x,cdf);

  endwind;