new;
library frm,pgraph;
frmSet;

cls;

rndseed 1e8;

let lambda[3,2] = 1  0.05
                  5  0.08
                  10 0.12;                  
t_m = lambda[.,1];
S = survivalExponential(t_m,lambda);
print "-------------------------------------------------";
print ftosa(S',"%lf",3,4);
print "-------------------------------------------------";


let u = 0.005 0.6965 0.4571 0.086 0.2873;  
u = 1 - u;                
tau = rndExponential(u,0,lambda);
print ftosa(u~tau,"%lf",3,4);

r = rows(lambda);
p = u;
tm = lambda[.,1];
lambda = lambda[.,2];
Sm = survivalExponential(tm,tm~lambda);
Sm[rows(tm),1] = 0;
Sm = 1 | Sm;
tm = 0 | tm;
indx = sumc(Sm .> p');    
t = tm[indx];
L = lambda[indx];
S = Sm[indx];
tau = t + (ln(S) - ln(p)) ./ L; 

print ftosa(u~t~S~L~tau,"%lf",3,4);