new;
library frm,pgraph,optmum;
frmSet;

theta = 0.01~3~10~50;
ns = 2^10;
nu = 1;

rndCopulaSobol(2);
u1 = zeros(nS,4);
u2 = zeros(nS,4);

i = 1;
do until i > 4;
  {u1[.,i],u2[.,i]} = rndCopulaClayton(theta[i],ns);
  i = i + 1;
endo;

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 0;
  _plctrl = -1; _pstype = 4; _psymsiz = 5;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.30;
  fonts("simplex simgrma");
  xlabel("\216U]1["); 
  ylabel("\216U]2[");
  xtics(0,1,0.2,2); 
  ytics(0,1,0.2,2);

  setwind(1);
    title("\216\202Q\201 = 0");
    _pcolor = 1;
    xy(u1[.,1],u2[.,1]);

  setwind(2);
    title("\216\202Q\201 = 3");
    _pcolor = 2;
    xy(u1[.,2],u2[.,2]);

  setwind(3);
    title("\216\202Q\201 = 10");
    _pcolor = 3;
    xy(u1[.,3],u2[.,3]);

  setwind(4);
    title("\216\202Q\201 = 50");
    _pcolor = 4;
    xy(u1[.,4],u2[.,4]);

  endwind;
