new;
library frm,pgraph,optmum;
frmSet;

theta = 3;
m2 = 1024;
rndCopulaSobol(2);
{u1,u2} = rndCopulaClayton(theta,m2);

rndseed 123;
m1 = 50;
x = rndn(m1,2);
x1 = rndCopulaEmpiricalQuantile(u1~u2,x);

rndseed 123;
m1 = 500;
x = rndn(m1,2);
x2 = rndCopulaEmpiricalQuantile(u1~u2,x);

rndseed 123;
m1 = 5000;
x = rndn(m1,2);
x3 = rndCopulaEmpiricalQuantile(u1~u2,x);

x4 = cdfni(u1~u2);

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _plctrl = -1; _pstype = 4; _psymsiz = 5;
  _paxht = 0.225; _pnumht = 0.2025; _ptitlht = 0.30;
  fonts("simplex simgrma");
  xlabel("\216X]1["); 
  ylabel("\216X]2[");
  xtics(-4,4,2,2); 
  ytics(-4,4,2,2);
 
  setwind(1);
    title("\216m]1[ = 50");
    _pcolor = 1;
    xy(x1[.,1],x1[.,2]);

  setwind(2);
    title("\216m]1[ = 500");
    _pcolor = 2;
    xy(x2[.,1],x2[.,2]);

  setwind(3);
    title("\216m]1[ = 5000");
    _pcolor = 3;
    xy(x3[.,1],x3[.,2]);

  setwind(4);
    title("\216Analytical quantile function");
    _pcolor = 4;
    xy(x4[.,1],x4[.,2]);

  endwind;







