new;
library frm,pgraph,optmum;

cls;

rndseed 123;

algr = 0;

n = 10;
Q = simulate_Orthogonal_Matrix(n,algr);
lambda = eig(Q);
{r,theta} = topolar(lambda);
r1 = r; 
theta1 = theta;

n = 20;
Q = simulate_Orthogonal_Matrix(n,algr);
lambda = eig(Q);
{r,theta} = topolar(lambda);
r2 = r; 
theta2 = theta;

n = 50;
Q = simulate_Orthogonal_Matrix(n,algr);
lambda = eig(Q);
{r,theta} = topolar(lambda);
r3 = r; 
theta3 = theta;

r = 0*ones(n,3);
r[1:rows(r1),1] = r1;
r[1:rows(r2),2] = r2;
r[1:rows(r3),3] = r3;

theta = zeros(n,3);
theta[1:rows(r1),1] = theta1;
theta[1:rows(r2),2] = theta2;
theta[1:rows(r3),3] = theta3;

graphset;
  begwind;
  makewind(9*0.9,6.855*0.9,.45,.34,0);
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6; _ptitlht = .2; 
  _plctrl = -1; _pstype = 9|8|11; _pcolor = 1|2|4;
  _pgrid = 2;
  fonts("simplex complex");
  setwind(1);
    _plegstr = "n = 10\000n = 20\000n = 50";
    _plegctl = {2 5 7.5 5};
    _psym = 0~0~8~5~0~1~10;
    polar(r,theta);
  endwind;