new;
library frm,pgraph,optmum;

S0 = 100; 
mu = 0.10;
sigma = 0.20;
nS = 10;

t = seqa(0,1/260,261);

rndseed 1234568;
St = simulate_GBM(S0,mu,sigma,t,nS);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0; 
  _plwidth = 8; _pcolor = 1|2|3|4; _pltype = 6|1|3;
  xtics(0,1,1/6,2);
  let xlab = "Jan" "Mar" "May" "Jul" "Sep" "Nov" "Jan";
  asclabel(xlab,0);
  ytics(60,160,20,2);
  xy(t,St);
