new;
library frm,pgraph,optmum;

rndseed 124;
t = seqa(0,1/500,501);
Wt = simulate_BM(t,2);

r = 1.0;

Bt = r * t + (1 - t) .* Wt[.,1]  + t .* rev(Wt[.,2]);

graphset;
  begwind;
  window(2,2,0);
  fonts("simplex simgrma");

  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _plwidth = 8; _pcolor = 1|2|3|4; _pltype = 6|1|3;
  _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.30;

  xtics(0,1,0.2,2);
  ytics(-0.5,2.0,0.5,2);

  setwind(1);
    _pcolor = 1;
    title("\216Brownian motion W(t)");
    xy(t,Wt[.,1]);

  setwind(2);
    _pcolor = 2;
    title("\216Brownian motion W'(t)");
    xy(t,Wt[.,2]);

  setwind(3);
    _pcolor = 2;
    title("\216Reversed Brownian motion W'(1-t)");
    xy(t,rev(Wt[.,2]));

  setwind(4);
    _pcolor = 3;
    _pline = 1~3~0~r~1~r~1~4~8;
    title("\216Brownian bridge B]1[(t)");
    xy(t,Bt);

  endwind;