new;
library frm,pgraph,optmum;

cls;

rndseed 12658;

t = seqa(0,0.01,601);

let su      =    0     1     3     5;
let x_su    =  100   110   100    90;
n_su = rows(su);

mu = 0.00; sigma = 0.10; x0 = 100;
w_su = ((ln(x_su) - ln(x0)) - (mu - 0.5*sigma^2)*su)/sigma;
results = su~x_su~w_su;
print ftosa(results,"%lf",3,4);
{t,B} = Simulate_Brownian_Bridge(su,w_su,t,5);

xt = x0 .* exp( (mu - 0.5*sigma^2)*t + sigma * B);

e = ones(n_su-1,1);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6; _pcolor = seqa(1,1,7);
  xlabel("\216t");
  xtics(0,6,1,2);
  ytics(75,120,5,2);
  _pline = e .*(1~3)~su[2:n_su]~75*e~su[2:n_su]~e.*(135~1~0~8) |
           e .*(1~3~0)~x_su[2:n_su]~e*6~x_su[2:n_su]~e.*(1~0~8) ;
  xy(t,xt);
