new;
library frm,pgraph,optmum;

cls;

r = 1;
nR = 10;
nS = 1e6;

S = zeros(nR,1);

iter = 1;
do until iter > nR;
  u = rndu(nS,2);
  x = u[.,1];
  y = u[.,2];

  e = (x^2 + y^2) .<= r^2;
  S[iter] = 4*stdc(e);
  iter = iter + 1;
endo;

print ftos(meanc(S),"S = %lf",3,5);

S = 1.642;

let p = 0.001 0.0001 0.00001 0.000001;
p = p';
let alpha = 0.95 0.99;
c_alpha = cdfni((1+alpha)/2);
nS = (c_alpha .* S ./ p)^2;

results = p|nS;
print ftosa(results,"%lE",3,2);

