new;
library frm,pgraph,optmum;

cls;

r = 1;

nS = 1000;

x = rndn(nS,1);
y = rndn(nS,1);

h = 1 ./ (pdfn(x) .* pdfn(y));
s = (x^2 + y^2) .<= r^2;
h = h .* s;
estimate = meanc(h);
print ftos(estimate,"pi = %lf",3,5);
 
data1 = selif(x~y,s);
data2 = delif(x~y,s);
nC = sumc(s);

{data1,data2} = Merge_Time_Series(data1[.,1],data1[.,2],data2[.,1],data2[.,2],2);
 
nC = rows(data1);
theta = seqa(0,2*pi/nC,nC);
x = r * cos(theta);
y = r * sin(theta);

x = x ~ data1;
y = y ~ data2;

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 6; _pstype = 1|4|2; _plctrl = 0|-1|-1;
  _pcolor = 12|12|1; _plwidth = 10; _psymsiz = 2;
  xtics(-3,3,1,2);
  ytics(-3,3,1,2);
  xlabel("\216X");
  ylabel("\216Y");
  xy(x,y);
