new;
library frm,pgraph,optmum;

cls;

x = seqa(-5,10/200,201);

fn phi1(x) = x^3 + x + 1;
fn phi2(x) = x^4 + x^2 + 1;
fn phi3(x) = x^4 + x^3 + x^2 + x + 1;

indx_min = minindc(phi3(x));

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;
  _pltype = 6; _plwidth = 10;
  xtics(-5,5,1,2);

  setwind(1);
    title("\216\202f\201]1[");
    _pcolor = 1;
    ytics(-120,120,40,2);
    xy(x,phi1(x));

  setwind(2);
    title("\216\202f\201]2[");
    _pcolor = 4;
    ytics(0,600,200,2);
    xy(x,phi2(x));

  setwind(3);
    title("\216\202f\201]3[");
    _pcolor = 2;
    xy(x,phi3(x));

  setwind(4);
    ytics(0,10,2,2);
    xtics(-2,2,1,2);
    _pline = 1~1~x[indx_min]~0~x[indx_min]~10~1~0~10;
    _pmsgstr = "\202f\201]3['(x) \202>\201 0";
    _pmsgctl = -0.45~5~0.22~0~1~0~8;
    xy(x,phi3(x));

  endwind;