new;
library frm,pgraph,optmum;

cls;

nS = 30;
nR = 5000;

rho = -0.5;

X1 = rndn(nS,nR);
X2 = rho .* X1 + sqrt(1-rho^2) .* rndn(nS,nR);

X1_bar = meanc(X1);
X2_bar = meanc(X2);
m1 = meanc(X1_bar);
m2 = meanc(X2_bar);
var1 = stdc(X1_bar)^2;
var2 = stdc(X2_bar)^2;
cov = meanc( (X1_bar - m1) .* (X2_bar - m2) );
cor = cov ./ sqrt(var1 .* var2);
rho = submat(corrx(X1_bar~X2_bar),1,2);

print ftos(m1,"E(X1_bar) = %lf",3,2);
print ftos(m2,"E(X2_bar) = %lf",3,2);

print ftos(var1,"var(X1_bar) = %lf",3,4);
print ftos(var2,"var(X2_bar) = %lf",3,4);

print ftos(cov,"cov(X1_bar,X2_bar) = %lf",3,4);
print ftos(100*cor,"cor(X1_bar,X2_bar) = %lf",3,2);
print ftos(100*rho,"cor(X1_bar,X2_bar) = %lf",3,2);




