new;
library frm,pgraph,optmum;
dlibrary frm-sobol,frm-faure;

nS = 1024;

u1 = rndu(nS,2);
u2 = rndu_Hammersley(nS,2);
u3 = rndu_Halton(nS,2);
call init_GrayFaure(2);
u4 = rndu_GrayFaure(nS,2);

graphset;
  begwind;
  window(2,2,0);

    _plctrl = -1; _pnum = 2; _pstype = 4; _psymsiz = 2.5;
    _plwidth = 10; _pcolor = 1;
    xtics(0,1,0.2,2); 
    ytics(0,1,0.2,2);
    xlabel("\216u]1["); 
    ylabel("\216u]2[");  
    _pnumht = 0.20; _paxht = 0.20; _ptitlht = 0.25;

  setwind(1);
    _pcolor = 1;
    title("\216LCG");
    xy(u1[.,1],u1[.,2]);

  setwind(2);
    _pcolor = 2;
    title("\216Hammersley");
    xy(u2[.,1],u2[.,2]);

  setwind(3);
    _pcolor = 3;
    title("\216Halton");
    xy(u3[.,1],u3[.,2]);

  setwind(4);
    _pcolor = 4;
    title("\216Faure");
    xy(u4[.,1],u4[.,2]);

  endwind;