new;
library frm,pgraph;
frmSet;

cls;

rndseed 12;

alpha = 0.5;
beta  = 1.5;

proc f(x);
  retp(pdfn(x));
endp;

proc g(x);
  local pdf;
  pdf = 0.5 .* exp(-abs(x));
  retp(pdf);
endp;

c = sqrt(2/pi)*exp(0.5);

print ftosa(c,"c = %lf",3,2);

x = seqa(-5,10/200,200);
pdf1 = f(x);
pdf2 = c.*g(x);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 1|3; _plwidth = 12; _pcolor = 1|4;
  xtics(-5,5,1,2);
  xlabel("\216x");
  e = ones(rows(x),1);
  ytics(0,0.7,0.1,2);
  _pline = e.*(1~6)~x~pdf1~x~pdf2~e.*(1~7~5);
  _plegstr = "f(x) - Normal\000c\202\46\201g(x) - Laplace";
  _plegctl = {2 5 6 5};
  xy(x,pdf1~pdf2);

