new;
library frm,optmum,pgraph;
frmset;
cls;

rndseed 123;

let beta = -2.5 -5 -3 2;
sigma = 0.5;

g_t  = 0.02 ~ -0.08;
pi_t = 0.02 ~  0.05;
u_t  = 0.05 ~  0.10;

nS = 100000;
{Z,mean_Z,PD,mean_PD} = stress_testing_simulate_PD(beta,g_t,pi_t,u_t,sigma,nS);

mu_PD = stress_testing_calculate_PD(beta,g_t,pi_t,u_t,sigma);

print ftosa(100*mu_PD,"%lf",3,2);

x = seqa(0,1/1000,350);
{d,F} = regKernelDensity(PD,x);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6|3; _pcolor = 1|4;
  xlabel("\216PD]t[ (in %)");
  xtics(0,35,5,2);
  _plegstr = "Baseline scenario\000Stress scenario";
  _plegctl = {2 5 5 4};
  xy(100*x,d);