new;
library frm,pgraph,gwizard;
cls;

rndseed 12345670;

  let x[10,5] = 17.6             19.6             19.8             20.4             28.8 
                13.2             17.5             17.5             17.4             24.2 
                35.9             25.4             32.4             25.0             40.7 
                28.1             24.0             25.1             28.7             26.7 
                23.5             23.6             23.7             14.3             18.1 
                36.5             30.3             29.5             32.0             29.5 
                14.0             23.9             18.3             19.2             17.2 
                36.7             29.0             30.3             21.1             28.7 
                31.2             19.4             29.9             33.3             23.8 
                17.0             20.5             23.8             16.0             19.7;

algr = 1;
{c,table,gBuffer} = Hierarchical_Clustering(x,algr,1);

level = 8;
print Hierarchical_Clustering_Level(c,level);

graphset;
  gWizardSet(gBuffer,1);    
  title("");
  xtics(-2.0,18,2,2);
  ytics(0,10.5,10.5,0);

  _psym[.,4] = 0*_psym[.,4] + 4;
  _psym[.,3] = 0*_psym[.,3] + 8;
  _psym[.,5] = 0*_psym[.,5] + 1;

  _pmsgctl[.,1] = _pmsgctl[.,1] - 1.5;  
  _pmsgctl[.,2] = _pmsgctl[.,2] + 0.050;
  _pmsgctl[.,3] = 0 * _pmsgctl[.,3] + 0.15;
  _pmsgctl[.,6] = 0 * _pmsgctl[.,6] + 4;
  _pmsgctl[.,7] = 0 * _pmsgctl[.,7] + 10;
  _pline = _pline | 
           (1~3~14.0~0~14.0~11~1~2~10) |
           (1~6~0.0~0~0.0~11~1~1~10) ;
  xlabel("\216Dissimilarity measure");
  gWizardDraw(gBuffer,1);   