new;
library frm,pgraph;

cls;

let data[10,5] = 
             1.5              1.0              2.4              3.6              0.3 
            20.4              1.0              1.1              3.8              5.9 
            17.1              1.0              5.1              6.3              6.1 
            30.9              1.0              2.7              2.4              9.5 
            22.2              1.0              3.3              3.0              7.4 
             9.1              1.0              1.0              5.4              4.9 
            39.2              1.0              9.6              2.8              8.1 
             3.1              1.0              2.9              4.4              1.0 
             7.2              1.0              4.2              5.6              1.7 
            27.6              1.0              8.1              1.7              5.4;

y = data[.,1];
xc = data[.,2:5];
x = data[.,3:5];
n = rows(x);
K = cols(x);

beta_ols = invpd(xc'xc)*xc'y;
_reg_PrintIters = 0;
{beta_quantile,u,v} = regQuantile(y,x,0.5,1);

C = 1;
epsilon = 1.0;
{beta0,beta,xi} = svm_regression_primal(y,x,C,error(0));
beta_svm1 = beta0 | beta;

{beta0,beta,xi} = svm_regression_primal(y,x,C,epsilon);
beta_svm2 = beta0 | beta;

C = 500;
epsilon = 0;
{beta0,beta,xi} = svm_regression_primal(y,x,C,error(0));
beta_svm3 = beta0 | beta;

{beta0,beta,xi} = svm_regression_primal(y,x,C,epsilon);
beta_svm4 = beta0 | beta;

print ftosa(beta_ols~beta_quantile~beta_svm1~beta_svm2~beta_svm3~beta_svm4,"%lf",3,3);

