new;
library frm,pgraph,optmum;

cls;

rndseed 123;

nn_set;

n = 201;
nx = 1;
ny = 1;
f_xz = 3;
f_zy = 0;
f_loss = 1;

constant_xz = 1;
constant_zy = 1;
directlink_xy = 1;

_nn_opalgr = 6;

fn fun1(x) = 2*cos(x);
x = seqa(-4,8/(n-1),n);
y = fun1(x);
nz = 1;
call nn_define(f_xz,f_zy,f_loss,constant_xz,constant_zy,directlink_xy,0,0);
sv = rndu(nz*(nx+constant_xz)+ny*(nz+constant_zy+directlink_xy*nx),1);
nn = nn_fit(0,x,y,1,1,sv,0,0,nz);
yhat = nn_predict(nn,x);

x1 = x;
y1 = yhat;

nz = 3;
call nn_define(f_xz,f_zy,f_loss,constant_xz,constant_zy,directlink_xy,0,0);
sv = rndu(nz*(nx+constant_xz)+ny*(nz+constant_zy+directlink_xy*nx),1);
nn = nn_fit(0,x,y,1,1,sv,0,0,nz);
yhat = nn_predict(nn,x);

x2 = x;
y2 = yhat;

fn fun2(x) = abs(x)-2;
x = seqa(-4,8/(n-1),n);
y = fun2(x);
nz = 1;
call nn_define(f_xz,f_zy,f_loss,constant_xz,constant_zy,directlink_xy,0,0);
sv = rndu(nz*(nx+constant_xz)+ny*(nz+constant_zy+directlink_xy*nx),1);
nn = nn_fit(0,x,y,1,1,sv,0,0,nz);
yhat = nn_predict(nn,x);

x3 = x;
y3 = yhat;

nz = 3;
call nn_define(f_xz,f_zy,f_loss,constant_xz,constant_zy,directlink_xy,0,0);
sv = rndu(nz*(nx+constant_xz)+ny*(nz+constant_zy+directlink_xy*nx),1);
nn = nn_fit(0,x,y,1,1,sv,0,0,nz);
yhat = nn_predict(nn,x);

x4 = x;
y4 = yhat;

graphset;
  begwind;
  window(2,2,1);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 4|1; 
  _plctrl = 0|10; _pstype = 8; _psymsiz = 5.0;  
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.30;
  xtics(-4,4,1,2);

  ytics(-2,2,1,2);
  setwind(1);
    title("\216f(x) = 2cos(x)\L\216n]z[ = 1");
    xy(x1,fun1(x1)~y1);

  setwind(2);
    title("\216f(x) = 2cos(x)\L\216n]z[ = 3");
    xy(x2,fun1(x2)~y2);

  ytics(-2,2,1,2);
  setwind(3);
    title("\216f(x) = |x| - 2\L\216n]z[ = 1");
    xy(x3,fun2(x3)~y3);

  setwind(4);
    title("\216f(x) = |x| - 2\L\216n]z[ = 3");
    _plegstr = "f(x)\000NN";
    _plegctl = {2 5 7 1};
    xy(x4,fun2(x4)~y4);

  endwind;






