new;
library frm,pgraph,optmum;

cls;

rndseed 123;

nS = 500;

s = seqa(0,0.10,11);
Score = s' .* rndn(nS,1) + rndn(nS,1);
indx = 1 + trunc(10 * rndu(nS,1));
Score = subvec(Score,indx);
Y = abs(Score) .> 0.40 * (0.10 + 4 * rndu(nS,1));
S1 = abs(Score);
S1 = abs(Score) + 0.80 * rndn(nS,1);

{Gini1,Performance1,Selection1,Discriminant1} = Score_Curves(Y,S1,0,0);

graphset
  window3d;

  _pdate = ""; _pnum = 2; _pframe = 0;
  _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.275;
  _plwidth = 10; _pltype = 6|3|1; _pcolor = 1|2|4;
  xtics(0,1,0.2,2);
  ytics(0,1,0.2,2);
  xlabel("\216x");

  setwind(1);
    title("\216Performance curve");
    ylabel("\216y = P(x)");
    xy(Performance1[.,1],Performance1[.,2 3 4]);

  setwind(2);
    title("\216Selection curve");
    ylabel("\216y = S(x)");
    xy(Selection1[.,1],Selection1[.,2 3 4]);

  setwind(3);
    title("\216Discriminant curve");
    ylabel("\216y = D(x)");
    _plegstr = "Score S\000Optimal score\000Random score";
    _plegctl = {2 5 9 3};
    xy(Discriminant1[.,1],Discriminant1[.,2 3 4]);

  endwind;

/*

new;
library frm,pgraph,optmum;

cls;

rndseed 123;

nS = 2000;

s = seqa(0,0.10,11);
Score = s' .* rndn(nS,1) + rndn(nS,1);
indx = 1 + trunc(10 * rndu(nS,1));
Score = subvec(Score,indx);
Y = abs(Score) .> 0.40 * (0.10 + 4 * rndu(nS,1));
S1 = abs(Score);
S2 = abs(Score) + 0.80 * rndn(nS,1);

{Gini1,Selection1,Performance1,Discriminant1} = Score_Curves(Y,S2,0,0);

graphset
  window3d;

  _pdate = ""; _pnum = 2; _pframe = 0;
  _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.275;
  _plwidth = 10; _pltype = 6|3|1; _pcolor = 1|2|4;
  xtics(0,1,0.2,2);
  ytics(0,1,0.2,2);
  xlabel("\216x");

  setwind(1);
    title("\216Performance curve");
    ylabel("\216y = P(x)");
    xy(Performance1[.,1],Performance1[.,2 3 4]);

  setwind(2);
    title("\216Selection curve");
    ylabel("\216y = S(x)");
    xy(Selection1[.,1],Selection1[.,2 3 4]);

  setwind(3);
    title("\216Discriminant curve");
    ylabel("\216y = D(x)");
    _plegstr = "S]1[\000Optimal\000Random";
    _plegctl = {2 5 9 3};
    xy(Discriminant1[.,1],Discriminant1[.,2 3 4]);

  endwind;

*/