new;
library frm,pgraph,optmum;

cls;

rndseed 123;

nS = 1000;

s = seqa(0,0.10,11);
Score = s' .* rndn(nS,1) + rndn(nS,1);
indx = 1 + trunc(10 * rndu(nS,1));
Score = subvec(Score,indx);
Y = abs(Score) .> 0.40 * (0.10 + 4 * rndu(nS,1));
S1 = abs(Score) + 0.20 * rndn(nS,1);

e = (Y .== 0) .* (rndu(nS,1) .> 0.5*rndu(nS,1));
S2 = 0.50 * e .* rndn(nS,1) + (1-e) .* (0.5 + 0.5*rndu(nS,1));

{Gini1,Performance1,Selection1,Discriminant1} = Score_Curves(Y,S1,0,0);
{Gini2,Performance2,Selection2,Discriminant2} = Score_Curves(Y,S2,0,0);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plwidth = 10; _pltype = 6|3; _pcolor = 1|4; 
  _plctrl = 0; _pstype = 8; _psymsiz = 6.0;
  xtics(0,1,0.2,2);
  ytics(0,1,0.2,2);
  xlabel("\216x");
  ylabel("\216y = S(x)");
  _plegstr = "Score S]1[\000Score S]2[";
  _plegctl = {2 5 2 5};
  xy(Selection1[.,1]~Selection2[.,1],Selection1[.,2]~Selection2[.,2]);