new;
library frm,pgraph,optmum;

x = seqa(0,1/250,251);
y = x;
n = rows(x);
p = zeros(n,1);
p[n] = 1.0;
y = x~x^3~cumsumc(p);

x0 = 70;
y0 = 100 * (0.70^3);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|6|1; _plwidth = 15; _pcolor = 0|1|0;
  ytics(0,100,20,2);
  xtics(0,100,20,2);
  xlabel("\216x (in %)");
  ylabel("\216y (in %)");

  setwind(1);

    e = ones(rows(x),1);
    _pline = e.*(1~6)~100*x~100*x~100*x~100*y[.,2]~e.*(1~2~5);
    _plegstr = "Perfect equality\000Lorenz curve\000Perfect concentration";
    _plegctl = {2 5 2 5};
    xy(-100*x,-100*y);

    _plegctl = 0;

  setwind(2);

    _pline = 1~3~x0~0~x0~y0~1~5~10 |
             1~3~0~y0~x0~y0~1~5~10 ;
    _pmsgstr = "A\000B\00070%\00035%";
    _pmsgctl = 60~50~0.25~0~1~0~15|
               80~20~0.25~0~1~0~15|
               71~10~0.15~-90~1~5~10 |
               6~35~0.15~0~1~5~10 ;
    _psym = x0~y0~8~2.5~0~5~10 ;
    xy(100*x,100*y);

  endwind;

  