new;
library frm,pgraph,optmum;

cls;

rndseed 123;

Let x1[7,2] = 1 2 
              1 4
              3 6 
              3 3
              4 2
              5 6
              5 5;

Let x2[6,2] = 1 0 
              2 1 
              4 1
              3 2
              6 4
              6 5;

x = x1|x2;
n1 = rows(x1);
n2 = rows(x2);
e1 = ones(n1,1);
e2 = ones(n2,1);

mu1 = meanc(x1);
mu2 = meanc(x2);
mu = meanc(x);

S1 = (x1-mu1')'(x1-mu1');
S2 = (x2-mu2')'(x2-mu2');
S = (x-mu')'(x-mu');
SW = S1 + S2;
SB = n1 * (mu1 - mu) * (mu1 - mu)' + n2 * (mu2 - mu) * (mu2 - mu)';

print ftosa(S1,"%lf",3,2);

print ftosa(S2,"%lf",3,2);

print ftosa(SW,"%lf",3,2);

print ftosa(SB,"%lf",3,2);

print ftosa(SB+SW,"%lf",3,2);

print ftosa(S,"%lf",3,2);

A = invpd(SW)*SB;
{va,ve} = eigv(A);
indx = maxindc(va);
lambda = va[indx];
beta = real(ve[.,indx]);

beta_star = invpd(sW) * (mu1 - mu2);

beta_tilde = beta_star / sqrt(sumc(beta_star^2));

print ftosa(beta~beta_star~beta_tilde,"%lf",4,5);

print ftosa(sumc((beta~beta_star~beta_tilde)^2),"%lf",4,5);

y1 = x1*beta;
y2 = x2*beta;

print ftosa(y1,"%lf",3,3);
print ftosa(y2,"%lf",3,3);

