new;
library frm,optmum,pgraph;

cls;

declare matrix function;
fn f(x) = nn_fn(x,function);
fn fprime(x) = nn_gradient_fn(x,function);

x = 2*rndu(7,1)-1;
x = 10*x;
n_x = rows(x);

y = zeros(n_x,6);
g = zeros(n_x,6);
g2 = zeros(n_x,6);

iter = 1;
do until iter > 6;
  function = iter%6;
  y[.,iter] = f(x);
  if iter == 5;
    g[.,iter] = gradp2(&f,x);
    g2[.,iter] = diag(fprime(x));
    h = gradp(&f,x);
    h2 = fprime(x);
  else;
    g[.,iter] = gradp2(&f,x);
    g2[.,iter] = fprime(x);
  endif;
  iter = iter + 1;
endo;

print ftosa(y,"%lf",10,5);
print ftosa(abs(g-g2),"%lE",10,8);
print ftosa(abs(h./h2),"%lf",10,8);

