new;
library frm,optmum,pgraph;

cls;

n = 100;
n_x = 10;
n_z = 2;
n_y = 2;

x = 2*rndu(n,n_x)-1;
x = 10*x;

test = {};

i = 0;
do until i > 5;
  f_xz = i;

  j = 0;
  do until j > 5;
    f_zy = j;

    iter = 1;
    do until iter > 8;

      if iter == 1;                     // NC + NC + NX
        col_beta = n_x;
        col_gamma = n_z;
      elseif iter == 2;                 // NC + NC + X
        col_beta = n_x;
        col_gamma = n_z + n_x;
      elseif iter == 3;                 // NC + C + NX
        col_beta = n_x;
        col_gamma = n_z +1;
      elseif iter == 4;                 // NC + C + X
        col_beta = n_x;
        col_gamma = n_z + 1 + n_x;
      elseif iter == 5;                 // C + NC + NX
        col_beta = n_x + 1;
        col_gamma = n_z;
      elseif iter == 6;                 // C + NC + X
        col_beta = n_x + 1;
        col_gamma = n_z + n_x;
      elseif iter == 7;                 // C + C + NX
        col_beta = n_x + 1;
        col_gamma = n_z + 1;
      elseif iter == 8;                 // C + C + X
        col_beta = n_x + 1;
        col_gamma = n_z + 1 + n_x;
      endif;

      row_beta = n_z;
      row_gamma = n_y;
      beta_matrix = rndn(row_beta,col_beta);
      gamma_matrix = rndn(row_gamma,col_gamma);

      {u1,z1,v1,y1} = _nn_forward_propagation1(x,Beta_Matrix,f_xz,Gamma_matrix,f_zy);
      {u2,z2,v2,y2} = _nn_forward_propagation2(x,Beta_Matrix,f_xz,Gamma_matrix,f_zy);

      diff = y1 - y2;
      test = test | maxc(vec(abs(diff)));

      iter = iter + 1;
    endo;

  j = j + 1;
  endo;

i = i + 1;
endo;

print ftosa(test,"%lf",10,18);
