new;
library frm,pgraph;

cls;

let x_p[7,2] =  0.5    2.5
                2.7    4.2 
                2.7    2.0
                1.7    4.2 
                1.5    0.7 
                2.3    5.3 
                4.0    6.9; 
y_p = ones(7,1);                            
let x_m[8,2] =  6.4    4.5 
                7.7    2.2 
                8.8    6.0 
                7.4    6.5 
                6.5    1.7 
                8.3    1.3 
                6.0    1.3 
                5.0    0.5;
y_m = -ones(8,1);

y = y_p | y_m;
x = x_p | x_m;
n = rows(x);

{beta0,beta,xi} = svm_classification_primal(y,x,0,1);

t = seqa(-1,9/100,101);
y1 = (-beta0+(-1~0~1) - beta[1]*t)/beta[2];

{beta0,beta,xi} = svm_classification_primal(y,x,0.07,1);

t = seqa(-1,9/100,101);
y2 = (-beta0+(-1~0~1) - beta[1]*t)/beta[2];

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 1|1|1|6|6|6; _plwidth = 10; _pcolor = 7|7|7|2|2|2;
  e = ones(n,1);
  e_p = (y .== 1);
  e_m = (y .== -1);
  ytics(-2,8,1,2);
  xtics(-1,9,1,2);
  xlabel("\216x]1[");
  ylabel("\216x]2[");
  _psym = x~e.*(8~5)~(e_p*1+e_m*4)~e.*(1~10);

  setwind(1);
    xy(t,y1~y2);

  setwind(2);
    _pltype = 1|6; _plwidth = 10; _pcolor = 7|2;
    _plegstr = "Hard margin\000Soft margin";
    _plegctl = {2 5 5.6 0.8};
    xy(10+t,y1[.,1]~y2[.,1]);

  endwind; 


    
