new;
library frm,pgraph;

cls;

z = seqa(-2,1/100,200) | seqa(-0.1,0.2/10,11) | seqa(0.01,1/100,300);

e = z .>= 0;
Loss1 = e .* 0  + (1-e) .* 1;
Loss2 = _max_(0,1 - z);
Loss3 = Loss2 ^ 2;
Loss4 = _min_(1,Loss2);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0; _pgrid = {1,1};
  _pltype = 1|6|2|3|4; _pcolor = 1|2|3|4; _plwidth = 10|10|15|10|15;
  _psytpe = 8|9|10|11|12; _plctrl = 20;
  ytics(0,2,0.25,2);
  xtics(-1,2,0.5,0);
  _plegstr = "0-1\000Binary hinge\000Squared hinge\000Ramp";
  _plegctl = {2 5 5.5 4.5};
  xy(z,Loss1~Loss2~Loss3~Loss4);
 

