/*
**> Capital requirement for commodities
**
*/

new;
library frm,pgraph;

cls;

print "---------------------------------------------------";

let L = 0 0  800 0 600 0 0;
let S = 0 0 1000 0   0 0 600;

{L_plus,S_plus,M,CF,GNE,C} = Compute_Capital_Commodity_MLA(L,S);

print ftosa(L~S~L_plus~S_plus~M~CF,"%lf",3,0);
print;
print ftosa(Sumc(M),"Sum(M) = %lf",3,0);
print ftosa(Sumc(CF),"Sum(CF) = %lf",3,0);
print ftosa(GNE,"GNE = %lf",3,0);
print;
print ftosa(C,"C = %lf",3,2);

print "---------------------------------------------------";

let L = 0 0 1800 0 0 0 200;
let S = 0 0 1000 0 0 0 0;

{L_plus,S_plus,M,CF,GNE,C} = Compute_Capital_Commodity_MLA(L,S);

print ftosa(L~S~L_plus~S_plus~M~CF,"%lf",3,0);
print;
print ftosa(Sumc(M),"Sum(M) = %lf",3,0);
print ftosa(Sumc(CF),"Sum(CF) = %lf",3,0);
print ftosa(GNE,"GNE = %lf",3,0);
print;
print ftosa(C,"C = %lf",3,2);

print "---------------------------------------------------";

let L = 500   0 1800 100 300 100 200;
let S = 300 900 1000   0 600 200 1000;

{L_plus,S_plus,M,CF,GNE,C} = Compute_Capital_Commodity_MLA(L,S);

print ftosa(L~S~L_plus~S_plus~M~CF,"%lf",3,0);
print;
print ftosa(Sumc(M),"Sum(M) = %lf",3,0);
print ftosa(Sumc(CF),"Sum(CF) = %lf",3,0);
print ftosa(GNE,"GNE = %lf",3,0);
print;
print ftosa(C,"C = %lf",3,2);

print "---------------------------------------------------";

let L = 500   0 1800 100 0     0       0;
let S = 300 900 1000   0 600   100   100;

{L_plus,S_plus,M,CF,GNE,C} = Compute_Capital_Commodity_MLA(L,S);

print ftosa(L~S~L_plus~S_plus~M~CF,"%lf",3,0);
print;
print ftosa(Sumc(M),"Sum(M) = %lf",3,0);
print ftosa(Sumc(CF),"Sum(CF) = %lf",3,0);
print ftosa(GNE,"GNE = %lf",3,0);
print;
print ftosa(C,"C = %lf",3,2);

print "---------------------------------------------------";

let L = 500   0 0 1800 300   0    0;
let S = 300 900 0 100  600 100  200;

{L_plus,S_plus,M,CF,GNE,C} = Compute_Capital_Commodity_MLA(L,S);

print ftosa(L~S~L_plus~S_plus~M~CF,"%lf",3,0);
print;
print ftosa(Sumc(M),"Sum(M) = %lf",3,0);
print ftosa(Sumc(CF),"Sum(CF) = %lf",3,0);
print ftosa(GNE,"GNE = %lf",3,0);
print;
print ftosa(C,"C = %lf",3,2);

print "---------------------------------------------------";

C = 1.5*2200*2+0.6*2700+15*400;
C = C / 100;
print ftosa(C,"C = %lf",3,2);
