/*
**> Capital requirement for commodities
**
*/

new;
library frm,pgraph;

cls;

let L = 3 0 1 3 2 1 1;
let S = 2 0 0 1 1 2 0;

sum_L = sumc(L);
sum_S = sumc(S);

print ftosa(sum_L,"L = %lf",3,2);
print ftosa(sum_S,"S = %lf",3,2);

N = sumc(abs(L - S));
G = sumc(L + S);

print ftosa(N,"N = %lf",3,2);
print ftosa(G,"G = %lf",3,2);

C = 0.15 * N + 0.03 * G;
print ftosa(C,"C = %lf",3,2);
 