/*
**> Capital requirement for options
**
*/

new;
library frm,option,pgraph;

cls;

S1 = -100e6;

L2 = 60e6;
P2 = 120;
N2 = L2/P2;

N3 = 400000;
K3 = 130;

L2 = (N2-N3)*P2;
print ftosa(L2/1e6,"L2 = %lf",3,4);

C_sp = abs(S1)*0.04+abs(L2)*0.08;
print ftosa(C_sp/1e6,"C_sp = %lf",3,4);

C_gen = abs(S1 + L2) * 0.08;
print ftosa(C_gen/1e6,"C_gen = %lf",3,4);

L3 = N3*P2;
print ftosa(L3/1e6,"L2 = %lf",3,4);
C3 = L3 * (0.08 + 0.08);
print ftosa(C3/1e6,"C3 = %lf",3,4);

ITM = N3*(K3-P2);
print ftosa(ITM/1e6,"ITM = %lf",3,4);
C3 = C3 - ITM;
print ftosa(C3/1e6,"C3 - ITM = %lf",3,4);

P4 = 540;
K4 = 540;
sigma4 = 0.20;
tau4 = 1;
r4 = 0.01;
b4 = r4;
N4 = 10000;
O4 = EuropeanBS(P4,K4,sigma4,tau4,b4,r4);
print ftosa(O4,"O4 = %lf",3,4);

O4 = 45.5;
V4 = N4 * O4;

C4 = (N4*P4)*(0.08+0.08);
print ftosa(C4/1e6,"C4 = %lf",3,4);
print ftosa(V4/1e6,"V4 = %lf",3,4);
C4 = _min_(C4,V4);
print ftosa(C4/1e6,"min(C4,V4) = %lf",3,4);

C = C_sp + C_gen + C3 + C4;
print ftosa(C/1e6,"C = %lf",3,4);
