new;
library frm,pgraph;

cls;

datPathName = "..\\..\\Data\\";
datFileName = datPathName $+ "var";
loads info = ^datFileName;

data = loadd(datFileName);
data = selif(data,data[.,1] .>= 20070531);
vnames = "" $+ getname(datFileName);

let string selected_tickers = "AAPL" "KO";
n = rows(selected_tickers);
indx = indsav(selected_tickers,vnames);
Prices = data[.,indx];
Dates = data[.,1];
R = Prices./lag1(Prices) - 1.0;
cnd = sumr(R .== 0) .== n;
Dates = delif(Dates,cnd);
nDates = rows(Dates);
Prices = delif(Prices,cnd);
R = Prices ./ lag1(Prices) - 1;

t = 20150102;
indx_t = indnv(t,Dates);
Pt = Prices[indx_t,.]';
let w = 10 20;
Pw_t = sumc(w .* Pt);

Begin_Date = 20071009;
End_Date = 20090309;
indx = selif(seqa(1,1,nDates),(Dates .>= Begin_Date) .and (Dates .<= End_Date));
Ps = Prices[indx,.];
Rs = R[indx,.];
Pt_s = Pt' .* (1 + Rs);
Pw_s = sumr(w' .* Pt_s);
Pi_s = Pw_s - Pw_t;

alpha = 0.01;
VaR1 = quantile(Pi_s,alpha);
{VaR2,retcode} = regKernelVaR(Pi_s,alpha,-200,200);
{chk_d,chk_F} = regKernelDensity(Pi_s,VaR2);

print ftosa(-VaR2,"VaR2 = %lf",3,2);
print ftosa(chk_F-alpha,"check = %lf",3,4);