new;
library frm,pgraph;

cls;

datPathName = "..\\..\\Data\\";
datFileName = datPathName $+ "var";
loads info = ^datFileName;

data = loadd(datFileName);
data = selif(data,data[.,1] .>= 20070531);
vnames = "" $+ getname(datFileName);

let string selected_tickers = "AAPL" "KO" "SPX";
let string selected_tickers = "SPX";

n = rows(selected_tickers);
indx = indsav(selected_tickers,vnames);
Prices = data[.,indx];
Dates = data[.,1];
R = Prices./lag1(Prices) - 1.0;
cnd = sumr(R .== 0) .== n;
Dates = delif(Dates,cnd);
nDates = rows(Dates);
Prices = delif(Prices,cnd);
nLags = 1;
R = Prices ./ lagn(Prices,nLags) - 1;

indx_t = selif(seqa(1,1,nDates), (Dates .>= 20070101) .and (Dates .<= 20141431) );
Rs = packr(R[indx_t,.]);

mu = meanc(Rs);
sigma = stdc(Rs);
x = seqa(-0.06,0.12/100,101);
y1 = pdfn2(x,mu,sigma);

{y2,F} = regKernelDensity(Rs,x);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _pcolor = 1|4; _plwidth = 10;
  xtics(-6,6,2,2);
  _plegstr = "Gaussian\000Empirical";
  _plegctl = {2 5 6 4.5};
  xlabel("\216Daily return (in %)");
  xy(100*x,y1~y2);


