/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Exercise 2.4.4
**
*/

new;
library frm,pgraph;

cls;

n_A = 2;
n_B = -1;
sigma_A = 0.20;
sigma_B = 0.20;
rho_AB = 0.50;

print;
print "=====================  Question 1  =======================================";

sigma_LS = sqrt( (n_A * sigma_A)^2 + (n_B * sigma_B)^2 + 2 * rho_AB * (n_A * sigma_A) * (n_B * sigma_B));
VaR_LS = 2.33 * sigma_LS / sqrt(260); 
print ftosa(100*sigma_LS,"sigma(LS) = %lf",3,2);
print ftosa(100*VaR_LS,"VaR(LS) = %lf",3,2);
VaR_LS = 1e6 * VaR_LS;
print ftosa(VaR_LS,"VaR(LS) = %lf",3,0);
VaR1 = VaR_LS;

print;
print "=====================  Question 2  =======================================";

VaR_LS = - (-56850 + 0.5 * (-54270 - (-56850)));
VaR2 = VaR_LS;
print ftosa(VaR_LS,"VaR(LS) = %lf",3,0);
print ftosa(VaR2/VaR1,"VaR2 / VaR1 = %lf",3,2);

print;
print "=====================  Question 3  =======================================";

K_IMA = 3 * sqrt(10) * (VaR1|VaR2);
K_Sp = 3 * 0.08 * 1e6;
K_Gen = 1 * 0.08 * 1e6;
K_SMM = K_Sp + K_Gen;
K = K_IMA|K_SMM;
print ftosa(K,"%lf",3,0);

print;
print "=====================  Question 4  =======================================";

rho_AB = -0.50;

sigma_LS = sqrt( (n_A * sigma_A)^2 + (n_B * sigma_B)^2 + 2 * rho_AB * (n_A * sigma_A) * (n_B * sigma_B));
VaR_LS = 1e6 * 2.33 * sigma_LS / sqrt(260); 
VaR4 = VaR_LS;

print ftosa(100*sigma_LS,"sigma(LS) = %lf",3,2);
print ftosa(VaR_LS,"VaR(LS) = %lf",3,0);
print ftosa(VaR4/VaR1,"VaR4 / VaR1 = %lf",3,2);
print ftosa(sqrt(7/3),"Sqrt(7/3) = %lf",3,2);

print;
print "=====================  Question 5  =======================================";

rho_AB = 0.5;
Delta_A = 0.50;
x_A = 2;
n_A =  2 - x_A * Delta_A;
n_B = -1;

sigma_LS = sqrt( (n_A * sigma_A)^2 + (n_B * sigma_B)^2 + 2 * rho_AB * (n_A * sigma_A) * (n_B * sigma_B));
VaR_LS = 1e6 * 2.33 * sigma_LS / sqrt(260); 
print ftosa(100*sigma_LS,"sigma(LS) = %lf",3,2);
print ftosa(VaR_LS,"VaR(LS) = %lf",3,0);

x_A = 4;
n_A =  2 - x_A * Delta_A;

sigma_LS = sqrt( (n_A * sigma_A)^2 + (n_B * sigma_B)^2 + 2 * rho_AB * (n_A * sigma_A) * (n_B * sigma_B));
VaR_LS = 1e6 * 2.33 * sigma_LS / sqrt(260); 
print ftosa(100*sigma_LS,"sigma(LS) = %lf",3,2);
print ftosa(VaR_LS,"VaR(LS) = %lf",3,0);

print;
print "=====================  Question 6  =======================================";

c = 1/sqrt(260)*2.33*0.40;
print ftosa(100*c,"c = %lf",3,2);