new;
library frm,pgraph,optmum;

cls;

nK = 5;
nS = 4;  
nC = 8;

alpha = 0.02;
beta = 0.01;
gamma_ = 0.01;

proc (1) = fProc(k,s,c);
  local y;
  y = - 1/s * ln(s) - (alpha/k)*((c-s)^2) + beta*c + gamma_ .* sqrt(s) .* exp(sin(s));
  retp(y);
endp;

proc (1) = gProc(k,s,c);
  retp(s);
endp;

proc fK_Proc(nK,s);
  local fK;
  fK = seqa(1,1,nS);
  retp(fK);
endp;

state = seqa(1,0.5,nS);
control = seqa(1,1,nC);

{k,J,C} = Bellman_Optimize2(nK,state,control,&gProc,&fProc,&fK_Proc);

print ftosa(J,"%lf",3,3);
print ftosa(C,"%lf",1,0);
