new;
library frm,pgraph;

cls;

datPathName = "..\\..\\data\\";
datFileName = datPathName $+ "bis-bonds-2019";

data = loadd(datFileName);
data[.,2:cols(data)] = data[.,2:cols(data)]/1000;

dates = data[.,1];
vnames = "" $+ getname(datFileName);

nCountries = (rows(vnames) - 1) / 4;

let selected_dates = 20041231 20071231 20101231 20171231;
indx = indnv(selected_dates,dates);
data = data[indx,.]';

ord = 4|2|3|1;
s = seqa(0,4,nCountries);
ord = vecr(s + ord' + 1);
ord = 1 | ord;

vnames = vnames[ord];
data = data[ord,.];

results = vnames $~ ftosa(data,"%lf",3,0);
print results;
print;
print;

data = trimr(data,1,0);
i = 1;
do until i > nCountries;
  total = sumc(data[1+(i-1)*4:i*4-1,.]);
  ratio = total' ./ data[i*4,.];
  print ftosa(ratio,"%lf",3,4);
  i = i + 1;
endo;
 


