new;
library frm,pgraph;

cls;

datPathName = "..\\..\\data\\";
datFileName = datPathName $+ "sifma-bonds-2019";

loadm data = ^datFileName;

indx = 2;
vnames = vread(data,itos("name",indx));
vnames = strSplit2(vnames,"---")';
data = vread(data,itos("data",indx));

data = selif(data,data[.,1] .>= 1985); 
t = data[.,1];
data = data[.,2:cols(data)];
nCols = cols(data);
p = data ./ data[.,nCols];

print vnames';
print ftosa(t~100*p,"%lf",3,1);
vnames = vnames[2:rows(vnames)];

data = data[.,1:nCols-1];
nCols = cols(data);
data = data[.,seqa(nCols,-1,nCols)];
data = cumsumc(data')';
data = rev(data')';

graphset;
  makewind(9,6.855,0,0,1);

  _pdate = ""; _pnum = 2; _pframe = 0; 
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  _pbarwid = 0.50;

  xtics(1985,2020,5,2);
  ytics(0,40,5,5);
  let xlab = "1990" "95" "2000" "05" "10" "15" "20";
  asclabel(xlab,0);

  setwind(1);
    _pbartyp = {6 1,
                6 2,
                6 3,
                6 4,
                6 5,
                6 6,
                6 7};
    _plegstr = MakeMsgStr(vnames);
    _plegctl = {2 5 1.5 4.5};
    bar(t,data/1000);

  endwind;
