new;
library frm,pgraph;

cls;

datPathName = "..\\..\\data\\";
datFileName = datPathName $+ "sifma-bonds-2019";

loadm data = ^datFileName;

indx = 3;
vnames = vread(data,itos("name",indx));
vnames = strSplit2(vnames,"---")';
data = vread(data,itos("data",indx));

data = selif(data,data[.,1] .>= 1985); 
t = data[.,1];
data = data[.,2:cols(data)];
nCols = cols(data);
p = data ./ data[.,nCols];

print vnames';
print ftosa(t~100*p,"%lf",3,1);

graphset;
  window3d;

  _pdate = ""; _pnum = 2; _pframe = 0; 
  _pltype = 6; _plwidth = 10; _pcolor = 1;
  _paxht = 0.20; _pnumht = 0.22; _ptitlht = 0.275;
  _pbarwid = 0.50; _psymsiz = 5; _pstype = 8; _plctrl = 1;

  xtics(1995,2020,5,2);
  let xlab = "1995" "2000" "05" "10" "15" "20";
  asclabel(xlab,0);

  setwind(1);
    title("\216Treasury");
    ytics(0,600,100,2);
    _pcolor = 2;
    xy(t,data[.,2]);

  setwind(2);
    title("\216Agency MBS");
    ytics(0,350,50,2);
    _pcolor = 3;
    xy(t,data[.,3]);

  setwind(3);
    title("\216Total");
    ytics(0,1200,200,2);
    _pcolor = 8|4; _pltype = 6|3;
    others = sumr(data[.,2 3]);
    _plegstr = "Total\000Treasury + Agency MBS";
    _plegctl = {2 5 7 1.5};
    xy(t,data[.,8]~others);

  endwind;