new;
library frm,pgraph;

cls;

omega = 0.95;
K_IRB = 0.18;
K_SA = 0.20;

K_IRB = omega * K_IRB + (1-omega) * K_SA;
print ftos(100*K_IRb,"K_IRB = %lf",3,2);

N = 30;
LGD = 0.30;
M = 5;

let A       =  0.00  0.05  0.30;
let D       =  0.05  0.30  1.00;

// SEC-IRBA

{RW,K_SSFA,coeffs,parameters} = IRBA_SEC_RW(A,D,M,N,LGD,K_IRB,0|0|1,1,0);
results = coeffs~K_SSFA~RW;
print "----------------- IRBA-SEC --------------------------";
print ftosa(100*results,"%lf",3,2);


// SEC-ERBA

RW = 12.50|7.60|0.20;
RW = RW .* (1 - _min_(D - A,0.50));

print "----------------- ERBA-SEC --------------------------";
print ftosa(100*RW,"%lf",3,2);

// SEC-SA

K_A = K_SA;
{RW,K_SSFA,coeffs} = SA_SEC_RW(A,D,M,N,LGD,K_A,0);
results = coeffs~K_SSFA~RW;
print "-----------------  SEC-SA  --------------------------";

print ftosa(100*results,"%lf",3,2);