new;
library frm,pgraph;

cls;

K_IRB = 0.2001;
N = 30;
LGD = 0.50;
K_A = K_IRB;
M = 5;

Senior = 0;
A = seqa(0,0.01,90);
D = A + 0.05;
nIters = rows(A);

RW_IRBA_W = zeros(nIters,2);
RW_IRBA_R = zeros(nIters,2);
RW_SA = zeros(nIters,2);
RW_IRBA2 = zeros(nIters,2);

D2 = ones(nIters,1);
A2 = A;
Senior2 = A2 .>= 0.30;

iter = 1;
do until iter > nIters;
  {RW_IRBA_W[iter,1],K_SSFA,coeffs,parameters} = IRBA_SEC_RW(A[iter],D[iter],M,N,LGD,K_IRB,Senior,1,0);
  {RW_IRBA_W[iter,2],K_SSFA,coeffs,parameters} = IRBA_SEC_RW(A[iter],D[iter],M,N,LGD,K_IRB,Senior,1,1);
  {RW_IRBA_R[iter,1],K_SSFA,coeffs,parameters} = IRBA_SEC_RW(A[iter],D[iter],M,N,LGD,K_IRB,Senior,2,0);
  {RW_IRBA_R[iter,2],K_SSFA,coeffs,parameters} = IRBA_SEC_RW(A[iter],D[iter],M,N,LGD,K_IRB,Senior,2,1);
  {RW_SA[iter,1],K_SSFA,coeffs} = SA_SEC_RW(A[iter],D[iter],M,N,LGD,K_A,0);
  {RW_SA[iter,2],K_SSFA,coeffs} = SA_SEC_RW(A[iter],D[iter],M,N,LGD,K_A,1);
  {RW_IRBA2[iter,1],K_SSFA,coeffs,parameters} = IRBA_SEC_RW(A2[iter],D2[iter],M,N,LGD,K_IRB,Senior2[iter],1,0);
  {RW_IRBA2[iter,2],K_SSFA,coeffs,parameters} = IRBA_SEC_RW(A2[iter],D2[iter],M,N,LGD,K_IRB,Senior2[iter],1,1);
  iter = iter + 1;
endo;

graphset;
  begwind;
  window(2,2,0);

    _pdate = ""; _pnum = 2; _pframe = 0;
    _pltype = 6|1|3; _pcolor = 1|4|2|3; _plwidth = 10;
    _paxht = 0.25; _pnumht = 0.225; _ptitlht = 0.275;
    xlabel("\216A (in %)");
    xtics(0,90,10,2);
    ytics(0,12.5,2.5,2);

  setwind(1);
    title("\216IRBA, Wholesale, D-A=5%");
    xy(100*A,RW_IRBA_W);

  setwind(2);
    title("\216IRBA, retail, D-A=5%");
    xy(100*A,RW_IRBA_R);

  setwind(3);
    title("\216SA, D-A=5%");
    xy(100*A,RW_SA);

  setwind(4);
    title("\216IRBA, D=100%");
    ytics(0,4.0,1.0,2);
    _plegstr = "Non-STC\000STC";
    _plegctl = {2 5 5 4};
    xy(100*A,RW_IRBA2);

  endwind;
