new;
library frm,pgraph;
frmSet;

x = 0.001|seqa(0.01,0.01,99)|0.999;

let a = 1 20 0.01; 
let b = 1 20 0.01; 
pdf1 = pdfBeta(x,a',b');

let a = 0.2 0.5 2 3; 
let b = 0.2 0.5 2 3; 
pdf2 = pdfBeta(x,a',b');

let a = 1.5 2 3.0 4; 
let b = 1.1 1 1 2;
pdf3 = pdfBeta(x,a',b');

let a = 0.5 0.9; 
let b = 0.1 0.1;
pdf4 = pdfBeta(x,a',b');

graphset;
  begwind;
  window(2,2,0);
  
  fonts("simplex simgrma");

  _pltype = 6|1|3|5; _plwidth = 10; _pnum = 2; 
  _pframe = 0; _pnumht = 0.20; _pcolor = 2|1|4|0;
  _ptitlht = 0.275; _paxht = 0.225; _pnumht = 0.225;

  xtics(0,1,0.2,2);
  ytics(0,5.0,1.0,5);
 
  setwind(1);
    _plegstr = "1\00020\0000.01";
    _plegctl = {2 5 1.25 2.5};
    title("\216Limit cases (\202a\201 = \202b\201)");
    xy(x,pdf1);

  xtics(0,1,0.2,2);
  ytics(0,2.0,0.5,2);
 
  setwind(2);
    _plegstr = "0.2\0000.5\0002.0\0003.0";
    _plegctl = {2 5 6.5 4.25};
    title("\216Symmetric cases (\202a\201 = \202b\201)");    
    xy(x,pdf2);

  ytics(0,3.0,1.0,2);
 
  setwind(3);
    _plegstr = "\202a\201=1.5, \202b\201=1.1\000\202a\201=2, \202b\201=1\000\202a\201=3, \202b\201=1\000\202a\201=4, \202b\201=2";
    _plegctl = {2 5 0.75 3.5};
    title("\216Asymmetric cases (\202a\201 > \202b\201 > 1)");         
    xy(x,pdf3);
 
  setwind(4);
     _plegstr = "\202a\201=0.5, \202b\201=0.1\000\202a\201=0.9, \202b\201=0.1";
    _plegctl = {2 5 2 3};
    title("\216Asymmetric cases (1 > \202a\201 > \202b\201)");        
    xy(x,pdf4);

  endwind;

