new;
library frm,pgraph;
frmSet;

let mu = 0.10 0.20 0.30 0.40 0.50;
sigma = sqrt(mu .* (1-mu));

x = seqa(0.00,0.001,1001);
y = sqrt(x .* (1-x));

print ftosa(100*(mu~sigma),"%lf",3,2);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|5; _plwidth = 10; _pcolor = 1;
  xlabel("\216\202m\201");
  ylabel("\216\202s\201[+](\202m\201)");
  ytics(0,0.5,0.1,2);
  xtics(0,1,0.1,2);
  e = ones(rows(mu),1);
  _pline = e.*(1~3)~mu~e*0~mu~sigma~e.*(1~4~10) | 
           e.*(1~3)~mu~sigma~0*e~sigma~e.*(1~4~10);
  xy(x,y);
