/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 3.3.3
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

// Kavvathas rounded matrix

let P[8,8] = 92.82  6.50  0.56  0.06  0.06  0.00  0.00   0.00
              0.63 91.87  6.64  0.65  0.06  0.11  0.04   0.00
              0.08  2.26 91.66  5.11  0.61  0.23  0.01   0.04
              0.05  0.27  5.84 87.74  4.74  0.98  0.16   0.22
              0.04  0.11  0.64  7.85 81.14  8.27  0.89   1.06
              0.00  0.11  0.30  0.42  6.75 83.07  3.86   5.49
              0.19  0.00  0.38  0.75  2.44 12.03 60.71  23.50
              0.00  0.00  0.00  0.00  0.00  0.00  0.00 100.00;
P = P ./ sumr(P);

K = rows(P);
P0 = eye(K);
n = 1;
do until n > 5000;
  P0 = P0 * P;
  n = n + 1;
endo;

print ftosa(100*P0,"%lf",3,2);
{lambda,V} = eigv(P0');
print ftosa(lambda,"%lf",3,2);
print ftosa(V,"%lf",3,2);
pi_star = zeros(K-1,1)|1;
print ftosa(100*P0'pi_star~100*pi_star,"%lf",3,2);

let P[2,2] = 0.500 0.500
             0.750 0.250;

K = rows(P);
P0 = eye(K);
n = 1;
do until n > 5000;
  P0 = P0 * P;
  n = n + 1;
endo;

print ftosa(100*P0,"%lf",3,2);
{lambda,V} = eigv(P0');
print ftosa(lambda,"%lf",3,2);
print ftosa(V,"%lf",3,2);
pi_star = 0.6|0.4;
print ftosa(100*P0'pi_star~100*pi_star,"%lf",3,2);

pi_star = real(V[.,1]);
print ftosa(100*P0'pi_star~100*pi_star,"%lf",3,2);




