new;
library frm,pgraph;

x = seqa(-5,10/100,101);
y = pdfn(x);

t = seqa(0,2*pi/100,101);
c = sin(t);
t = 7*t/(2*pi);
c = 5*c;

graphset;
  begwind;
  makewind(3,2,0,4.855,1);
  makewind(9,6.855,0,0,1);

  fonts("simplex simgrma");

  setwind(1);
    _pframe = 0; _pnum = 2;
    _pnumht = 0.25; _paxht = 0.35; _ptitlht = 0.35;
    _plwidth = 10; _pcolor = 2;
    xtics(0,7,1,0);
    ytics(-6,6,2,0);
    xlabel("\216Time");
    title("\216Economic cycle");
    xy(t,c);

  setwind(2);
    title("");
    _pdate = ""; _pframe = 0; _pnum = 2;     _plwidth = 10;
    _pcross = 1; _paxes = {1,0}; _pcolor = 5;
    _pnumht = 0; _paxht = 0;
    xlabel("\216Common risk factor");
    xtics(-5,5,1,0);
    ytics(0,0.45,0.05,0);
    _pline = 1~6~0~0~0~0.50~1~0~10;
    _parrow = -4.5~0.43~ 4~0.02~0.9~0.06~1~1~1~3~10 |
              -3.0~0.34~-4~0.02~0.9~0.06~1~4~1~3~10 ;
    _psym =   -4.5~0.43~8~2~1~1~0 |
              -3.0~0.34~8~2~4~1~0 ;
    _pmsgstr = "Good economic times\000Bad economic times";
    _pmsgctl =  2~0.2~0.15~0~1~1~7.5 |
               -4.75~0.2~0.15~0~1~4~7.5 ;
    xy(x,y);
  endwind;