new;
library frm,pgraph;
frmSet;

cls;

_SkewCopula_Quad_order = 512;

rho = 0.25;
alpha = 2;

x = seqa(-5,0.1,101);
_SkewCopula_Model = 0;
g0 = _SkewCopula_Beta(x,rho,alpha);
_SkewCopula_Model = 1;
g1 = _SkewCopula_Beta(x,rho,alpha);

z = seqa(-3,6/100,101);
_SkewCopula_Model = 0;
SkewCopula_Init(rho,alpha);
F0 = SkewCopula_CDF(z);
_SkewCopula_Model = 1;
SkewCopula_Init(rho,alpha);
F1 = SkewCopula_CDF(z);

nS = 100000;
_SkewCopula_Model = 1;
Zs = _SkewCopula_Simulate_Z(rho,alpha,nS);

xZ = seqa(-5,10/128,128);
{dZ,FZ} = regKernelDensity(Zs,xZ);

nS = 100000;
_SkewCopula_Model = 1;
gX = _SkewCopula_Simulate_gX(rho,alpha,nS);
gX = (gX - meanc(gX))/stdc(gX); 
xGX = seqa(-5,10/128,128);
{dGX,FGX} = regKernelDensity(gX,xGX);

graphset;
  begwind;
  window(2,2,0);
  
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _pltype = 6|3; _plwidth = 10; _pcolor = 2|5;
  _pnumht = 0.225; _ptitlht = 0.30; _paxht = 0.225;
  fonts("simplex simgrma");

  setwind(1);
    title("\216\202r\201(X)=\202b\201[2](X)");
    xlabel("\216X");
    xtics(-4,4,1,2);
    ytics(0,1,0.2,2);
    xy(x,(g0~g1)^2);

  setwind(2);
    title("\216Distribution of Z");
    xlabel("\216Z");
    xtics(-3,3,1,2);
    ytics(0,1,0.2,2);
    xy(z,F0~F1);

  setwind(3);
    title("\216Density of Z");
    xlabel("\216Z");
    xtics(-4,4,1,2);
    ytics(0,0.5,0.1,2);
    xy(xZ,pdfn(xZ)~dZ);

  setwind(4);
    title("\216Density of \202b\201(X)X");
    xlabel("\216\201X");
    xtics(-4,4,1,2);
    ytics(0,0.6,0.1,2);
    _plegstr = "\202b\201]0[(X)\000\202b\201]1[(X)";
    _plegctl = {2 5 6 4};
    xy(xGX,pdfn(xgX)~dGX);

  endwind;