new;
library frm,pgraph;

cls;

rho = 0.25;
alpha = 2;
_SkewCopula_Quad_order = 512;
Ns = 10000;

rndseed 123;
_SkewCopula_Model = 1;
SkewCopula_Init(rho,alpha);

u1 = SkewCopula_Simulate(2,Ns);
u1 = selif(u1,sumr(u1^2) .<= 0.20^2);

Ns = 2000;
u1 = u1 | SkewCopula_Simulate(2,Ns);

graphset;
  begwind;
  makewind(6.855,6.855,(9-6.855)/2,0,1);
  setwind(1);
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plctrl = -1; _pstype = 4; _psymsiz = 2.5;
  fonts("simplex simgrma");
  xlabel("\216U]1["); 
  ylabel("\216U]2[");
  xtics(0,1,0.2,2); 
  ytics(0,1,0.2,2);
  _pcolor = 5;
  _pline = 1~6~0.5~0.0~0.5~1.0~1~0~10 |
           1~6~0.0~0.5~1.0~0.5~1~0~10 ;
  _pline = _pline|
           4~3~0.0~0.0~0.2~0~2~1~15;
  xy(u1[.,1],u1[.,2]);
  endwind;
