new;
library frm,pgraph;

let iTraxx_Detach = 3 	6 	9 	12 	22 ;	
let iTraxx_Rho = 19.0	30.9	39.9	46.7	62.4;

let Rho   = 0.005;
let alpha = 0.60;

Skew_Detach = iTraxx_Detach;

K = iTraxx_Detach;
SkewCDO = iTraxx_Rho;

r = rows(Rho);
i = 1;
do until i > r;
  SkewCDOFile = SkewCopula_StringName("itraxx-SkewRho",rho[i],alpha[i]) $+ ".fmt";
  load SkewRho = ^SkewCDOFile;
  SkewCDO = Merge_Matrix(SkewCDO,100*SkewRho);
  i = i + 1;
endo;

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _plctrl = 1; _plwidth = 10; _pstype = 8|9;
  _pltype = 6|3; _pcolor = 1|4;
  xtics(0,24,2,0);
  ytics(0,70,10,0);
  xlabel("\216Strike (in %)");
  ylabel("\216Correlation (in %)");
  _plegstr = "iTraxx 5Y\000\202r\201 = 0.5% and \202a\201 = 60%";
  _plegctl = {2 5 4 2};
  xy(K,SkewCDO);