new;
library frm,pgraph,optmum;
frmSet;

cls;

SetTransitionMatrix(1);
P = _frm_P;

__macheps = 1e-300;
{Lambda,tmp} = Compute_Markov_Generator(P);
{tmp,Lambda} = Estimate_Markov_Generator(Lambda);

dt = 1/10;
t = seqa(0,dt,1001);
S = Survival_Markov_Generator(t,Lambda);
f = Density_Markov_Generator(t,Lambda);
lambda_rate = 1e4 * f ./ S;

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|4;
  xlabel("\216t");
  ylabel("\216\202l\201(t)");
  xtics(0,100,25,5);
  _plegctl = {2 6 5 3};
  _paxht = 0.30; _pnumht = 0.20; _ptitlht = 0.25;

  setwind(1);
    _plegstr = "AAA\00AA"; 
    ytics(0,120,40,4);
    xy(t,lambda_rate[.,1:2]);

  setwind(2);
    _plegstr = "A\00BBB"; 
    _plegctl = {2 6 6 3};
    ytics(0,150,50,5);
    xy(t,lambda_rate[.,3:4]);

  _plegctl = {2 6 5 3};

  setwind(3);
    _plegstr = "BB\00B";
    ytics(0,750,250,1); 
    xy(t,lambda_rate[.,5:6]);

  setwind(4);
    _plegstr = "CCC"; 
    ytics(0,3000,1000,2);
    xy(t,lambda_rate[.,7]);

  endwind;
