new;
library frm,pgraph;

EAD = 1;
PD = seqa(0,1,100)/1e4;
LGD = 0.5;

alpha = 0.999;

VaR1 = EAD .* LGD .* (PD .>= 1-alpha);
VaR2 = _max_((alpha+PD-1).*EAD./PD,0);

rho = 0.2;
RC1 = EAD .* LGD .* cdfn( ( cdfni(PD) + cdfni(alpha).*sqrt(rho) ) ./ sqrt(1-rho) );
rho = 0.9;
RC2 = EAD .* LGD .* cdfn( ( cdfni(PD) + cdfni(alpha).*sqrt(rho) ) ./ sqrt(1-rho) );
rho = 0.999;
RC3 = EAD .* LGD .* cdfn( ( cdfni(PD) + cdfni(alpha).*sqrt(rho) ) ./ sqrt(1-rho) );

graphset;
  begwind;
  window(2,2,0);

   fonts("simplex simgrma");

    _pnum = 2; _pdate = ""; _pframe = 0;
    _plwidth = 10; _pltype = 1|3; _pcolor = 1|4;
    _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.273;  
    xlabel("\216PD (in %)");
    ytics(0,1,0.2,1);
    xtics(0,1,0.2,2);

  setwind(1);
    _plegstr = "LGD=50%\000LGD~U]@[0,1@][";
    _plegctl = {2 5 5 1.75};
    xy(100*PD,VaR1~VaR2);

  setwind(2);
    _pltype = 1|6; _pcolor = 1|2; 
    _plegstr = "LGD=50%\000Fine grained (\202r\201=20%)";
    _plegctl = {2 5 3 5};
    xy(100*PD,VaR1~RC1);

  setwind(3);
    _plegstr = "LGD=50%\000Fine grained (\202r\201=90%)";
    xy(100*PD,VaR1~RC2);

  setwind(4);
    _plegstr = "LGD=50%\000Fined grained (\202r\201=99.9%)";
    xy(100*PD,VaR1~RC3);

  endwind;
