/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 4.1.3
**
*/

new;
library frm,pgraph;

cls;

V = seqa(-40,1/10,601);
AddOn = 5;
gamma_ = SA_CCR_Multiplier(V,AddOn);

ratio = V ./ AddOn;

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0; _pgrid = {3,1};
  _pltype = 6; _pcolor = 1; _plwidth = 10;
  xlabel("\216MtM / Add-on");
  ylabel("\216\202g\201 (in %)");
  xtics(-8,4,2,0);
  ytics(0,100,10,2);
  xy(ratio,100*gamma_);

