new;
library frm,pgraph,optmum;
frmSet;

PD = 0.90;
lambda = -ln(1 - PD);

mu = 0;
sigma = 1;
rho = 0.50;
t = seqa(0,0.01,501);

rho = 0~0.25~0.50~0.75;
B = cdfni(1 - exp(-lambda.*t));
mu_B = mu + rho .* sigma .* sqrt(t) .* B;
sigma_B = sqrt(1-rho^2) .* sigma .* sqrt(t);
E = mu_B .* cdfn(mu_B./sigma_B) + sigma_B .* pdfn(mu_B./sigma_B);
E1 = E; t1 = t;

rho = 0.50;
PD = 0.60~0.70~0.80~0.90;
lambda = -ln(1 - PD);
B = cdfni(1 - exp(-lambda.*t));
mu_B = mu + rho .* sigma .* sqrt(t) .* B;
sigma_B = sqrt(1-rho^2) .* sigma .* sqrt(t);
E = mu_B .* cdfn(mu_B./sigma_B) + sigma_B .* pdfn(mu_B./sigma_B);
E2 = E; t2 = t;

PD = 0.90;
lambda = -ln(1 - PD);
mu = -1~0~0.5~1;
B = cdfni(1 - exp(-lambda.*t));
mu_B = mu + rho .* sigma .* sqrt(t) .* B;
sigma_B = sqrt(1-rho^2) .* sigma .* sqrt(t);
E = mu_B .* cdfn(mu_B./sigma_B) + sigma_B .* pdfn(mu_B./sigma_B);
E3 = E; t3 = t;

mu = 0;
sigma = 0.25~0.50~0.75~1.00;
B = cdfni(1 - exp(-lambda.*t));
mu_B = mu + rho .* sigma .* sqrt(t) .* B;
sigma_B = sqrt(1-rho^2) .* sigma .* sqrt(t);
E = mu_B .* cdfn(mu_B./sigma_B) + sigma_B .* pdfn(mu_B./sigma_B);
E4 = E; t4 = t;

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 0;
  _pltype = 6|1|3|5; _plwidth = 10; _pcolor = 1|2|3|4;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.30;

  xtics(0,5,1,0);
  xlabel("\216t (in years)");
  ytics(0,5,1,0);

  setwind(1);
    title("\216Impact of \202r\201");
    _plegstr = "\202r\201 = 0\000\202r\201 = 25%\000\202r\201 = 50%\000\202r\201 = 75%";
    _plegctl = {2 5 1.0 3.8};
    xy(t1,E1);

  setwind(2);
    title("\216Impact of PD");
    _plegstr = "PD = 60%\000PD = 70%\000PD = 80%\000PD = 95%";
    _plegctl = {2 5 1.0 3.8};
    xy(t2,E2);

  setwind(3);
    title("\216Impact of \202m\201");
    _plegstr = "\202m\201 = -1\000\202m\201 = 0\000\202m\201 = 0.5\000\202m\201 = 1";
    _plegctl = {2 5 1.0 3.8};
    xy(t3,E3);

  setwind(4);
    title("\216Impact of \202s\201");
    _plegstr = "\202s\201 = 0.25\000\202s\201 = 0.50\000\202s\201 = 0.75\000\202s\201 = 1.00";
    _plegctl = {2 5 1.0 3.8};
    xy(t4,E4);

  endwind;

