/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 4.2.4
**
*/

new;
library frm,pgraph,optmum;

cls;

MtM1 = 3; 
spread1 = 0.03;

MtM2 = 20;
spread2 = 0.06;

Recovery = 0.40;

MtM = MtM1 | MtM2;
spread = spread1 | spread2;

lambda1 = spread1/(1-Recovery);
lambda2 = spread2/(1-Recovery);

b = (ln(lambda2) - ln(lambda1))/(MtM2 - MtM1);
a0 = ln(lambda1) - b .* MtM1;
lambda = exp(a0 + b*MtM);

print ftosa(a0|b,"%lf",5,4);
print ftosa(100*lambda,"%lf",5,4);

lambda1 = (exp(spread1/(1-Recovery))-1);
lambda2 = (exp(spread2/(1-Recovery))-1);

b = (ln(lambda2) - ln(lambda1))/(MtM2 - MtM1);
a0 = ln(lambda1) - b .* MtM1;
lambda = ln(1 + exp(a0 + b*MtM));

print ftosa(a0|b,"%lf",5,4);
print ftosa(100*lambda,"%lf",5,4);

