new;
library frm,pgraph,optmum;
frmSet;

Notional = 1000;
F0 = 0.05;
mu = 0.02;
sigma = 0.25;
r = 0.05;
Maturity = 10;
t = seqa(0,Maturity/200,201);

psi_t = (1 - exp(-r*(Maturity - t))) ./ r;

EpE = Notional .* F0 .* psi_t .* (exp(mu .* t) .* cdfn( (mu./sigma + 0.5 * sigma) .* sqrt(t)) - 
          cdfn( (mu./sigma - 0.5 * sigma) .* sqrt(t)));

E_MtM = Notional .* F0 .* psi_t .* (exp(mu .* t) - 1);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 1|4; _pcross = 0;
  xlabel("\216t (in years)");
  xtics(0,10,1,2);  
  ytics(0,70,10,2);
  _plegstr = "EpE\000E\202@[\201MtM(t)\202@]\201";
  _plegctl = {2 5 6.75 5.5};
  xy(t,EpE~E_MtM);
