/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 6.1.1
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

unit = 1e6;

Qt = 1200;
Nt = 500000;
Pt = 13500;

Vt = Qt * Pt / unit;
print ftos(Vt,"Vt = %lf",3,2);

Mt = Nt * Pt / unit;
print ftos(Mt,"Mt = %lf",3,2);

TO = Vt / Mt;
print ftos(100*TO,"TO = %lf",3,2);

TO = 260 * TO;
print ftos(100*TO,"TO = %lf",3,2);

L = 0.25 * Vt;
print ftos(L,"L = %lf",3,3);

n = 10;
LR = zeros(n,1);
LR[1] = L / 30;

i = 2;
do until i > n;
  LR[i] = LR[i-1] + L / 30;
  LR[i] = _min_(1,LR[i]);
  i = i + 1;
endo;

print ftosa(seqa(1,1,n)~100*LR,"%lf",3,2);

