/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 7.1.1
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

let t       =   0   1   2   3   4   5   6   7   8   9  10  11  12;
let asset   = 120 110 100  90  80  70  60  50  40  30  20  10   0;
let capital =  40  40  40  40  40  40  40  40  40  40  40  40  40;
let debt    =  80  80  80  15  15  15  15  15   5   5   5   5   5;

liability = capital + debt;
gap = liability - asset;
gap[1] = 0.1;
e = ones(rows(t),1);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _pcolor = 1|4|2; _plwidth = 10;
  _pbartyp = {6 1};
  xtics(-1,13,1,2);
  xlabel("\216Time t (in months)");
  _psym = t~gap~e .*(8~2.5~4~1~10);
  _pline = add_lines(t,gap,3,4,10);
  bar(t,gap);