new;
library frm,pgraph,optmum;

cls;

Notional = 100;

n = 30;
p = 12;
n = 30*p;

i = 0.05;
i = i/p;

{Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Outstanding1} = outstanding_constant_principal(Notional,n,i,1);

{Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Outstanding2} = outstanding_constant_annuity(Notional,n,i,1);

{Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Outstanding4} = outstanding_bullet_repayment(Notional,n,i,1);

i = 0.10;
i = i/p;
{Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Outstanding3} = outstanding_constant_annuity(Notional,n,i,1);

Outstanding = Outstanding1~Outstanding2~Outstanding3~Outstanding4;
Outstanding = Notional *ones(1,4) | Outstanding;
t = seqa(0,1,n+2);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|5; _pcolor = 1|4|2|3; _plwidth = 10;
  ytics(0,100,20,2);
  xtics(0,30,5,2);
  xlabel("\216Time t (in years)");
  ylabel("\216Outstanding N(t)");
  _plegstr = "Constant amortization\000Constant annuity (i = 5%)\000Constant annuity (i = 10%)\000Bullet repayment";
  _plegctl = {2 5 1.25 1.25};
  xy(t/p,Outstanding);
