new;
library frm,pgraph,optmum;

cls;

Notional = 100;

n = 30;
p = 12;
n = n*p;

i = 0.05;
i = i/p;

{Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Nt} = outstanding_constant_annuity(Notional,n,i,1);

Nt = Notional | Nt;
t = seqa(0,1,n+2);

tau = 10;
Nt_pp1 = Nt .* ((p .* tau) .> t); 

tau = 20;
Nt_pp2 = Nt .* ((p .* tau) .> t); 

lambda = 0.04~0.10;
Nt_pp = Nt .* exp(-lambda .* t / p);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|5; _pcolor = 1|4|2|3; _plwidth = 10;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.30;
  xtics(0,30,5,2);
  ytics(0,100,20,2);
  xlabel("\216Time t (in years)");

  setwind(1);
    title("\216No prepayment");
    xy(t/p,Nt);

  setwind(2);
    title("\216Prepayment at \202t\201 = 10");
    _pltype = 3; _pcolor = 4;
    xy(t/p,Nt_pp1);

  setwind(3);
    title("\216Prepayment at \202t\201 = 20");
    _pltype = 1; _pcolor = 2;
    xy(t/p,Nt_pp2);

  setwind(4);
    title("\216Amortization schedule");
    _pltype = 6|1|3|5; _pcolor = 1|4|2|3;
    _plegstr = "\202l\201 = 0%\000\202l\201 = 4%\000\202l\201 = 10%";
    _plegctl = {2 5 6.0 4.0};
    xy(t/p,Nt~Nt_pp);

  endwind;
