new;
library frm,pgraph,optmum;

cls;

let N[5,13] = 100 90 80 70 60 50 40 30 20 10 5 0 0
               70 65 55 40 20 10  5  0  0  0 0 0 0
              100 95 85 80 60 40 20 10  0  0 0 0 0
               50 47 44 40 37 33 27 17 10  7 0 0 0
               20 18 16 14 10  8  5  3  0  0 0 0 0;

n_t = 13;
St = zeros(n_t,1);

i = 1;
do until i > n_t;
  N0 = N[.,1];
  Nt = N[.,i];
  St[i] = sumc(Nt)/sumc(N0);
  i = i + 1;
endo;

m = 20;
N0 = reshape(N0,rows(N0)*m,1);

w = N0 / sumc(N0); 
H = sumc(w^2);
std_St = sqrt(H .* St .* (1 - St));
print ftosa(St,"%lf",3,2);

t = seqa(0,1,n_t);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 3|6|1; _pcolor = 1|2|4; _plctrl = 0|1|0; 
  _pstype = 8; _plwidth = 10|8|10; _psymsiz = 4;
  ytics(0,1.0,0.2,2);
  _plegstr = "Lower bound\000Estimate\000Upper bound";
  _plegctl = {2 5 6 5};
  y = St-2*std_St~St~St+2*std_St;
  xy(t,missex(y,y .< 0));   

