new;
library frm,pgraph,optmum;

cls;

m = 10;
lambda = 0.30;
i = 0.05;

t = 0;
u = seqa(0,m/100,101);
u[101] = m;

{S1,S1_star} = Amortization_function_Bullet(t,u,m);
{S2,S2_star} = Amortization_function_Constant(t,u,m);
{S3,S3_star} = Amortization_function_Exp(t,u,lambda);
{S4,S4_star} = Amortization_function_CPM(t,u,m,i);

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1; _pcolor = 1|4; _plwidth = 10;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.30;

  ytics(0,1,0.2,2);
  xlabel("\216u-t");

  setwind(1);
    title("\216Bullet");
    xy(u,S1~S1_star);

  setwind(2);
    title("\216Constant");
    xy(u,S2~S2_star);

  setwind(3);
    title("\216Exponential");
    xy(u,S3~S3_star);

  setwind(4);
    title("\216CPM");
    _plegstr = "S(t,u)\000S[*](t,u)";
    _plegctl = {2 5 5.5 4.0};
    xy(u,S4~S4_star);

  endwind;
