new;
library frm,pgraph,optmum;

cls;

_Continuous_Time = 1;

params = 0.08|-0.07|0.06|10;

let CF_k = 200 500 200  100;
let  t_k = 1.0 4.0 7.0 11.0;
let    R = 0.02 0.03 0.04 0.05;
Delta_R = 0.01;

R_k = R;
V = Cash_Flows_Price(t_k,CF_k,R_k);
YTM = Cash_Flows_YTM(t_k,CF_k,V);
{D_mac,D_mod} = Cash_Flows_Duration(t_k,CF_k,YTM);

print ftosa(V,"V = %lf",3,2);
print ftosa(100*YTM,"YTM = %lf",3,2);
print ftosa(D_mac,"Macaulay duration = %lf",3,4);
print ftosa(D_mod,"Modified duration = %lf",3,4);

print "----------------------------------------------------------";

R_k = R + Delta_R;
new_V = Cash_Flows_Price(t_k,CF_k,R_k);
Delta_V = new_V - V;
print ftosa(new_V,"V = %lf",3,2);
print ftosa(Delta_V,"Delta_V = %lf",3,2);

R_k = YTM + Delta_R;
new_V = Cash_Flows_Price(t_k,CF_k,R_k);
Delta_V = new_V - V;
print ftosa(new_V,"V = %lf",3,2);
print ftosa(Delta_V,"Delta_V = %lf",3,2);

Approx = - D_mod .* V .* Delta_R;
print ftosa(Approx,"Approx = %lf",3,2);

print "----------------------------------------------------------";

Delta_R = -Delta_R;

R_k = R + Delta_R;
new_V = Cash_Flows_Price(t_k,CF_k,R_k);
Delta_V = new_V - V;
print ftosa(new_V,"V = %lf",3,2);
print ftosa(Delta_V,"Delta_V = %lf",3,2);

R_k = YTM + Delta_R;
new_V = Cash_Flows_Price(t_k,CF_k,R_k);
Delta_V = new_V - V;
print ftosa(new_V,"V = %lf",3,2);
print ftosa(Delta_V,"Delta_V = %lf",3,2);

Approx = - D_mod .* V .* Delta_R;
print ftosa(Approx,"Approx = %lf",3,2);

print "----------------------------------------------------------";

D = -gradp(&function,YTM)/V;
print ftosa(D,"Duration = %lf",3,4);

proc function(YTM);
  local V;
  V = Cash_Flows_Price(t_k,CF_k,YTM);
  retp(V);
endp;


