new;
library frm,pgraph,optmum;

cls;

// Duration gap analysis

D_A = (5*0 + 40*1.5 + 40*6 + 15*3.8)/100;
D_L = (40*3.2 + 20*0.8 + 30*1.7)/90;

print ftos(D_A,"DA = %lf",3,2); 
print ftos(D_L,"DL = %lf",3,2); 

D_gap = D_A - 90/100*D_L;
print ftos(D_gap,"DGAP = %lf",3,2); 

D_E = 10 * D_gap;
print ftos(D_E,"DE = %lf",3,2); 

let ytm       =  0.03  0.03  0.03  0.03   0.07   0.07  0.07  0.07; 
let delta_ytm = -0.02 -0.01  0.01  0.02  -0.02  -0.01  0.01  0.02;
delta_eve = - D_gap .* 100 .* delta_ytm ./ (1 + ytm);
eve = 10;

results = 100*ytm~100*delta_ytm~delta_eve~100*(delta_eve./eve);

print ftosa(results',"%lf",3,2);

// Immunization

D_L = (100/90)*D_A;
print ftos(D_L,"DL = %lf",3,2); 

N = (D_L * 90 - (40*3.2 + 20*0.8 + 30*1.7)) / (10 - 1.7);
print ftos(N,"N = %lf",3,2); 
D_L = (40*3.2 + 20*0.8 + (30-N)*1.7 + N*10)/90;
print ftos(D_A,"DA = %lf",3,2); 
print ftos(D_L,"DL = %lf",3,2); 
D_gap = D_A - 90/100*D_L;
print ftos(D_gap,"DGAP = %lf",3,2); 
