new;
library frm,pgraph,optmum;

cls;

Let N = 500  500  800;
let R = 0.06 0.05 0.03;

I = N .* R / 4;
print ftosa(N~R~I,"%lf",3,2);

print 13.25-0.25*800*0.03;
print 6.25-0.25*300*0.03;

let Delta_RA = -0.02 -0.01 0.00 0.01 0.02 -0.02 -0.02 -0.025;
let Delta_RL = -0.02 -0.01 0.00 0.01 0.02  0.00 -0.01  0.00;

nIters = rows(Delta_RA);
results = zeros(5,nIters);

iter = 1;
do until iter > nIters;
  results[.,iter] = NII(Delta_RA[iter],Delta_RL[iter]);
  iter = iter + 1;
endo;

Delta_R = Delta_RA' |
          Delta_RL' ;
print ftosa(100*Delta_R,"%lf",5,2);

print ftosa(results,"%lf",5,2);


proc NII(Delta_RA,Delta_RL);
  local y;

  y = 7.25 |
      (7.25 - 200*Delta_RL) |
      (7.25 - 200*Delta_RL) |
      (7.25 + 125 * Delta_RA - 200*Delta_RL) |
      (7.25 + 125 * Delta_RA - 200*Delta_RL) ;

  retp(y);
endp;

