new;
library frm,pgraph,optmum;

cls;

t = seqa(0.001,1/10,201);

let params = 0.05 -0.04 0.06 10;
Rt = NelsonSiegel_Spot_Rate(params,t);
FTP1 = Rt + 0.007;

FTP2 = Rt + (0.008~-0.005); 

C = seqa(1.1,0.1/201,201);
FTP3 = C .* Rt;

graphset;
  window3u;

  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 3|6|6; _pcolor = 4|1|2; _plwidth = 10;
  _pnumht = 0.225; _paxht = 0.225; _ptitlht = 0.275;
  xlabel("\216t");
  ytics(0,6,1,2);
  xtics(0,20,2,2);

  setwind(1);
    title("\216Credit spread");
    _plegstr = "IR swap curve\000FTP curve";
    _plegctl = {2 5 4.5 1.85};
    xy(t,100*(Rt~FTP1));

  setwind(2);
    title("\216Bid-ask spread");
    _plegstr = "IR swap curve\000FTP curve (assets)\000FTP curve (liabilities)";
    _plegctl = {2 5 3.5 1.5};
    xy(t,100*(Rt~FTP2));

  setwind(3);
    title("\216Matched maturity");
    _plegstr = "IR swap curve\000FTP curve";
    _plegctl = {2 5 3.5 1.85};
    xy(t,100*(Rt~FTP3));

  endwind; 