new;
library frm,pgraph,optmum;

cls;

Monthly = 1;

Notional = 100000;

n = 10;
i0_y = 0.10;
let i_y = 0.10 0.09 0.08 0.07 0.06 0.05 0.04 0.03 0.02 0.01;
nIters = rows(i_y); 
Results = zeros(nIters,7);

if Monthly;
  p = 12;
  n = n*p;
  i0 = i0_y/p;
  i = i_y/p;

  {Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Nt} = outstanding_constant_annuity(Notional,n,i0,1);
  MA0 = Annuity[1];
  YA0 = 12*MA0;

  iter = 1;
  do until iter > nIters;
    {Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Nt} = outstanding_constant_annuity(Notional,n,i[iter],1);
     MA = Annuity[1];
     YA = 12*MA;
     D = 100*(1-MA./MA0);
     C = 100*n*(MA0-MA)/Notional;
     {x,A_x} = Find_Annuity_Period(Notional,n,i[iter],MA0);
     Results[iter,1:7] = MA~(MA0-MA)~(YA0-YA)~D~C~x~(x/12);
     iter = iter + 1;
   endo;
endif;

Results[1,2:7] = error(0)*ones(1,6);
print ftosa(100*i_y~Results,"%lf",3,1~0~0~0~1~1~0~2);

proc (2) = Find_Annuity_Period(Notional,n,i,A0);
  local AR,A,IR,C,Am,cAm,Nt;
  local iter,x;
  
  iter = 1;
  do until iter > n;
    x = n-iter+1;
    {AR,A,IR,C,Am,cAm,Nt} = outstanding_constant_annuity(Notional,x,i,1);
    A = A[1];
    if A > A0;
      break;
    endif;
    iter = iter + 1;
  endo;

  retp(x,A);
endp;

  