new;
library frm,pgraph,optmum;

cls;

Notional = 100;

m = 30;
p = 12;
n = m*p;

i = 0.05;
i = i/p;

{Annuity_Rate,Annuity,Interest,Capital,Amortization,cAmortization,Nt} = outstanding_constant_annuity(Notional,n,i,1);

Nt = Notional | Nt;
t = seqa(0,1,n+2)/p;
lambda_p = 0~0.03~0.05~0.10~0.20;
N_tilde = Nt .* exp(-lambda_p .* t);

x1 = t;
y1 = N_tilde;

i = 0.05;
t = seqa(0,1/12,n+1);
St = (1 - exp(-i.*(m-t)))/(1-exp(-i*m));
S_tilde = St .* exp(-lambda_p .* t);

x2 = t;
y2 = S_tilde;

lambda_c = i./(exp(i.*(m-t))-1);
lambda_t = lambda_c + lambda_p;

x3 = t;
y3 = lambda_t;

graphset;
  window3d;

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|5|6; _pcolor = 1|4|2|3|5; _plwidth = 10|10|10|10|6; 
  _plctrl = 0|0|0|0|3; _pstype = 8; _psymsiz = 1.50;
  _paxht = 0.225; _pnumht = 0.225; _ptitlht = 0.275;
  xtics(0,30,5,2);
  ytics(0,100,20,2);
  xlabel("\216Time t (in years)");
  _plegstr = "\202l\201 = 0%\000\202l\201 = 3%\000\202l\201 = 5%\000\202l\201 = 10%\000\202l\201 = 20%";

  setwind(1);
    title("\216Monthly annuity");
    ylabel("\216S(t,u) (in %)");
    xy(x1,y1);

  setwind(2);
    title("\216Continuous-time annuity");
    xy(x2,100*y2);

  setwind(3);
    title("\216Hazard rate");
    ylabel("\216\202l\201(t,u) (in %)");
    _plegctl = {2 5 9.2 4.2};
    xy(x3,100*y3);

  endwind;