/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 7.1.1
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

declare matrix m;

proc fn1(s,u);
  retp(s - u .* s ./ m + s .* s ./ (2 .* m));
endp;

proc fn2(s,t);
  retp(s - t .* s ./ m + s .* s ./ (2 .* m));
endp;

m = 5;
t = 5;
u = seqa(t,m/10,11);
n_u = rows(u);
x1 = (fn1(t,u) - fn1(u-m,u));
x2 = (fn2(t,t) - fn2(t-m,t)) .* ones(n_u,1);
x = x1 ./ x2;
y = (1 - (u-t)./m)^2;
y1 = error(0) * y;
y2 = (m/2) .* ones(n_u,1);
print u~x1~x2~x~y1~y2~y;

s = seqa(t-m,m/10,11);
z = 1 - (t-s)./m;

graphset;
  xy(s,z);


  
