/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 7.1.1
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

declare matrix t,m;

proc fn1(s);
  retp(1 - t/m + s/m);
endp;

proc g1(s);
  retp( (s^2 - 2*s*(t-m))/(2*m) );
endp;

proc fn2(u);
  retp( (u-t) .* (1 - (u-t)./m));
endp;

t = 5;
m = 7.3;

u = 2.0;

xl = t | t-m;

I1 = quadLegendre1(&fn1,xl,64);
print I1~(g1(t)-g1(t-m));

q = I1;

I1 = m/2;
print I1;

xl = t+m | t;
I2 = quadLegendre1(&fn2,xl,64);
print I2;

p = I2;

I2 = (m^2)/6;
print I2;

print p/q;
print m/3;
