/*
** Thierry Roncalli
** Lectures Notes on Risk Management & Financial Regulation
**
**> Page ??, Section 7.1.1
**
*/

new;
library frm,pgraph,optmum;
frmSet;

cls;

declare matrix i,t,m;

proc fn1(u);
  retp((u-t).*i.*exp(-i*(t+m-u))./(1-exp(-i*m)));
endp;

proc f1(t);
  retp( m/(1-exp(-i*m)) - 1./i);
endp;

i = 0.05;
t = 3;
m = 5;

xl = t+m | t;
I1 = quadLegendre1(&fn1,xl,64);
print I1~f1(t);



